/**
 * Copyright 2024 Phenix Real Time Solutions, Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
!function(t,e){"object"==typeof exports&&"object"==typeof module?module.exports=e(require("phenix-web-lodash-light"),require("phenix-web-assert"),require("phenix-web-disposable"),require("phenix-web-observable"),require("phenix-web-event"),require("phenix-web-logging"),require("phenix-web-detect-browser"),require("phenix-web-http"),require("phenix-web-application-activity-detector"),require("phenix-web-proto"),require("phenix-web-closest-endpoint-resolver"),require("phenix-web-global")):"function"==typeof define&&define.amd?define("phenix-web-sdk",["phenix-web-lodash-light","phenix-web-assert","phenix-web-disposable","phenix-web-observable","phenix-web-event","phenix-web-logging","phenix-web-detect-browser","phenix-web-http","phenix-web-application-activity-detector","phenix-web-proto","phenix-web-closest-endpoint-resolver","phenix-web-global"],e):"object"==typeof exports?exports["phenix-web-sdk"]=e(require("phenix-web-lodash-light"),require("phenix-web-assert"),require("phenix-web-disposable"),require("phenix-web-observable"),require("phenix-web-event"),require("phenix-web-logging"),require("phenix-web-detect-browser"),require("phenix-web-http"),require("phenix-web-application-activity-detector"),require("phenix-web-proto"),require("phenix-web-closest-endpoint-resolver"),require("phenix-web-global")):t["phenix-web-sdk"]=e(t["phenix-web-lodash-light"],t["phenix-web-assert"],t["phenix-web-disposable"],t["phenix-web-observable"],t["phenix-web-event"],t["phenix-web-logging"],t["phenix-web-detect-browser"],t["phenix-web-http"],t["phenix-web-application-activity-detector"],t["phenix-web-proto"],t["phenix-web-closest-endpoint-resolver"],t["phenix-web-global"])}(window,function(i,n,r,s,o,a,u,c,h,d,l,f){return p=[function(t,e){t.exports=i},function(t,e){t.exports=n},function(t,e,i){i=[i(0),i(8),i(40)],e=function(r,t,i){"use strict";var s=window,o=new t(navigator.userAgent).detect(),t=s.RTCPeerConnection,e=s.RTCSessionDescription,n=s.RTCIceCandidate,a=null,u=null,c=null,h=null,d=null,l=null,f=!1,m=function(){};switch(navigator.mediaDevices&&navigator.mediaDevices.enumerateDevices&&(a=r.bind(v,null,"input")),navigator.mediaDevices&&navigator.mediaDevices.enumerateDevices&&(u=r.bind(v,null,"output")),(navigator.mediaDevices&&navigator.mediaDevices.getUserMedia||s.getUserMedia)&&(c=function(t,e,i){var n=r.bind(p,this,t,e,i);return navigator&&navigator.mediaDevices&&r.isFunction(navigator.mediaDevices.getUserMedia)?navigator.mediaDevices.getUserMedia(t).then(function(t){return n(t)}).catch(function(t){return i(t)}):navigator&&r.isFunction(navigator.getUserMedia)?navigator.getUserMedia(t,n,i):s&&r.isFunction(s.getUserMedia)?s.getUserMedia(t,n,i):void 0}),o.browser){case"Firefox":h=y,l=b,m=function(t,e,i,n){t.getStats(e).then(i).catch(n)},f=!0;break;case"Opera":h=y,l=b,m=function(t,e,i,n){t.getStats(e).then(i).catch(n)},f=!0;break;case"Chrome":h=y,l=b,m=function(t,e,i,n){o.version<=66?t.getStats(i,e,n):t.getStats(e).then(i).catch(n)},f=!0;break;case"Edge":h=y,l=b,m=function(t,e,i,n){t.getStats(e).then(i).catch(n)},f=!0;break;case"Safari":h=function(t,e,i){return r.isObject(e)&&(t.__phenixHasPlayedWebRtc=!0),y(t,e,i)},d=function(t,e){return t.__phenixHasPlayedWebRtc?((t=new i(t,e,!1).getElement()).play(),t):w(t,e)},l=b,m=function(t,e,i,n){t.getStats(e).then(i).catch(n)},f=!0;break;case"ReactNative":h=function(){},d=function(){},l=function(){},m=function(t,e,i,n){t.getStats(e).then(i).catch(n)},f=!0;break;default:!function(){console.log.apply(console,arguments)}("Browser version does not appear to be WebRTC-capable",o.browser,o.version)}function p(r,s,o,a){setTimeout(function(){for(var t=a.getTracks(),e=0;e<t.length;e++){var i=t[e];if(i.onended=function(t){t.timeStamp,i.id,i.label},i.id,i.label,t[e].kind,t[e].readyState,"ended"===i.readyState)return g("User media not available",o,t)}var n=(r.audio?1:0)+(r.video?1:0);if(t.length!==n)return g("Unable to get all requested user media.",o,t);s(a)},100)}function g(t,e,i){try{var n=new Error(t);n.code="unavailable",e(n)}finally{for(var r=i,s=0;s<r.length;s++)r[s].stop()}}function v(i,n){if("input"!==i&&"output"!==i)throw new Error("Unsupported device type "+i);navigator.mediaDevices&&navigator.mediaDevices.enumerateDevices().then(function(t){var e=[];t.forEach(function(t){t.kind==="audio"+i?e.push({kind:"audio",id:t.deviceId,label:t.label}):t.kind==="video"+i&&e.push({kind:"video",id:t.deviceId,label:t.label})}),n(e)})}function y(t,e,i){void 0!==t.srcObject?t.srcObject=e:void 0!==t.mozSrcObject?t.mozSrcObject=e:void 0!==t.src&&(t.src=URL.createObjectURL(e));e=t.play();return void 0===e?"function"==typeof i&&i():e.then(function(){"function"==typeof i&&i()}).catch(function(t){"function"==typeof i&&i(t)}),t}function w(t,e){return t.src=e,t.play(),t}function b(t,e){return t.src=e.src,t}function k(){var t=r.get(s,["navigator","userAgent"],"");return/iPad|iPhone|iPod/.test(t)&&!s.MSStream}return{global:s,browser:o.browser,browserVersion:o.version,RTCPeerConnection:t,RTCSessionDescription:e,RTCIceCandidate:n,getSources:a,getDestinations:u,getUserMedia:c,getStats:m,attachMediaStream:h,attachUriStream:d||w,reattachMediaStream:l,webrtcSupported:f,isAndroid:(t=r.get(s,["navigator","userAgent"],""),/(android)/i.test(t)),isIOS:k(),isMobile:(e=r.get(s,["navigator","userAgent"],""),k()||/Android|webOS|BlackBerry|IEMobile|Opera Mini|mobile|CriOS/i.test(e)),shouldUseNativeHls:(n=r.get(s,["navigator","userAgent"],""),a=/SamsungBrowser/.test(n),k()||"Safari"===o.browser||a),PhenixFlashVideo:i}}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e){t.exports=r},function(t,e){t.exports=s},function(t,e){t.exports=o},function(t,e,i){e=function(){"use strict";return{networkStates:{networkEmpty:{id:0,name:"NETWORK_EMPTY"},networkIdle:{id:1,name:"NETWORK_IDLE"},networkLoading:{id:2,name:"NETWORK_LOADING"},networkNoSource:{id:3,name:"NETWORK_NO_SOURCE"}},types:{realTime:{id:0,name:"real-time"},dash:{id:1,name:"dash"},hls:{id:2,name:"hls"},rtmp:{id:3,name:"rtmp"}},streamEvents:{playerEnded:{id:0,name:"playerended"},playerError:{id:1,name:"playererror"},stopped:{id:2,name:"stopped"}},rendererEvents:{ended:{id:0,name:"ended"},error:{id:1,name:"error"},autoMuted:{id:2,name:"autoMuted"},failedToPlay:{id:3,name:"failedToPlay"}}}}.apply(e,[]);void 0!==e&&(t.exports=e)},function(t,e){t.exports=a},function(t,e){t.exports=u},function(t,e){t.exports=c},function(t,e,i){i=[i(0),i(1),i(5)],e=function(i,n,r){"use strict";function t(t,e){n.isObject(t,"logger"),this.u=t,this.h=new r.Event,this.g=null,this.v=!1,this.k=null,this.S={pollFrequency:500,previousWidth:0,previousHeight:0},e&&e.pollFrequency&&(this.S.pollFrequency=15<=e.pollFrequency?e.pollFrequency:15),this.I=null}function s(){var t;this.v&&!this.g&&0!==this.h.size()&&((t=this).S.previousWidth=this.k.videoWidth,this.S.previousHeight=this.k.videoHeight,this.g=setInterval(function(){t.k.videoWidth===t.S.previousWidth&&t.k.videoHeight===t.S.previousHeight||(t.S.previousWidth=t.k.videoWidth,t.S.previousHeight=t.k.videoHeight,t.h.fireAsync([t.I,{width:t.k.videoWidth,height:t.k.videoHeight}]))},t.S.pollFrequency))}return t.prototype.start=function(t,e){!function(t,e){e&&!i.isUndefined(e.videoWidth)||this.u.warn("Attempting to start dimensions changed monitor without providing proper 'video' element."),this.I=t,this.k=e,this.v=!0,s.call(this)}.call(this,t,e)},t.prototype.stop=function(){!function(){this.v=!1,this.g&&(clearInterval(this.g),this.g=null),this.h.dispose()}.call(this)},t.prototype.addVideoDisplayDimensionsChangedCallback=function(t){return n.isFunction(t,"addVideoDisplayDimensionsChangedCallback"),s.call(this),this.h.listen(t)},t.prototype.toString=function(){return"DimensionsChangedMonitor[pollFrequency="+this.S.pollFrequency+", previousHeight="+this.S.previousHeight+", previousWidth="+this.S.previousHeight+", state="+(this.g?"running":"stopped")+"]"},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(8)],e=function(n,t){"use strict";var e={},r=new t(navigator.userAgent).detect();function s(t){var e=t.match(/^(https?\:)\/\/(([^:\/?#]*)(?:\:([0-9]+))?)([\/]{0,1}[^?#]*)(\?[^#]*|)(#.*|)$/);return e&&{href:t,protocol:e[1],host:e[2],hostname:e[3],port:e[4],pathname:e[5],search:e[6],hash:e[7],origin:e[1]+"//"+e[2]}}return e.getEnvironmentFromUrl=function(t){try{var e=URL&&"IE"!==r.browser?new URL(t):s(t);return e.port?e.protocol+"//"+e.hostname+":"+e.port:e.protocol+"//"+e.hostname}catch(t){return""}},e.parseEnvFromPcastBaseUri=function(t){return t=t.toLowerCase(),n.includes(t,"local")?"local":n.includes(t,"stg")?"staging":"production"},e.getTelemetryServerUri=function(e){if(!e)return"";try{var t=URL&&"IE"!==r.browser?new URL(e):s(e),i=t.hostname.split(".");switch(2===i.length||3===i.length&&i[i.length-2].length<=2&&i[i.length-1].length<=3?i.unshift("telemetry"):n.startsWith(i[0],"stg-")||n.endsWith(i[0],"-stg")||n.includes(i[0],"-stg-")||"stg"===i[0]?i[0]="telemetry-stg":n.startsWith(i[0],"local")||n.endsWith(i[0],"local")||(i[0]="telemetry"),t.hostname=i.join("."),t.protocol){case"ws:":t.protocol="http:";break;case"wss:":t.protocol="https:"}return t.port?t.protocol+"//"+t.hostname+":"+t.port+"/telemetry":t.protocol+"//"+t.hostname+"/telemetry"}catch(t){return e}},e}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e){t.exports=h},function(t,e,i){e=function(){"use strict";return{roles:{participant:{id:0,name:"Participant"},moderator:{id:1,name:"Moderator"},presenter:{id:2,name:"Presenter"},audience:{id:3,name:"Audience"}},states:{active:{id:0,name:"Active"},passive:{id:1,name:"Passive"},handRaised:{id:2,name:"HandRaised"},inactive:{id:3,name:"Inactive"},offline:{id:4,name:"Offline"}}}}.apply(e,[]);void 0!==e&&(t.exports=e)},function(t,e,i){e=function(){"use strict";return{types:{directChat:{id:0,name:"DirectChat"},multiPartyChat:{id:1,name:"MultiPartyChat"},moderatedChat:{id:2,name:"ModeratedChat"},townHall:{id:3,name:"TownHall"},channel:{id:4,name:"Channel"}},events:{memberJoined:{id:0,name:"MemberJoined"},memberLeft:{id:1,name:"MemberLeft"},memberUpdated:{id:2,name:"MemberUpdated"},roomUpdated:{id:3,name:"RoomUpdated"},roomEnded:{id:4,name:"RoomEnded"}}}}.apply(e,[]);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(7),i(11),i(38)],e=function(t,s,o,a,u){"use strict";function e(){}return e.prototype.createPCastLogger=function(t,e,i){t&&s.isStringNotEmpty(t,"baseUri");var n=new o.Logger,r=a.getEnvironmentFromUrl(t),t=u.getAppender(t);return n.setEnvironment(r),i?t.setThreshold(i):t.setThreshold(o.level.INFO),e||n.addAppender(new o.ConsoleAppender),n.addAppender(t),n.isPCastLogger=!0,n},new e}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e){t.exports=d},function(t,e,i){i=[i(1),i(0),i(3),i(45)],e=function(r,a,s,u){"use strict";function t(t,e,i,n){r.isStringNotEmpty(t,"version"),r.isStringNotEmpty(e,"baseUri"),r.isObject(i,"logger"),this.R=t,this.T=e,this.u=i,this.q=new s.DisposableList,this.C=n}function c(t,e){var i;4===t.readyState&&(200===t.status?(i=t.getAllResponseHeaders(),i=a.reduce(i.trim().split(/[\r\n]+/),function(t,e){var e=e.split(": "),i=e.shift(),e=e.join(": ");return i&&(t[i]=e),t},{}),e(null,{data:t.response||t.responseText,headers:i,rawXhr:t})):((i=new Error(0===t.status?"timeout":"Status=["+t.status+"]")).code=t.status,e(i)))}return t.DefaultPCastUri="https://pcast.phenixrts.com",t.prototype.getBaseUri=function(){return this.T},t.prototype.resolveUri=function(t){return function(t,i){var n,e=0===t.lastIndexOf("wss:",0),r=0===t.lastIndexOf("ws:",0),s=0===t.lastIndexOf("https:",0),o=0===t.lastIndexOf("http:",0);e||r?i(void 0,{uri:t+"/ws",roundTripTime:0}):s||o?function(t,i){t=function(t){var e=new XMLHttpRequest;if("withCredentials"in e)e.open("GET",t,!0);else{if("undefined"==typeof XDomainRequest)return;(e=new XDomainRequest).open("GET",t)}return e}(t+"/pcast/endPoints?version=2024-01-18T15:57:27Z&_="+a.now());t.addEventListener("readystatechange",a.bind(c,this,t,function(t,e){if(t)return i(new Error("Failed to resolve an end point",t));t=e.data.split(",");t.length<1&&i(new Error("Failed to discover end points")),i(void 0,t)})),t.timeout=15e3,t.send(null)}.call(n=this,t,function(t,e){if(t)return i(t);t=new u({logger:n.u,version:n.R},i,function(t,e){t?503===t.code?n.u.debug("The end point [%s] is temporarily disabled",a.get(e,["endPoint"])):n.u.warn("An error occurred in resolving an endpoint [%s]",a.get(e,["endPoint"]),t):(t=0===e.endPoint.lastIndexOf("https:",0),n.C.recordMetric("RoundTripTime",{uint64:e.time},null,{resource:e.endPoint,kind:t?"https":"http"}))});t.resolveAll(e),n.q.add(t)}):i(new Error("Uri not supported ["+t+"]"))}.call(this,this.T,t)},t.prototype.dispose=function(){this.q.dispose()},t.prototype.toString=function(){return"PCastEndPoint["+this.T+"]"},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(2)],e=function(d,r){"use strict";function t(){}function l(t,e,i,n,r){return d.isNumber(t)?t:d.isNumber(e)?e:d.isNumber(i)?i:d.isNumber(n)?n:r}function f(t,e,i,n,r){return d.isString(t)?t:d.isString(e)?e:d.isString(i)?i:d.isNumber(n)?n:r}function m(t,e){t=parseInt(t,e);if(!isNaN(t))return t}function p(t){t=parseFloat(t);if(!isNaN(t))return t}function g(t){return d.includes(t.id,"send")||d.includes(t.id,"outbound")||"outboundrtp"===t.type||"outbound-rtp"===t.type||"kOutboundRtp"===t.type}function v(t){return d.includes(t.id,"recv")||"inboundrtp"===t.type||"inbound-rtp"===t.type||"kInboundRtp"===t.type}return t.convertPeerConnectionStats=function(t,e){var o,a,u,c,n,h=e;return t?(o=[],e=t,n={},"Chrome"===r.browser&&r.browserVersion<=66?e.result().forEach(function(e){var i={id:e.id,type:e.type};e.names().forEach(function(t){i[t]=e.stat(t)}),i.timestamp=e.timestamp.getTime(),n[i.id]=i}):(e.forEach(function(t){n[t.id]=t}),d.forOwn(n,function(e){"inbound-rtp"===e.type&&e.jitter&&(e.jitter=(1e3*e.jitter).toString()),"remote-inbound-rtp"===e.type&&d.forOwn(n,function(t){e.localId===t.id&&(t.fractionLost=e.fractionLost,t.jitter||(t.jitter=(1e3*e.jitter).toString()),t.packetsLost=e.packetsLost,t.roundTripTime=1e3*e.roundTripTime,t.roundTripTimeMeasurements=e.roundTripTimeMeasurements,t.totalRoundTripTime=e.totalRoundTripTime)}),"candidate-pair"===e.type&&d.forOwn(n,function(t){"audio"!==t.mediaType&&"video"!==t.mediaType||(!t.roundTripTime&&e.currentRoundTripTime&&(t.roundTripTime=1e3*e.currentRoundTripTime),t.currentRoundTripTime=1e3*e.currentRoundTripTime)}),"media-source"===e.type&&d.forOwn(n,function(t){t.mediaSourceId===e.id&&("audio"===t.mediaType&&e.audioLevel&&(v(t)?t.audioOutputLevel=(1e5*e.audioLevel).toString():g(t)&&e.audioLevel&&(t.audioInputLevel=(1e5*e.audioLevel).toString()),t.echoReturnLoss=e.echoReturnLoss,t.echoReturnLossEnhancement=e.echoReturnLossEnhancement,t.totalAudioEnergy=e.totalAudioEnergy,t.totalSamplesDuration=e.totalSamplesDuration,t.trackIdentifier=e.trackIdentifier),"video"===t.mediaType)&&(t.frames=e.frames,t.framesPerSecond=e.framesPerSecond,t.height=e.height,t.width=e.width)})})),t=n,a=!1,c=u="",d.forOwn(t,i),!a&&o.length<=0&&t.forEach&&t.forEach(i),o):null;function i(t){var e,i,n,r,s;a=a||!0,d.hasIndexOrKey(t,"ssrc")&&t.ssrc&&!d.includes(t.id,"rtcp")?(e=t.id||t.ssrc,d.hasIndexOrKey(h,e)||(h[e]={timestamp:d.now()}),s="?",r=parseFloat(t.timestamp)-h[e].timestamp,i=function(t,e,i){if(!d.isUndefined(e))return t?8*(t-(e||0))/i:0}(parseFloat(t.bytesSent),h[e].bytesSent,r),n=function(t,e,i){if(!d.isUndefined(e))return t?8*(t-(e||0))/i:0}(parseFloat(t.bytesReceived),h[e].bytesReceived,r),r=function(t,e,i){if(!d.isUndefined(e))return(t-e)/(i/1e3)}(l(m(t.framesEncoded),m(t.framesDecoded)),h[e].framesEncoded||h[e].framesDecoded,r),g(t)&&(s="upload"),v(t)&&(s="download"),s={uploadRate:i,downloadRate:n,mediaType:t.mediaType,ssrc:t.ssrc,direction:s,nativeReport:t,rtt:l(m(t.rtt),m(t.googRtt),m(t.roundTripTime),m(t.currentRoundTripTime)),bitrateMean:m(t.bitrateMean,10)||1e3*(g(t)?i:n),targetDelay:m(f(t.targetDelay,t.googTargetDelayMs),10),currentDelay:m(f(t.currentDelay,t.currentDelayMs,t.googCurrentDelayMs),10)},d.assign(h[e],t),"video"===t.mediaType&&(s=d.assign(s,{droppedFrames:m(t.droppedFrames,10)||0,framerateMean:l(t.framerateMean,t.framesPerSecond,r)||0,cpuLimitedResolution:f(t.cpuLimitedResolution,t.googCpuLimitedResolution),avgEncode:m(f(t.avgEncode,t.avgEncodeMs,t.googAvgEncodeMs),10)}),""!==c)&&(s.nativeReport.codecId=c),"audio"===t.mediaType&&(s=d.assign(s,{audioInputLevel:f(t.audioInputLevel,t.googAudioInputLevel),audioOutputLevel:f(t.audioOutputLevel,t.googAudioOutputLevel),jitter:m(f(t.jitter,t.jitterReceived,t.googJitterReceived),10),jitterBuffer:m(f(t.jitterBuffer,t.jitterBufferMs,t.googJitterBufferMs),10),totalSamplesDuration:p(t.totalSamplesDuration),totalAudioEnergy:p(t.totalAudioEnergy)}),""!==u)&&(s.nativeReport.codecId=u),o.push(s)):"codec"===t.type&&void 0!==t.mimeType&&(i=t.mimeType.match(/([^/]+)\/(.+)/))&&("audio"===i[1]&&(u=i[2]),"video"===i[1])&&(c=i[2])}},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(4),i(20),i(31)],e=function(n,r,s,t,e){"use strict";var i=t.types,o=e.states,a="pcast://phenixp2p.com/";function u(t,e,i,n){this.init(t,e,i,n)}function c(t){return n.includes(t,a)?a:"pcast://phenixrts.com/"}function h(t){var i={},t=t.split("?");return 2===t.length&&(t=t[1].split("&"),n.forEach(t,function(t){var t=t.split("="),e=t[0],t=decodeURIComponent(t[1]);i[e]=t,"capabilities"===e&&(i[e]=t&&t.split(",")||[])})),i}function d(t){return r.isValidType(t,i,"streamType"),n.getEnumName(i,t)}function l(t){return r.isValidType(t,o,"trackState"),n.getEnumName(o,t)}return u.prototype.init=function(t,e,i,n){r.isString(t,"uri"),this.M=new s.Observable(t),this.P=new s.Observable(e,d),this.D=new s.Observable(i||o.trackEnabled.name,l),this.U=new s.Observable(n||o.trackEnabled.name,l),this.O=u.parsePCastStreamIdFromStreamUri(t)},u.prototype.getUri=function(){return this.M.getValue()},u.prototype.getType=function(){return this.P.getValue()},u.prototype.getObservableAudioState=function(){return this.D},u.prototype.getObservableVideoState=function(){return this.U},u.prototype.toJson=function(){return{uri:this.M.getValue(),type:this.P.getValue(),audioState:this.D.getValue(),videoState:this.U.getValue()}},u.prototype.A=function(t){var e,i;n.isObject(t)&&(Object.prototype.hasOwnProperty.call(t,"uri")&&t.uri!==this.M.getValue()&&(e=t.uri,i=this.M.getValue(),u.parsePCastStreamIdFromStreamUri(e)===u.parsePCastStreamIdFromStreamUri(i))&&(this.M.setValue(t.uri),this.O=u.parsePCastStreamIdFromStreamUri(t.uri)),Object.prototype.hasOwnProperty.call(t,"audioState")&&this.D.setValue(t.audioState),Object.prototype.hasOwnProperty.call(t,"videoState"))&&this.U.setValue(t.videoState)},u.prototype.isPCastStream=function(){return!!this.O},u.prototype.getPCastStreamId=function(){return this.O},u.prototype.getInfo=function(){return h(this.M.getValue())},u.getPCastPrefix=function(){return a},u.parsePCastStreamIdFromStreamUri=function(t){return n.includes(t,c(t))?t.replace(c(t),"").split("?")[0]:null},u.getInfoFromStreamUri=h,u}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){e=function(){"use strict";return{types:{user:{id:0,name:"User"},presentation:{id:1,name:"Presentation"},audio:{id:2,name:"Audio"}}}}.apply(e,[]);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(4),i(3),i(15),i(9),i(12),i(11),i(23),i(42),i(17),i(46),i(47),i(24),i(10),i(48),i(50),i(51),i(18),i(53),i(54),i(58),i(6),i(26),i(2),i(25)],e=function(b,k,r,s,e,n,o,S,N,L,a,B,j,_,V,W,l,z,H,f,m,G,I,K,R,p){"use strict";var J=50,Q=/^(?:room|channel)Id[:](.*)$/,X=/^(?:room|channel)Alias[:](.*)$/;function t(t){k.isObject(t=t||{},"options"),t.streamingSourceMapping&&(k.isObject(t.streamingSourceMapping,"options.streamingSourceMapping"),k.isStringNotEmpty(t.streamingSourceMapping.replacement,"options.streamingSourceMapping.replacement"),t.streamingSourceMapping.patternToReplace instanceof RegExp||k.isStringNotEmpty(t.streamingSourceMapping.patternToReplace,"options.streamingSourceMapping.patternToReplace")),b.isNullOrUndefined(t.disableMultiplePCastInstanceWarning)||k.isBoolean(t.disableMultiplePCastInstanceWarning,"options.disableMultiplePCastInstanceWarning"),b.isNullOrUndefined(t.disableGlobalErrorListener)||k.isBoolean(t.disableGlobalErrorListener,"options.disableGlobalErrorListener"),b.isNullOrUndefined(t.disableBeforeUnload)||k.isBoolean(t.disableBeforeUnload,"options.disableBeforeUnload"),b.isNullOrUndefined(t.disableConsoleLogging)||k.isBoolean(t.disableConsoleLogging,"options.disableConsoleLogging"),b.isNullOrUndefined(t.loggingLevel)||k.isNumber(t.loggingLevel,"options.loggingLevel"),b.isNullOrUndefined(t.treatBackgroundAsOffline)||k.isBoolean(t.treatBackgroundAsOffline,"options.treatBackgroundAsOffline"),b.isNullOrUndefined(t.reAuthenticateOnForeground)||k.isBoolean(t.reAuthenticateOnForeground,"options.reAuthenticateOnForeground"),!0===t.treatBackgroundAsOffline&&!1===t.reAuthenticateOnForeground&&this.u.warn('Conflicting options "reAuthenticateOnForeground" can not be false when "treatBackgroundAsOffline" is true. Will reauthenticate upon entering foreground.'),t.shakaLoader&&k.isFunction(t.shakaLoader,"options.shakaLoader"),t.webPlayerLoader&&k.isFunction(t.webPlayerLoader,"options.webPlayerLoader"),this.F=new r.Observable("offline"),this.N=new r.Observable(0),this.L=new r.Observable(null),this.B=t.deviceId||"",this.R="2024-01-18T15:57:27Z";var e=this.parseTypeFromToken.call(this,t.authToken);if("publish"===e||"stream"===e)throw new Error('Cannot authorize. Please use token without type or token with type "auth".');function i(t){t=t?t.error:"Unknown Error";n.u.error("Window Error Event Triggered with pcast in [%s] state [%s]",n.F.getValue(),t,t)}this.j=t.authToken;var e=this.parseUriFromToken.call(this,t.authToken),n=(e?(this.T=e,u.call(this,t),this.u.info("Base uri is set to [%s] from authToken [%s]",e,t.authToken)):(this.T=t.uri||a.DefaultPCastUri,u.call(this,t)),this._=new B(t,this.u),this.V=t.shakaLoader,this.W=t.webPlayerLoader,this.H=t.rtmp||{},this.G=t.streamingSourceMapping,this.q=new s.DisposableList,this.K=t.disableMultiplePCastInstanceWarning,this.J=!0===t.treatBackgroundAsOffline,this.X=!0===t.reAuthenticateOnForeground,this.$=0,this.Y=0,this.Z=!0,this.tt=[],this.et=[],this.it={},this.nt={},this);b.addEventListener(R.global,"unload",function(){return n.u.info("Window Unload Event Triggered"),n.stop("window-unload")}),t.disableGlobalErrorListener||(b.addEventListener(R.global,"error",i),R.global.__phenixGlobalErrorListenerDisposable&&R.global.__phenixGlobalErrorListenerDisposable.dispose(),R.global.__phenixGlobalErrorListenerDisposable=new s.Disposable(function(){b.removeEventListener(R.global,"unload",i)})),t.disableBeforeUnload||b.addEventListener(R.global,"beforeunload",function(){return n.u.info("Window Before Unload Event Triggered"),n.stop("window-beforeunload")}),R.webrtcSupported||"ReactNative"!==R.browser||R.shim(),R.webrtcSupported&&"online"===this.F.getValue()&&(function(){var i=this,n=new R.RTCPeerConnection;"Safari"===R.browser&&10<R.browserVersion&&(n.addTransceiver("audio"),n.addTransceiver("video"));try{var t=function(t){var e=p.getH264ProfileIds(t.sdp);if(i.et=p.getSupportedCodecs(t.sdp),i.u.info("Supported WebRTC video codecs [%s]",i.et),0===e.length)return i.u.info("Unable to find local h264 profile level id",t.sdp);i.u.info("Found local h264 profile level ids [%s]",e,t.sdp),i.tt=e,n.close&&n.close()},e=function(t){i.u.error("Unable to create offer to get local h264 profile level id",t),n.close&&n.close()},r={offerToReceiveAudio:!0,offerToReceiveVideo:!0};if("function"==typeof R.global.Promise)return n.createOffer(r).then(t).catch(e);n.createOffer(t,e,r)}catch(t){i.u.error("Failed to set environment defaults. Creating the Offer failed",t),n.close&&n.close()}}.call(this),v.call(this))}function u(t){this.u=t.logger||e.createPCastLogger(this.T,t.disableConsoleLogging,t.loggingLevel),this.rt=t.metricsTransmitter||W.createMetricsTransmitter(this.T)}function i(e){if(!b.startsWith(e,"DIGEST:"))throw this.u.warn("Failed to parse the `token` [%s]",e),new Error("Bad `token`");try{var i=e.split(":")[1],t=R.global.atob(i),n=JSON.parse(t).token;return JSON.parse(n)}catch(t){i=this.getProtocol().getSessionId();throw this.u.warn("[%s] Failed to parse the `token` [%s]",i,e),new Error(t)}}function $(){var i,n,r=this;r.st?r.u.warn("[%s] Skip connect due to stopped state",r):(d.call(r)&&"offline"===r.F.getValue()&&(this.u.warn("[PCast] connected after being offline. Reconnecting."),c.call(r)),this.ot=!0,i=r.ut,n=++r.$,i.authenticate(r.j,function(t,e){i!==r.ut?r.u.info("Ignoring authentication response as reset took place"):n!==r.$?r.u.info("Ignoring authentication response as a latter request is already underway"):r.ct&&(t?(r.u.error("Failed to authenticate [%s]",t),D.call(r,"unauthorized"),r.ct.call(r,r,"unauthorized","")):"ok"!==e.status?(r.u.warn("Failed to authenticate, status [%s]",e.status),D.call(r,"unauthorized"),r.ct.call(r,r,"unauthorized","")):(D.call(r,"online"),r.ct.call(r,r,e.status,e.sessionId)))}))}function c(){D.call(this,"reconnecting")}function h(t){t&&k.isString("reason",t),D.call(this,"reconnected",t),this.u.info("Attempting to re-authenticate after reconnected event [%s]",t),function(){var n,r,s=this;s.st?s.u.info("Skip re-authentication due to stopped state"):(n=s.ut,r=++s.Y,n.authenticate(s.j,function(t,e){var i=!0===s.ot;if(n!==s.ut)s.u.info("Ignoring re-authentication response as reset took place");else{if(r===s.Y)return t?(s.u.error("Unable to authenticate after reconnect to WebSocket [%s]",t),D.call(s,"reconnect-failed")):"ok"!==e.status?(s.u.warn("Unable to authenticate after reconnect to WebSocket, status [%s]",e.status),t="capacity"===e.status?e.status:"reconnect-failed",D.call(s,t)):(s.ot=!0,s.u.info("Successfully authenticated after reconnect to WebSocket"),D.call(s,"online",null,i));s.u.info("Ignoring re-authentication response as a latter request is already underway")}}))}.call(this)}function Y(){if(d.call(this)&&"reconnecting"===this.F.getValue())return this.u.warn("[PCast] disconnected after attempting to reconnect. Going offline."),D.call(this,"critical-network-issue"),this.stop("critical-network-issue");this.ot=!1,D.call(this,"offline")}function d(){return b.reduce(this.ht,function(t,e){return t&&"closed"===e.iceConnectionState},!0)}function Z(t){var e=t.streamId,t=t.reason;return g.call(this,e,t)}function tt(t){var e=t.streamId,i=t.status,t=t.reason,n=this.dt[e],n=(n&&n.dataQualityChangedCallback(i,t),this.lt[e]);n&&b.isFunction(n.dataQualityChangedCallback)&&n.dataQualityChangedCallback(n,i,t)}function g(t,e){this.u.info("[%s] Stream ended with reason [%s]",t,e);var i=this.dt[t],i=(i&&i.streamEndedCallback(f.getStreamEndedStatus(e),e,!0),delete this.dt[t],this.lt[t]),i=(i&&b.isFunction(i.publisherEndedCallback)&&i.publisherEndedCallback(i,f.getStreamEndedStatus(e),e),delete this.lt[t],this.ht[t]);i&&U.call(this,t,i,"ended"),delete this.ht[t]}function y(r,s,o,a,u,c){function t(t){if(!s.failed&&!l){var i,e=p.getNumberOfActiveSections(o),t=t.stream||b.get(t,["streams",0]),n="real-time";if(!t)return s.failed=!0,d.u.warn("[%s] No remote stream",r),u.call(d,void 0,"failed");h&&clearTimeout(h),e!==t.getTracks().length&&"ReactNative"!==R.browser?h=setTimeout(function(){return s.failed=!0,d.u.warn("[%s] Did not receive all tracks within [%s] ms",r,3e3),u.call(d,void 0,"failed")},3e3):(l=!0,d.u.info("[%s] Got remote stream",r),a.setProperty("kind",n),e=b.assign({networkLag:d.ft},c),t=new G(r,t,o,a,e,d.u),(i=new f(n,t,d.u)).on(I.streamEvents.playerError.name,function(t,e){d.u.info("Phenix Real-Time stream error [%s] [%s]",t,e),i.streamErrorCallback(n,e)}),i.on(I.streamEvents.stopped.name,function(t){!s.stopped&&d.ut&&(d.u.info("[%s] media stream has stopped with reason [%s]",r,t),U.call(d,r,o,"stop"),d.ut.destroyStream(r,t||"",function(t,e){t?d.u.error("[%s] failed to destroy stream [%s]",r,t):"ok"!==e.status?d.u.warn("[%s] failed to destroy stream, status [%s]",r,e.status):d.u.info("[%s] destroyed stream",r)}),s.stopped=!0)}),d.dt[r]=i,u.call(d,t))}}var h,d=this,l=!1;b.addEventListener(o,"addstream",t),b.addEventListener(o,"track",t)}function w(e,t,i){var n=this;b.addEventListener(t,"icecandidate",function(t){t=t.candidate;t?n.u.info("[%s] ICE candidate: [%s] [%s] [%s]",e,t.sdpMid,t.sdpMLineIndex,t.candidate):n.u.info("[%s] ICE candidate discovery complete",e),i&&i(t)})}function T(e,i){var n=this;b.addEventListener(i,"negotiationneeded",function(t){n.u.info("[%s] Negotiation needed",e)}),b.addEventListener(i,"iceconnectionstatechange",function(t){n.u.info("[%s] ICE connection state changed [%s]",e,i.iceConnectionState)}),b.addEventListener(i,"icegatheringstatechange ",function(t){n.u.info("[%s] ICE gathering state changed [%s]",e,i.iceGatheringState)}),b.addEventListener(i,"signalingstatechange",function(t){n.u.info("[%s] Signaling state changed [%s]",e,i.signalingState)}),b.addEventListener(i,"connectionstatechange",function(t){n.u.info("[%s] Connection state changed [%s]",e,i.connectionState)})}function v(e){var i=this;if("Edge"===R.browser)return R.getDestinations(function(t){0===b.filter(t,function(t){return"audio"===t.kind}).length?(i.Z&&i.u.info("Detected no audio devices attached to machine"),i.Z=!1):i.Z=!0,e&&e()});e&&e()}function et(t,n,e,i,r,s){if("IE"===R.browser)throw new Error("Subscribing in real-time not supported on IE");function o(t){u.failed||(t instanceof Error&&(a.u.info("[%s] Failed to setup peer connection",n,t),t="failed"),u.failed=!0,u.stopped=!0,delete a.ht[n],delete a.dt[n],delete a.gt[n],U.call(a,n,d,"failure"),r.call(a,void 0,t||"failed"))}var a=this,u={failed:!1,stopped:!1},c=e.match(/a=crypto:/i),h=e.match(/m=application /i),d=new R.RTCPeerConnection(t,{optional:[{DtlsSrtpKeyAgreement:!c},{RtpDataChannels:h}]}),c=(F(d),a.ht[n]=d,"Firefox"!==R.browser&&"Edge"!==R.browser||(e.match(/(\nm=video)/g)&&e.match(/(\nm=audio)/g)&&(e=e.replace(t=/(a=candidate)((.|\n)*)(?=m=)/g,e.match(t)+"a=end-of-candidates\n")),e=(e+="a=end-of-candidates").replace(/(\na=ice-options:trickle)/g,"")),"ReactNative"===R.browser&&(e=p.setGroupLineOrderToMatchMediaSectionOrder(e)),y.call(a,n,u,d,i,r,s),w.call(a,n,d,function(t){a.gt[n]&&a.gt[n](t)}),T.call(a,n,d),new R.RTCSessionDescription({type:"offer",sdp:e})),l={mandatory:{}};if("Chrome"===R.browser||"ReactNative"===R.browser?(l.mandatory.OfferToReceiveVideo=!1!==s.receiveVideo,l.mandatory.OfferToReceiveAudio=!1!==s.receiveAudio):(l.mandatory.offerToReceiveVideo=!1!==s.receiveVideo,l.mandatory.offerToReceiveAudio=!1!==s.receiveAudio),"function"==typeof R.global.Promise)return d.setRemoteDescription(c).then(b.bind(E,a,d)).then(function(){return d.createAnswer(l)}).then(b.bind(C,a)).then(function(i){return new R.global.Promise(function(t,e){M.call(a,n,i,t,e)})}).then(function(t){return d.setLocalDescription(t)}).then(b.bind(q,a,d)).then(function(){a.u.info("[%s] Peer connection setup completed",n)}).catch(o);a.u.info("[%s] Using legacy peer connection api to subscribe",n),d.setRemoteDescription(c,function(){E.call(a,d),d.createAnswer(function(t){C.call(a,t),M.call(a,n,t,function(t){d.setLocalDescription(t,function(){q.call(a,d),a.u.info("[%s] Peer connection setup completed",n)},o)},o)},o,l)},o)}function q(t){this.u.debug("Set local description [%s] [%s]",b.get(t,["localDescription","type"]),b.get(t,["localDescription","sdp"]))}function E(t){this.u.debug("Set remote description [%s] [%s]",b.get(t,["localDescription","type"]),b.get(t,["remoteDescription","sdp"]))}function C(t){return this.u.info("Created answer [%s]",t.sdp),t}function M(i,t,n,r){var s=this;s.ut.setAnswerDescription(i,t.sdp,function(t,e){if(t)return s.u.error("Failed to set answer description [%s]",t),r();if("ok"!==e.status)return s.u.warn("Failed to set answer description, status [%s]",e.status),r(e.status);e&&b.includes(e.options,"ice-candidates")&&(s.gt[i]=b.bind(it,s,i));t=e.sessionDescription.sdp,R.isIOS&&(s.u.info("iOS Version is [%s]",R.browserVersion),R.browserVersion<11)&&(t=t.replace("BUNDLE audio video","BUNDLE video audio")),e=new R.RTCSessionDescription({type:"answer",sdp:t});n(e)})}function it(t,e){var i=this,n=(n=this.it[t])||(this.it[t]=[]);e&&b.get(e,["candidate"])?n.push(e):(i.nt[t]&&(i.u.debug("[%s] Dismissing scheduled batch for adding ICE candidates. Sending candidates immediately because there are no more candidates.",t),clearTimeout(i.nt[t])),x.call(i,t,["completed"]),delete this.it[t],delete this.nt[t]),this.nt[t]?i.u.debug("[%s] Using existing batch for adding ICE candidates",t):(this.nt[t]=setTimeout(function(){x.call(i,t,[]),delete i.nt[t]},J),this.q.add(new s.Disposable(function(){i.nt[t]&&clearTimeout(i.nt[t]),delete i.it[t],delete i.nt[t]})))}function x(i,t){var n,e=this.it[i]||[];0===e.length&&0===t.length||(delete(n=this).it[i],this.u.info("[%s] Adding [%s] ICE Candidates with Options [%s]",i,e.length,t),this.ut.addIceCandidates(i,e,t,function(t,e){return t?n.u.error("Failed to add ICE candidate [%s]",t):"ok"!==e.status?n.u.warn("Failed to add ICE candidate, status [%s]",e.status):void(b.includes(e.options,"cancel")&&delete n.gt[i])}))}function nt(t,e,i,n,r){var s=this,o=/a=x-rtmp:(rtmp:\/\/[^\n]*)/m,a=e.match(o),u=e.match(/a=x-playlist:([^\n]*[.]mpd\??[^\s]*)/m),c=e.match(/a=x-playlist:([^\n]*[.]m3u8\??[^\s]*)/m),h=b.get(u,[1],""),d=b.get(c,[1],""),u=u&&2===u.length,c=c&&2===c.length,l=!!a,f=[],u=((u||c)&&f.push("streaming"),l&&f.push("rtmp"),this.getSupportedFeatureAndCapabilityFromCapabilities(f,!0));if("ok"!==u.status)s.u.warn("[%s] Creating live viewer stream failed: [%s].",t,u.status);else{switch(this.G&&(h=h.replace(this.G.patternToReplace,this.G.replacement),d=d.replace(this.G.patternToReplace,this.G.replacement)),u.feature){case I.types.rtmp.name:var m=[],p=S.parseEnvFromPcastBaseUri(this.T);for(this.u.info("Selecting flash playback for rtmp.");a;){var g=b.get(a,[1],""),v=b.get(g.match(/(rtmp:\/\/[^\n\s]*)/),[0]),y=b.get(g.match(/bitrate=([^\n\s;]*)/),[1]),w=b.get(g.match(/resolution=([^\n\s;]*)/),[1]);e=e.replace(g,""),v&&m.push({uri:v,bitrate:y,resolution:w}),a=e.match(o)}return P.call(s,t,m,I.types.rtmp.name,i,n,b.assign({env:p},this.H,r));case I.types.dash.name:return this.u.info("Selecting dash playback for live stream."),r.isDrmProtectedContent=/[?&]drmToken=([^&]*)/.test(h)||/x-widevine-service-certificate/.test(e),r.isDrmProtectedContent&&(r.widevineServiceCertificateUrl=e.match(/a=x-widevine-service-certificate:([^\n][^\s]*)/m)[1],r.playreadyLicenseUrl=e.match(/a=x-playready-license-url:([^\n][^\s]*)/m)[1]),P.call(s,t,h,I.types.dash.name,i,n,r);case I.types.hls.name:return this.u.info("Selecting hls playback for live stream."),r.isDrmProtectedContent=/[?&]drmToken=([^&]*)/.test(d),r.hlsTargetDuration&&(k.isNumber(r.hlsTargetDuration,"options.hlsTargetDuration"),d=d+(-1<d.indexOf("?")?"&":"?")+"targetDuration="+r.hlsTargetDuration),P.call(s,t,d,I.types.hls.name,i,n,b.assign({preferNative:R.shouldUseNativeHls},r))}s.u.warn("[%s] Unhandled stream type encountered: [%s]. Creating live viewer stream failed.",t,u.feature)}return n.call(s,void 0,"failed")}function P(n,e,r,s,o,a){var u=this,i=0,c=null,h=null;return this.V||this.W?(this.V&&i++,this.W&&i++,this.V&&this.V(function(t){if(c=t,0==--i)return d()}),this.W&&this.W(function(t){if(h=t,0==--i)return d()}),0===i?d():void 0):(u.u.warn("[%s] No player available for [%s] and uri [%s]. Please provide a loader via options.",n,r,e),u.ut.destroyStream(n,"unsupported-features",function(t,e){t?u.u.error("[%s] failed to destroy stream with unsupported features, [%s]",n,t):"ok"!==e.status&&u.u.warn("[%s] failed to destroy stream with unsupported features, status [%s]",n,e.status)}),o.call(u,void 0,"unsupported-features"));function d(){if(!c&&!h)return u.u.warn("[%s] No player available for [%s] and uri [%s]. Please make sure the loader properly provides the player.",n,r,e),o.call(u,void 0,"unsupported-features");var t=new m(r,n,e,s,a,c,h,u.u),i=new f(r,t,u.u);s.setProperty("kind",r),i.on(I.streamEvents.playerError.name,function(t,e){u.u.warn("Phenix Live Stream Player Error [%s] [%s]",t,e),i.streamErrorCallback(t,e)}),i.on(I.streamEvents.stopped.name,function(t){if(!u.ut)return u.u.warn("Unable to destroy stream [%s]",n);u.ut.destroyStream(n,t||"",function(t,e){t?u.u.error("[%s] failed to destroy stream, [%s]",n,t):"ok"!==e.status&&u.u.warn("[%s] failed to destroy stream, status [%s]",n,e.status)})}),u.dt[n]=i,o.call(u,i.getPhenixMediaStream())}}function D(t,e,i){var n=this.getStatus();if(n!==t&&("critical-network-issue"!==n&&"offline"!==n||"offline"!==t)){this.F.setValue(t);var r=this.getProtocol(),r=r?r.getSessionId():"";if(this.u.debug("[%s] Transition from [%s] to [%s] with reason [%s]",r,n,t,e),!i)switch(t){case"connecting":case"reconnecting":case"reconnected":break;case"critical-network-issue":case"unauthorized":case"reconnect-failed":case"offline":return this.vt.call(this);case"online":return this.yt.call(this)}}}function U(t,e,i){"closed"===e.signalingState||e.__closing?this.u.debug("[%s] Peer connection is already closed [%s]",t,i):(this.u.debug("[%s] close peer connection [%s]",t,i),e.close(),e.__closing=!0)}function rt(){(this.J||this.X)&&h.call(this,"entered-foreground")}function st(){this.J&&D.call(this,"offline","entered-background")}function O(t){var e,i;return t&&(e=b.isArray(t)?[]:{},i=b.bind(ot,null,e),b.isArray(t)?b.forEach(t,i):b.forOwn(t,i),e)}function ot(t,e,i){var n;if(null!==e)return b.isObject(e)||b.isArray(e)?t[i]=O(e):b.isString(e)&&b.isString(i)?(n=b.startsWith(e.toLowerCase(),i.toLowerCase())?e.substring(i.length,e.length).toLowerCase():e,void(t[i]=n)):t[i]=e}function A(t){switch(R.browser){case"Firefox":t&&b.forEach(t.iceServers,function(t){t.urls=b.filter(t.urls,function(t){return!b.startsWith(t,"turns")})});break;case"Edge":t&&b.forEach(t.iceServers,function(t){t.urls=b.map(t.urls,function(t){return t.replace("transport=tcp","transport=udp")})})}return t}t.prototype.getBaseUri=function(){return this.T},t.prototype.getStatus=function(){return this.F.getValue()},t.prototype.getObservableStatus=function(){return this.F},t.prototype.getRemoteDescriptionSdp=function(t){if(k.isStringNotEmpty(t,"streamId"),this.ht)return b.get(this.ht,[t,"remoteDescription","sdp"])},t.prototype.isStarted=function(){return this.wt},t.prototype.reAuthenticate=function(t){if(k.isStringNotEmpty(t,"authToken"),"online"===this.F.getValue())return this.u.warn("Already authenticated. Denying request to re-authenticate");this.u.info("Attempting to re-authenticate with new auth token [%s]",t),this.j=t,h.call(this)},t.prototype.start=function(t,e,i){if(k.isFunction(t,"authenticationCallback"),k.isFunction(e,"onlineCallback"),k.isFunction(i,"offlineCallback"),this.wt)throw new Error('"Already started"');b.isNumber(R.global.__phenixInstantiatedPCastCount)?R.global.__phenixInstantiatedPCastCount++:R.global.__phenixInstantiatedPCastCount=1,1<R.global.__phenixInstantiatedPCastCount&&!this.K&&this.u.warn("Avoid using multiple instances of PCast as this uses unnecessary resources and will reduce performance. This is your [%s] simultaneous instance. Remember to dispose all resources when done with them by calling .stop() or .dispose()",R.global.__phenixInstantiatedPCastCount),this.st=!1,this.wt=!0,this.ct=t,this.yt=e,this.vt=i,this.C=new z(this.u,this.rt),this.bt=new a(this.R,this.T,this.u,this.C),D.call(this,"connecting"),this.ht={},this.dt={},this.gt={},this.lt={},this.kt=[],this.q.add(this.bt),this.q.add(this.C),this.q.add(o.onBackground(b.bind(st,this))),this.q.add(o.onForeground(b.bind(rt,this)));var n=this;n.bt.resolveUri(function(t,e){if(t){if(n.u.error("Failed to connect to [%s]",n.T,t),n.ct)switch(t.code){case 0:n.ct.call(n,n,"network-unavailable","");break;case 503:n.ct.call(n,n,"capacity","");break;default:return void n.ct.call(n,n,"critical-network-issue","")}D.call(n,"offline"),n.st=!0,n.wt=!1}else n.u.info("Discovered end point [%s] with RTT [%s]",e.uri,e.roundTripTime),n.ft=e.roundTripTime/2,n.St=e.uri,n.wt&&function(t){this.ut=new L(t,this.B,this.R,this.u),this.ut.onEvent("connected",b.bind($,this)),this.ut.onEvent("reconnecting",b.bind(c,this)),this.ut.onEvent("reconnected",b.bind(h,this)),this.ut.onEvent("disconnected",b.bind(Y,this)),this.ut.onEvent("pcast.StreamEnded",b.bind(Z,this)),this.ut.onEvent("pcast.StreamDataQuality",b.bind(tt,this)),this.u.setObservableSessionId&&this.u.setObservableSessionId(this.ut.getObservableSessionId()),this.It&&(this.It.dispose(),this.C.setSessionId(null)),this.Rt&&this.Rt.dispose(),this.Rt=this.ut.getObservableSessionId().subscribe(b.bind(function(t){this.L.setValue(t)},this)),this.It=this.ut.getObservableSessionId().subscribe(b.bind(this.C.setSessionId,this.C))}.call(n,e.uri)})},t.prototype.stop=function(i){if(i=i||"",k.isString(i,"reason"),this.wt){this.u.info("Stopping pcast instance with reason [%s]",i),this.st=!0,this.wt=!1,delete this.ct;try{var n=this;b.forOwn(this.dt,function(t,e){g.call(n,e,i)}),b.forOwn(this.lt,function(t,e){g.call(n,e,i),b.includes(t.getOptions(),"detached")||t.stop(i,!0)}),b.forOwn(this.ht,function(t,e){g.call(n,e,i)}),b.forEach(this.kt,function(t){t=t.getTracks();b.forEach(t,function(t){t.stop()})})}catch(t){n.u.warn("Pcast stop caught an error",t)}finally{if(this.ut){try{this.ut.disconnect()}catch(t){n.u.warn("Failed to disconnect pcast",t)}this.ut=null}this.u.setObservableSessionId&&this.u.setObservableSessionId(null),this.It&&(this.It.dispose(),this.C.setSessionId(null)),this.Rt&&(this.Rt.dispose(),this.L.setValue(null)),R.global.__phenixInstantiatedPCastCount--,this.q.dispose()}}},t.prototype.getUserMedia=function(t,e,i){if("IE"===R.browser)throw new Error("Publishing not supported on IE");return k.isObject(t,"options"),k.isFunction(e,"callback"),i&&k.isFunction(i,"onScreenShare"),new j(this.u,this._,i).getUserMedia(t,e)},t.prototype.publish=function(t,o,a,e,u){if("IE"===R.browser)throw new Error("Publishing not supported on IE");if(!this.wt)throw new Error("PCast not started. Unable to publish. Please start pcast first.");if(e=e||[],u=u||{},k.isStringNotEmpty(t,"token"),k.isFunction(a,"callback"),k.isArray(e,"tags"),k.isObject(u,"options"),!b.isObject(o)&&!b.isString(o))throw new Error('"streamToPublish" must be an object or URI');var c=this,h=b.assign({},u,{negotiate:!0}),d=(b.isString(o)?(h.negotiate=!1,h.connectUri=o):h.connectUri=u.connectUri,0<e.length&&(h.tags=e),new l(this.getProtocol().getSessionId(),this.u,this.rt));d.setProperty("resource","upload"),this.ut.setupStream("upload",t,h,2*c.ft,function(t,e){if(t)return c.u.error("Failed to create uploader [%s]",t),a.call(c,c,"failed");var i,n,r,s;if("ok"===e.status)return t=e.createStreamResponse.streamId,d.setStreamId(t),d.setStartOffset(e.createStreamResponse.offset),d.recordMetric("Provisioned"),d.recordMetric("RoundTripTime",{uint64:2*c.ft},null,{resource:c.St,kind:"https"}),!0===h.negotiate?(i=e.createStreamResponse.createOfferDescriptionResponse.sessionDescription.sdp,n=A(O(e.createStreamResponse.rtcConfiguration)),"Opera"===R.browser&&0<c.tt.length&&(r=b.get(p.getH264ProfileIds(i),[0]),(s=p.getH264ProfileIdWithSameProfileAndEqualToOrHigherLevel(c.tt,r))?r!==s&&(c.u.info("[%s] Replacing publisher h264 profile level id [%s] with new value [%s] in offer sdp",t,r,s),i=p.replaceH264ProfileId(i,r,s)):c.u.warn("[%s] Unable to find h264 profile level id to replace [%s]. Rejected environment defaults of [%s]",t,r,c.tt)),function(t,o,a,e,i,u,n,c){var h=this,d={failed:!1,stopped:!1},r=e.match(/a=crypto:/i),s=e.match(/m=application /i),l=new R.RTCPeerConnection(t,{optional:[{DtlsSrtpKeyAgreement:!r},{RtpDataChannels:s}]}),f=null,m=null;function p(t){d.failed||(t instanceof Error&&(h.u.info("[%s] Failed to setup peer connection",a,t),t="failed"),d.failed=!0,d.stopped=!0,delete h.ht[a],delete h.lt[a],delete h.gt[a],U.call(h,a,l,"failure"),u.call(h,void 0,t||"failed"))}function g(){var i=/(b=AS:([0-9]*)[\n\r]*)/gi,n=/(mid:video)([\n\r]*)/gi,r=0,t=i.exec(e),s=(t&&3<=t.length&&(r=1e3*t[2]),{getStreamId:function(){return a},getStream:function(){return o},isActive:function(){return!d.stopped},hasEnded:function(){switch(l.iceConnectionState){case"new":case"checking":case"connected":case"completed":return!1;default:return!0}},stop:function(t){!d.stopped&&h.ut&&(h.u.info("[%s] stopping publisher with reason [%s]",a,t||"client-action"),U.call(h,a,l,"closed"),h.ut.destroyStream(a,t||"",function(t,e){t?h.u.error("[%s] failed to destroy stream [%s]",a,t):"ok"!==e.status?h.u.warn("[%s] failed to destroy stream, status [%s]",a,e.status):h.u.info("[%s] destroyed stream",a)}),d.stopped=!0)},setPublisherEndedCallback:function(t){k.isFunction(t,"callback"),this.publisherEndedCallback=t},setDataQualityChangedCallback:function(t){k.isFunction(t,"callback"),this.dataQualityChangedCallback=t},limitBandwidth:function(t){if("Edge"===R.browser)return h.u.warn("Limit bandwidth not support on [%s]",R.browser);k.isNumber(t,"bandwidthLimit");var s=r?Math.min(t,r):t,e=l.remoteDescription,t=(h.u.info("Changing bandwidth limit to [%s]",s),(t=e.sdp.replace(i,"")).replace(n,function(t,e,i,n,r){return[e,i,"b=AS:",Math.ceil(s/1e3),i].join("")})),t=new R.RTCSessionDescription({type:e.type,sdp:t});return l.setRemoteDescription(t),{dispose:function(){l.setRemoteDescription(e)}}},getMonitor:function(){return m},monitor:function(t,i){k.isObject(t,"options"),k.isFunction(i,"callback");var e=new _(a,l,h.u);return t.direction="outbound",t.setNetworkRTT=function(t){h.N.setValue(t)},e.start(t,function(){return h.lt[a]===s&&!d.stopped},function(t,e){return t&&h.u.warn("[%s] Publisher monitor triggered unrecoverable error [%s]",t),h.u.warn("[%s] Publisher triggered monitor condition for [%s]",a,e.reasons),i(s,"client-side-failure",e)}),b.forEach(o.getTracks(),function(t){b.addEventListener(t,"readystatechange",function(){if("ended"===t.readyState)return h.u.warn("[%s] Publisher track has failed [%s]",a,t),i(s,"camera-track-failure",{type:t.kind+"-track-ended",message:"Publisher "+t.kind+" track has ended in an unrecoverable way. This may require reconfiguring your camera or microphone."})})}),m=e},addBitRateThreshold:function(t,e){return new K("Publisher",m,function(){return r}).addThreshold(t,e)},setRemoteMediaStreamCallback:function(t){k.isFunction(t,"callback"),this.remoteMediaStreamCallback=t,f&&t(s,f)},getOptions:function(){return c},getStats:function(e){k.isFunction(e,"callback"),this.Tt||(this.Tt={});var i=this;return R.getStats(l,null,function(t){e(H.convertPeerConnectionStats(t,i.Tt))})},networkRTT:h.N});h.lt[a]=s,u.call(h,s)}F(l),(h.ht[a]=l).addStream(o),"Firefox"!==R.browser&&"Edge"!==R.browser||(e.match(/(\nm=video)/g)&&e.match(/(\nm=audio)/g)&&(e=e.replace(t=/(a=candidate)((.|\n)*)(?=m=)/g,e.match(t)+"a=end-of-candidates\n")),e=(e+="a=end-of-candidates").replace(/(\na=ice-options:trickle)/g,"")),y.call(h,a,d,l,i,function(t){var e=h.lt[a];f=t,e&&e.remoteMediaStreamCallback&&e.remoteMediaStreamCallback(e,t)},n),w.call(h,a,l,function(t){h.gt[a]&&h.gt[a](t)}),T.call(h,a,l);var r=new R.RTCSessionDescription({type:"offer",sdp:e}),v={mandatory:{}};if("Chrome"===R.browser||"ReactNative"===R.browser?(v.mandatory.OfferToReceiveVideo=!0===n.receiveVideo,v.mandatory.OfferToReceiveAudio=!0===n.receiveAudio):(v.mandatory.offerToReceiveVideo=!0===n.receiveVideo,v.mandatory.offerToReceiveAudio=!0===n.receiveAudio),"function"==typeof R.global.Promise)return l.setRemoteDescription(r).then(b.bind(E,h,l)).then(function(){return l.createAnswer(v)}).then(b.bind(C,h)).then(function(i){return new R.global.Promise(function(t,e){M.call(h,a,i,t,e)})}).then(function(t){return l.setLocalDescription(t)}).then(b.bind(q,h,l)).then(function(){h.u.info("[%s] Peer connection setup completed",a)}).then(g).catch(p);h.u.info("[%s] Using legacy peer connection api to publish",a),l.setRemoteDescription(r,function(){E.call(h,l),l.createAnswer(function(t){C.call(h,t),M.call(h,a,t,function(t){l.setLocalDescription(t,function(){q.call(h,l),h.u.info("[%s] Peer connection setup completed",a),g()},p)},p)},p,v)},p)}.call(c,n,o,t,i,d,function(t,e){d.recordMetric("SetupCompleted",{string:e?"failed":"ok"}),e?a.call(c,c,"failed",null):a.call(c,c,"ok",t)},u,e.createStreamResponse.options)):function(i,t,e){var n=this,r={stopped:!1},s={getStreamId:function(){return i},getStream:function(){return n.u.debug("[%s] Unable to get stream for remote origin.",i),null},getStats:function(){return n.u.debug("[%s] Unable to get stream stats for remote origin.",i),null},isActive:function(){return!r.stopped},hasEnded:function(){return r.stopped},stop:function(t){r.stopped||(n.u.info("[%s] stopping publisher with reason [%s]",i,t),n.ut.destroyStream(i,t||"",function(t,e){t?n.u.error("[%s] failed to destroy stream [%s]",i,t):"ok"!==e.status?n.u.warn("[%s] failed to destroy stream, status [%s]",i,e.status):n.u.info("[%s] destroyed stream",i)}),r.stopped=!0)},setPublisherEndedCallback:function(t){k.isFunction(t,"callback"),this.publisherEndedCallback=t},setDataQualityChangedCallback:function(t){k.isFunction(t,"callback"),this.dataQualityChangedCallback=t},getOptions:function(){return e},monitor:function(t,e){k.isObject(t,"options"),k.isFunction(e,"callback")},getMonitor:function(){return null}};t(n.lt[i]=s)}.call(c,t,function(t,e){d.recordMetric("SetupCompleted",{string:e?"failed":"ok"}),e?a.call(c,c,"failed",null):a.call(c,c,"ok",t)},e.createStreamResponse.options);switch(c.u.warn("Failed to create uploader, status [%s]",e.status),e.status){case"timeout":case"capacity":case"unauthorized":return a.call(c,c,e.status);default:return a.call(c,c,"failed")}})},t.prototype.subscribe=function(i,a,n){if(!this.wt)throw new Error("PCast not started. Unable to subscribe. Please start pcast first.");n=n||{},k.isStringNotEmpty(i,"token"),k.isFunction(a,"callback"),k.isObject(n,"options");var u=this;v.call(u,function(){var t="download",e=b.assign({},n,{negotiate:!1!==n.negotiate}),s=new l(u.getProtocol().getSessionId(),u.u,u.rt),o=b.assign({},n);o.canPlaybackAudio=u.Z,o.capabilities=u.parseCapabilitiesFromToken(i),!u.Z&&n.disableAudioIfNoOutputFound&&!1!==n.receiveAudio&&(e.receiveAudio=!1,o.receiveAudio=!1,o.forcedAudioDisabled=!0),n.originStreamId&&(e.originStreamId=n.originStreamId),s.setProperty("resource",t),u.ut.setupStream(t,i,e,2*u.ft,function(t,e){var i,n,r;return t?(u.u.error("Failed to create downloader [%s]",t),a.call(u,u,"failed")):"ok"!==e.status?(u.u.warn("Failed to create downloader, status [%s]",e.status),a.call(u,u,e.status)):(t=e.createStreamResponse.streamId,i=e.createStreamResponse.createOfferDescriptionResponse.sessionDescription.sdp,n=A(O(e.createStreamResponse.rtcConfiguration)),n=b.bind(et,u,n),(r=!(i.match(/m=audio /)||i.match(/m=video /))&&(i.match(/a=x-playlist:/)||i.match(/a=x-rtmp:/)))&&(n=nt),s.setStreamId(t),s.setStartOffset(e.createStreamResponse.offset),s.recordMetric("Provisioned"),s.recordMetric("RoundTripTime",{uint64:2*u.ft},null,{resource:u.getBaseUri(),kind:"https"}),o.originStartTime=b.now()-e.createStreamResponse.offset+u.ft,!r&&("Chrome"===R.browser&&62<=R.browserVersion&&R.isMobile||"Opera"===R.browser)&&0<u.tt.length&&(e=b.get(p.getH264ProfileIds(i),[0]),(r=p.getH264ProfileIdWithSameOrHigherProfileAndEqualToOrHigherLevel(u.tt,e))?e!==r&&(u.u.info("[%s] Replacing subscriber h264 profile level id [%s] with new value [%s] in offer sdp",t,e,r),i=p.replaceH264ProfileId(i,e,r)):u.u.warn("[%s] Unable to find new subscriber h264 profile level id to replace [%s]. Rejected environment defaults of [%s]",t,e,u.tt)),n.call(u,t,i,s,function(t,e){s.recordMetric("SetupCompleted",{string:e?"failed":"ok"}),e?a.call(u,u,"failed",null):a.call(u,u,"ok",t)},o))})})},t.prototype.getProtocol=function(){return this.ut},t.prototype.getLogger=function(){return this.u},t.prototype.getObservableSessionId=function(){return this.L},t.prototype.toString=function(){var t=this.getProtocol();return"PCast["+(t?t.getSessionId():"")||!1},t.prototype.parseTypeFromToken=function(t){return b.get(i.call(this,t),["type"],"")},t.prototype.parseCapabilitiesFromToken=function(t){return b.get(i.call(this,t),["capabilities"],[])},t.prototype.parseUriFromToken=function(t){return b.get(i.call(this,t),["uri"],"")},t.prototype.parseRoomOrChannelIdFromToken=function(t){t=b.get(i.call(this,t),["requiredTag"],"").match(Q);return t?t[1]:null},t.prototype.parseRoomOrChannelAliasFromToken=function(t){t=b.get(i.call(this,t),["requiredTag"],"").match(X);return t?t[1]:null},t.prototype.getSupportedFeatureAndCapabilityFromCapabilities=function(t,e){k.isArray(t,"capabilities");var i=[],n=["real-time","streaming","on-demand","rtmp"],r={status:null,capability:"",feature:null};if(b.forEach(t,function(t){b.includes(n,t)&&i.push(r.capability=t)}),1<i.length)return this.u.warn("Multiple conflicting capabilities encountered: [%s]",i),{status:"conflicting-capability"};switch(r.capability){case"real-time":r.feature=e?null:I.types.realTime.name;break;case"streaming":case"on-demand":r.feature=(R.shouldUseNativeHls?I.types.hls:I.types.dash).name;break;case"rtmp":r.feature=I.types.rtmp.name;break;default:r.capability="real-time",r.feature=e?null:I.types.realTime.name}return this.isFeatureSupported(r.feature)?r.status="ok":(this.u.warn("Device does not support [%s] playback.",r.capability),r.status="unsupported-features"),r},t.prototype.isFeatureSupported=function(t){switch(t&&k.isStringNotEmpty(t,"feature"),b.getEnumName(I.types,t)){case I.types.realTime.name:return R.webrtcSupported;case I.types.dash.name:case I.types.hls.name:case I.types.rtmp.name:return m.canPlaybackType(t);default:return!1}};var F=function(i){var e,t;b.isUndefined(i.onaddstream)&&(e=[],t=[],b.addEventListener(i,"track",function(t){b.forEach(t.streams,function(t){b.includes(e,t)||e.push(t)})}),i.getRemoteStreams=function(){return e},i.getLocalStreams=function(){return t},i.addStream=function(e){b.includes(t,e)||t.push(e),b.forEach(e.getTracks(),function(t){i.addTrack(t,e)})})};return t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){e=function(){"use strict";return{package:"telemetry",messages:[{name:"LogData",fields:[{rule:"required",type:"LogLevel",name:"level",id:1},{rule:"required",type:"string",name:"timestamp",id:2},{rule:"required",type:"string",name:"category",id:3},{rule:"required",type:"string",name:"message",id:4},{rule:"optional",type:"string",name:"source",id:5},{rule:"optional",type:"string",name:"fullQualifiedName",id:11},{rule:"optional",type:"string",name:"sessionId",id:6},{rule:"optional",type:"string",name:"userId",id:7},{rule:"optional",type:"string",name:"environment",id:8},{rule:"optional",type:"string",name:"version",id:9},{rule:"optional",type:"float",name:"runtime",id:10}]},{name:"StoreLogRecords",fields:[{rule:"repeated",type:"LogData",name:"records",id:1}]},{name:"StoreLogRecordsResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"required",type:"uint64",name:"storedRecords",id:2}]},{name:"MetricValue",fields:[{rule:"optional",type:"string",name:"string",id:1},{rule:"optional",type:"float",name:"float",id:2},{rule:"optional",type:"uint64",name:"uint64",id:3},{rule:"optional",type:"int64",name:"int64",id:4},{rule:"optional",type:"bool",name:"boolean",id:5},{rule:"optional",type:"string",name:"timestamp",id:6}]},{name:"MetricData",fields:[{rule:"required",type:"string",name:"timestamp",id:1},{rule:"optional",type:"string",name:"sessionId",id:2},{rule:"optional",type:"string",name:"streamId",id:3},{rule:"optional",type:"string",name:"source",id:4},{rule:"optional",type:"string",name:"resource",id:5},{rule:"optional",type:"string",name:"kind",id:6},{rule:"required",type:"Metric",name:"metric",id:7},{rule:"optional",type:"MetricValue",name:"value",id:8},{rule:"optional",type:"MetricValue",name:"previousValue",id:9},{rule:"optional",type:"uint64",name:"elapsed",id:10},{rule:"optional",type:"string",name:"fullQualifiedName",id:11},{rule:"optional",type:"string",name:"environment",id:12},{rule:"optional",type:"string",name:"version",id:13},{rule:"optional",type:"string",name:"tool",id:14},{rule:"optional",type:"string",name:"toolVersion",id:15},{rule:"required",type:"float",name:"runtime",id:16}]},{name:"SubmitMetricRecords",fields:[{rule:"repeated",type:"MetricData",name:"records",id:1}]},{name:"SubmitMetricRecordsResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"required",type:"uint64",name:"storedRecords",id:2}]}],enums:[{name:"LogLevel",values:[{name:"Trace",id:0},{name:"Debug",id:1},{name:"Info",id:2},{name:"Warn",id:3},{name:"Error",id:4},{name:"Fatal",id:5}]},{name:"Metric",values:[{name:"RoundTripTime",id:0},{name:"DownlinkThroughputCapacity",id:26},{name:"Initialized",id:1},{name:"Provisioned",id:2},{name:"SetupCompleted",id:3},{name:"Offset",id:4},{name:"TimeToFirstFrame",id:5},{name:"Playing",id:6},{name:"Stalled",id:7},{name:"Buffering",id:8},{name:"Seeking",id:22},{name:"Stopped",id:9},{name:"BitRateAdaptation",id:10},{name:"ResolutionChanged",id:11},{name:"DisplayResolutionChanged",id:23},{name:"VideoBitRate",id:28},{name:"AudioBitRate",id:29},{name:"FrameRateChanged",id:12},{name:"FramesDropped",id:13},{name:"PacketsLost",id:14},{name:"PictureLost",id:15},{name:"PlayoutDelayChanged",id:16},{name:"CodecChanged",id:17},{name:"PlayerEvent",id:21},{name:"MetricDropped",id:18},{name:"NetworkOffline",id:19},{name:"NetworkOnline",id:20},{name:"NetworkType",id:27},{name:"ApplicationForeground",id:24},{name:"ApplicationBackground",id:25}]}]}}.apply(e,[]);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(2)],e=function(t){"use strict";function e(){this.init()}return e.prototype.init=function(){if(!t.global.AudioContext&&!t.global.webkitAudioContext)throw new Error("Browser does not support AudioContext");this.qt=new(t.global.AudioContext||t.global.webkitAudioContext)},e.prototype.getNativeAudioContext=function(){return this.qt},e.prototype.toString=function(){return"AudioContext"},e}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(5),i(2),i(25),i(18)],e=function(k,r,s,S,I,a){"use strict";function t(t,e,i){r.isString(t,"name"),r.isObject(e,"peerConnection"),r.isObject(i,"logger"),this.Et=t,this.Ct=e,this.u=i,this.Tt={}}function R(t){var e,i=T(t),t=q(t);return 0!==i.length&&0!==t.length?(e=[],k.forEach(i,function(t){e.push(t)}),k.forEach(t,function(t){e.push(t)}),e):0!==i.length?i:0!==t.length?t:[]}function T(t){var e=t.getSenders?k.map(t.getSenders(),function(t){return t.track}):[];return 0===(e=k.filter(e,function(t){return!k.isNullOrUndefined(t)})).length?(t=t.getLocalStreams?t.getLocalStreams():[],k.reduce(t,function(t,e){return t.concat(e.getTracks())},[])):e}function q(t){var e=t.getReceivers?k.map(t.getReceivers(),function(t){return t.track}):[];return 0===(e=k.filter(e,function(t){return!k.isNullOrUndefined(t)})).length?(t=t.getRemoteStreams?t.getRemoteStreams():[],k.reduce(t,function(t,e){return t.concat(e.getTracks())},[])):e}function E(e,t){var t=k.filter(t,function(t){return t.kind===e}),i=k.filter(this.Mt,function(t){return t.kind===e});return k.reduce(t,function(t,e){return t&&(t=!!k.find(i,function(t){return t.id===e.id}),!e.enabled||t)},!0)}return t.prototype.start=function(t,e,i){if(r.isObject(t,"options"),r.isFunction(e,"activeCallback"),r.isFunction(i,"monitorCallback"),"inbound"!==t.direction&&"outbound"!==t.direction)throw new Error("Invalid monitoring direction");var n;if(!Object.prototype.hasOwnProperty.call(t,"monitoringInterval")||0<t.monitoringInterval)return this.xt=t.frameRateThreshold||2,this.Pt=t.videoBitRateThreshold||1e3,this.Dt=t.audioBitRateThreshold||5e3,this.Ut=t.conditionCountForNotificationThreshold||3,this.Ot=Math.max(500,t.monitoringInterval||4e3),this.At=Math.max(500,t.conditionMonitoringInterval||1500),this.Ft=!Object.prototype.hasOwnProperty.call(t,"monitorFrameRate")||t.monitorFrameRate,this.Nt=!Object.prototype.hasOwnProperty.call(t,"monitorBitRate")||t.monitorBitRate,this.Lt=!Object.prototype.hasOwnProperty.call(t,"monitorState")||t.monitorState,this.Mt=[],this.Bt=new s.Event,"Edge"===S.browser&&(n=this.At*this.Ut,this.Ot=Math.max(this.Ot,6e3),this.At=Math.max(this.At,6e3),this.Ut=Math.max(Math.ceil(n/this.Ot),2),this.u.info("Using modified options for optimal monitoring of PeerConnection on [Edge]. Monitor Interval [%s], Condition Monitor Interval [%s], Condition Count For Notification [%s]",this.Ot,this.At,this.Ut)),function(d,l,f,m,p){var g=this,v=0,y=void 0,w=void 0,b=void 0;setTimeout(function h(){!function(t,e,i,n,r,s){if(!n())return this.u.info("[%s] Finished monitoring of peer connection",this.Et);var o=this;S.getStats(t,null,function(t){t=a.convertPeerConnectionStats(t,o.Tt),t=k.filter(t,function(t){return"inbound"===e.direction&&"download"===t.direction||"outbound"===e.direction&&"upload"===t.direction});r(t)},function(t){s(t)})}.call(g,l,f,null,m,function(t){var e=!1,i=!1,n=!1;if(!m())return g.u.info("[%s] Finished monitoring of peer connection",d);if(!t)throw new Error("Report must be a valid PeerConnection.getStats Report");if(k.forEach(t,function(t){if("outbound"===f.direction&&"upload"===t.direction)switch(t.mediaType){case"video":g.u.debug("[%s] [%s] [%s] [%s] with RTT [%s], bitrate [%s], dropped frames [%s], frame rate [%s] and average encoding time [%s] ms (CPU limited=[%s])",d,f.direction,t.mediaType,t.ssrc,t.rtt,t.bitrateMean,t.droppedFrames,t.framerateMean,t.avgEncode,t.cpuLimitedResolution),y=t.framerateMean,w=t.uploadRate&&1e3*t.uploadRate,i=e=!0,f.setNetworkRTT&&f.setNetworkRTT(t.rtt),"Edge"===S.browser&&(e=!1);break;case"audio":g.u.debug("[%s] [%s] [%s] [%s] with RTT [%s], jitter [%s] and audio input level [%s]",d,f.direction,t.mediaType,t.ssrc,t.rtt,t.jitter,t.audioInputLevel),n=!0,b=t.uploadRate&&1e3*t.uploadRate,f.setNetworkRTT&&f.setNetworkRTT(t.rtt)}if("inbound"===f.direction&&"download"===t.direction)switch(t.mediaType){case"video":g.u.debug("[%s] [%s] [%s] [%s] with framerate [%s], current delay [%s] ms and target delay [%s] ms",d,f.direction,t.mediaType,t.ssrc,t.framerateMean,t.currentDelay,t.targetDelay),e=!0,y=t.framerateMean||0,i=!0,w=t.downloadRate&&1e3*t.downloadRate,"Edge"===S.browser&&(e=!1);break;case"audio":g.u.debug("[%s] [%s] [%s] [%s] with jitter [%s], jitter buffer [%s] ms, audio output level [%s], total audio energy [%s] and total samples duration [%s]",d,f.direction,t.mediaType,t.ssrc,t.jitter,t.jitterBuffer,t.audioOutputLevel,t.totalAudioEnergy,t.totalSamplesDuration),n=!0,b=t.downloadRate&&1e3*t.downloadRate}}),k.isUndefined(b)&&k.isUndefined(w))return setTimeout(h,g.Ot);var r=I.hasActiveAudio(l),s=I.hasActiveVideo(l),o=((i&&0===w||n&&0===b||e&&0===y)&&(i=i&&s,n=n&&r,e=e&&s),(n||i||e)&&(g.u.debug("[%s] [%s] Current bit rate is [%s] bps for audio and [%s] bps for video with [%s] FPS",d,f.direction,Math.ceil(b||0),Math.ceil(w||0),y||"?"),0<k.values(g.Tt).length)&&g.Bt.fire([{videoBitRate:w,audioBitRate:b,frameRate:y}]),[]);if(g.Lt&&("closed"===l.connectionState||"disconnected"===l.connectionState||"failed"===l.connectionState||"disconnected"===l.iceConnectionState||"failed"===l.iceConnectionState)){var a=r&&s,u=R.call(g,l);if(!a&&I.hasMediaSectionsInLocalSdp(l))return void g.u.info("[%s] [%s] Finished monitoring of peer connection with [%s] inactive tracks",d,f.direction,u.length);o.push("connection")}function c(){g.u.info("[%s] [%s] Failure has been acknowledged",d,f.direction),v=Number.MIN_VALUE,setTimeout(h,g.Ot)}a=("outbound"===f.direction?T:q).call(this,l);g.Ft&&e&&y<=g.xt&&!E.call(g,"video",a)&&o.push("frameRate"),g.Nt&&n&&b<=g.Dt&&!E.call(g,"audio",a)&&o.push("audioBitRate"),g.Nt&&i&&w<=g.Pt&&!E.call(g,"video",a)&&o.push("videoBitRate"),0===w&&s&&!E.call(g,"video",a)&&o.push("noVideoData"),0===b&&r&&!E.call(g,"audio",a)&&o.push("noAudioData"),0<o.length?v++:v=0,v>=g.Ut?(u="["+d+"] ["+f.direction+"] Failure detected with frame rate ["+y+"] FPS, audio bit rate ["+b+"] bps, video bit rate ["+w+"] bps, connection state ["+l.connectionState+"], and ice connection state ["+l.iceConnectionState+"] after ["+v+"] checks",p(null,{type:"condition",reasons:o,message:u,report:t,frameRate:y,videoBitRate:w,audioBitRate:b,acknowledgeFailure:c})?c():g.u.info(u+": [%s]",t)):setTimeout(h,0<v?g.At:g.Ot)},function(t){p(t,{type:"error",message:"Unable to get Connection statistics. Connection may have failed."})})},g.Ot)}.call(this,this.Et,this.Ct,t,e,i);this.u.info("[%s] Monitoring is disabled",name)},t.prototype.setMonitorTrackState=function(e,t){r.isObject(e,"track"),r.isBoolean(t,"state");try{var i=R.call(this,this.Ct);if(!k.find(i,function(t){return t.id===e.id}))return this.u.warn("[%s] Unable to find track [%s] [%s] in peer connection",this.Et,e.kind,e.id)}catch(t){"Firefox"===S.browser&&"InvalidStateError: Peer connection is closed"===t.message?this.u.debug("Failed to verify monitor track due to closed peer connection"):this.u.warn("Failed to verify monitor track due to [%s]",t.message)}if(!t)return this.u.info("[%s] Pausing monitoring of track [%s] [%s]",this.Et,e.kind,e.id),this.Mt.push(e);i=this.Mt.length;this.Mt=k.filter(this.Mt,function(t){return t.id!==e.id}),i!==this.Mt.length&&this.u.info("[%s] Starting monitoring of track [%s] [%s] after it was paused",this.Et,e.kind,e.id)},t.prototype.on=function(t,e){if(r.isStringNotEmpty(t,"eventName"),r.isFunction(e,"listener"),"calculatedmetrics"!==t)throw new Error("Unsupported event "+t);return this.Bt.listen(e)},t.prototype.toString=function(){return"PeerConnectionMonitor["+this.Et+"]"},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1)],e=function(s,o){"use strict";var a=/profile-level-id=[^;\n]*/,i=/vp8/i,n=/vp9/i,r=/h264/i,u=/h265/i;function t(){}return t.prototype.getH264ProfileIds=function(t){o.isStringNotEmpty(t,"offerSdp");for(var e=[],i=t.match(a),n=t;i;){var r=s.get(i,"0","");e.push(r.split("=")[1]),i=(n=n.substring(i.index+r.length,t.length)).match(a)}return e},t.prototype.replaceH264ProfileId=function(t,e,i){o.isStringNotEmpty(t,"offerSdp"),o.isStringNotEmpty(i,"newProfileId");var n=this.getH264ProfileIds(t);return s.includes(n,e)?t.replace("profile-level-id="+e,"profile-level-id="+i):t},t.prototype.getH264ProfileIdWithSameProfileAndEqualToOrHigherLevel=function(t,e){return s.includes(t,e)?e:(t=s.reduce(t,function(t,e){var i=parseInt(t.substring(0,2),16),n=parseInt(t.substring(4,6),16),r=parseInt(e.substring(0,2),16),s=parseInt(e.substring(4,6),16);return i!==r||s<=n?t:e},e))===e?null:t},t.prototype.getH264ProfileIdWithSameOrHigherProfileAndEqualToOrHigherLevel=function(t,e){return this.getH264ProfileIdWithSameProfileAndEqualToOrHigherLevel(t,e)||((t=s.reduce(t,function(t,e){var i=parseInt(t.substring(0,2),16),n=parseInt(t.substring(4,6),16),r=parseInt(e.substring(0,2),16),s=parseInt(e.substring(4,6),16);return i<r||!(r<i||s<n)?e:t},e))===e?null:t)},t.prototype.getSupportedCodecs=function(t){o.isStringNotEmpty(t,"offerSdp");var e=[];return i.test(t)&&e.push("VP8"),n.test(t)&&e.push("VP9"),r.test(t)&&e.push("H264"),u.test(t)&&e.push("H265"),e},t.prototype.hasMediaSectionsInLocalSdp=function(t){return this.findInSdpSections(t,function(t){return s.startsWith(t,"video")||s.startsWith(t,"audio")})<0},t.prototype.hasActiveAudio=function(t){return this.findInSdpSections(t,function(t,e,i){return!!s.startsWith(t,"audio")&&!s.includes(t,"a=inactive")&&!s.includes(i[e],"a=inactive")})<0},t.prototype.hasActiveVideo=function(t){return this.findInSdpSections(t,function(t,e,i){return!!s.startsWith(t,"video")&&!s.includes(t,"a=inactive")&&!s.includes(i[e],"a=inactive")})<0},t.prototype.findInSdpSections=function(t,i){var e=this.getLocalSdp(t).split("m="),n=this.getRemoteSdp(t).split("m=");return e.length===n.length&&s.findIndex(e,function(t,e){return i(t,e,n)})},t.prototype.getNumberOfActiveSections=function(t){t=(this.getLocalSdp(t)||this.getRemoteSdp(t)).split("m=");return s.filter(t,function(t){return!s.includes(t,"a=inactive")&&(s.startsWith(t,"audio")||s.startsWith(t,"video"))}).length},t.prototype.getLocalSdp=function(t){return s.get(t,["localDescription","sdp"],"")},t.prototype.getRemoteSdp=function(t){return s.get(t,["remoteDescription","sdp"],"")},t.prototype.setGroupLineOrderToMatchMediaSectionOrder=function(i){var t=i.match(/(?=a=group:BUNDLE).*/),t=s.get(s.get(t,[0],"").split("a=group:BUNDLE "),[1],""),e=t.split(" ").sort(function(t,e){return i.indexOf("m="+t)-i.indexOf("m="+e)});return i=0<e.length?i.replace(t,e.join(" ")):i},new t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1)],e=function(f,n){"use strict";function t(t,e,i){n.isStringNotEmpty(t,"name"),n.isObject(e,"monitor"),n.isFunction(i,"getLimit"),this.Et=t,this.jt=e,this._t=i||f.noop}return t.prototype.addThreshold=function(t,c){var h=function(t){var e=[];if(f.isArray(t))f.forEach(t,function(t){n.isNumber(t,"threshold")}),e=t.sort();else if(f.isObject(t)){n.isNumber(t.levels,"threshold.levels");for(var i=0;i<t.levels;i++)e.push(i/t.levels)}else n.isNumber(t,"threshold"),e.push(t);return e.push(3),e}(t),d=null,l=this;return l.jt.on("calculatedmetrics",function(t){var n,r,e=l._t(),t=t.videoBitRate+t.audioBitRate,i=(r=t/e,f.reduce(n=h,function(t,e,i){return null===t&&r<=e||e<n[t]&&r<=e?i:t},null)),s=f.get(h,[i]),o=s*e,a=f.get(h,[d],1),u=a*e;if(0!==e)return null===d?d=i:void(i!==d&&(i<d?c({isIncreasing:!1,bitRate:t,currentThreshold:o,targetBitRate:e,index:i,lastIndex:d,message:l.Et+" bit rate is below "+s+" * "+e+" threshold of "+o+" with a bit rate of "+t}):d<i&&c({isIncreasing:!0,bitRate:t,currentThreshold:u,targetBitRate:e,index:i,lastIndex:d,message:l.Et+" bit rate is above "+a+" * "+e+" threshold of "+u+" with a bit rate of "+t}),d=i))})},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(4),i(3),i(28),i(29),i(61),i(30),i(62),i(14),i(13)],e=function(h,s,o,a,e,i,r,u,t,n,c){"use strict";var d=h.freeze({status:"not-in-room"}),l=h.freeze({status:"already-in-room"}),f=h.freeze({status:"in-another-room"});function m(t){this.Vt=new o.Observable(null),this.Wt=new o.Observable(null),this.zt=new o.Observable(null),this.Ht=null,this.Gt=new e(t),this.setPCast(t)}function p(){this.Vt.setValue(null),this.Wt.setValue(null),this.zt.setValue(null),this.Ht=null,this.q&&this.q.dispose(),this.q=null}function g(t){s.isObject(t,"event"),s.isString(t.roomId,"event.roomId"),s.isString(t.eventType,"event.eventType"),s.isArray(t.members,"event.members"),h.forEach(t.members,function(t){s.isObject(t,"member")});var e=this;switch(t.eventType){case n.events.memberJoined.name:return e.u.debug("[%s] Member joined [%s]",t.roomId,t.members),function(t,e){var i,n=this.Wt.getValue(),r=this.zt.getValue();n&&n.getRoomId()===t&&(n.Kt(e),n.Jt(e),r.Kt(e),r.Jt(e),i=this,r=!1,(e=h.find(e,function(t){return t.sessionId===i.getSelf().getSessionId()}))&&(r=q.call(i,n),n.Qt([e])),this.u.info("[%s] Room has now [%d] members (Self is present in room [%s])",t,n.getObservableMembers().getValue().length,r))}.call(e,t.roomId,t.members);case n.events.memberLeft.name:return e.u.debug("[%s] Member left [%s]",t.roomId,t.members),function(t,e){var i,n,r,s=this.Wt.getValue(),o=this.zt.getValue();s&&s.getRoomId()===t&&(i=this,n=h.find(e,function(t){return t.sessionId===i.getSelf().getSessionId()}),(r=this.getSelf())&&n&&r.getObservableLastUpdate().setValue(n.lastUpdate),s.Kt(e),o.Kt(e),this.u.info("[%s] Room has now [%d] members",t,s.getObservableMembers().getValue().length))}.call(e,t.roomId,t.members);case n.events.memberUpdated.name:return e.u.debug("[%s] Member updated [%s]",t.roomId,t.members),function(t,e){var i,n=this.Wt.getValue(),r=this.zt.getValue();n&&n.getRoomId()===t&&(i=function(t){var i=this;return h.map(t,function(t){var e=w(t.sessionId,i.zt),e=S(new u(i,t.state,t.sessionId,t.screenName,t.role,t.streams,t.lastUpdate),e);return e.lastUpdate=t.lastUpdate,e})}.call(this,e),n.Qt(i),r.Qt(i),this.u.info("[%s] Room has [%d] updated members",t,e.length))}.call(e,t.roomId,t.members);case n.events.roomUpdated.name:return e.u.debug("[%s] Room updated [%s]",t.roomId,t.room),function(t,e){var i=this.Wt.getValue(),n=this.zt.getValue();i&&i.getRoomId()===t&&(n.A(e),i.A(e))}.call(e,t.roomId,t.room);case n.events.roomEnded.name:e.u.info("[%s] Room ended",t.roomId);break;default:e.u.warn("Unsupported room event [%s]",t.eventType)}}function v(t){this.getSelf()&&this.getSelf().getSessionId()===(t||"")?this.u.info("[%s] Skip session ID change since it is the same as in self model",t):function(t){var e=this.Vt.getValue().toJson();this.u.info("Resetting self after sessionId changed to [%s]",t),this.Vt.setValue(new u(this,e.state,t||"",e.screenName,e.role,e.streams,e.lastUpdate))}.call(this,t)}function y(t){var i,n=this;t&&t.getSessionId()&&(i=n.Wt.getValue())&&(n.u.info("[%s] Updating self in room after update",i.getRoomId()),R.call(this,this.getSelf(),function(t,e){"ok"===h.get(e,["status"])?n.u.info("[%s] Updated self in room after update",i.getRoomId()):n.u.info("[%s] Self was not updated in room after update",i.getRoomId())}))}function w(t,e){var e=e.getValue().getObservableMembers().getValue(),i=t;return h.find(e,function(t){return i===t.getSessionId()})}function b(t){this.u.info("PCast status changed from [%s] to [%s]",this.Xt,t),"online"===(this.Xt=t)&&function(){var t,e,i,n=this,r=n.Wt.getValue();h.isObject(r)&&(t=n.Vt.getValue())&&t.getSessionId()&&(e=r.getRoomId(),i=r.getObservableAlias().getValue(),n.u.info("[%s] Re-entering room [%s]",e,i),n.Ht&&(n.u.info("Performing soft reset on room chat service for room [%s]",e),n.Ht.stop()),I.call(n,e,i,function(){n.Ht&&(n.u.info("[%s] Refreshing room chat service after re-entering room [%s]",e,i),n.Ht.start(n.Ht.getBatchSize())),n.u.info("[%s] Room [%s] completed reset",e,i)},{reenter:!0}))}.call(this)}function k(){var t=this.ut.onEvent("chat.RoomEvent",h.bind(g,this)),e=this.Vt.subscribe(h.bind(y,this)),i=this.Gt.getObservableStatus().subscribe(h.bind(b,this)),n=this.Gt.getObservableSessionId().subscribe(h.bind(v,this));this.q.add(t),this.q.add(e),this.q.add(i),this.q.add(n)}function S(t,e){var i,n,r=t,s=(s=e)?(i={},n=r.toJson(),s=s.toJson(),s=h.findDifferences(n,s,!0),h.forEach(s,function(t){i[t]=n[t]}),i):r.toJson();return s.sessionId=t.getSessionId(),s.lastUpdate=e?e.getLastUpdate():h.now(),s}function I(i,n,r,t){var t=!0===h.get(t,"reenter"),e=this.Wt.getValue();if(e){var s=i===e.getRoomId()||n===e.getObservableAlias().getValue();if(s&&!t)return this.u.info("Unable to join room. Already in [%s]/[%s] room.",e.getRoomId(),e.getObservableAlias().getValue()),r(null,h.assign({room:e},s?l:f))}this.Gt.assertAuthorized();var e=this.Vt.getValue(),s=e.getObservableScreenName().getValue(),o=e.getObservableRole().getValue(),e=S.call(this,e,null),a=[],u=h.now(),c=(t&&a.push("reenter"),this.u.info("Enter room [%s]/[%s] with screen name [%s] and role [%s]",i,n,s,o),this);c.$t?c.u.info("[%s] We are already entering the room [%s], skipping",i,n):(c.$t=!0,this.ut.enterRoom(i,n,e,a,u,function(t,e){return c.$t=!1,t?(c.u.error("Joining of room failed with error [%s]",t),r(t,null)):(t={status:e.status},"ok"!==e.status?(c.u.warn("Joining of room failed with status [%s]",e.status),r(null,t)):(t.room=function(t){var e=this.Wt.getValue(),i=this.zt.getValue(),n=T.call(this,t),r=T.call(this,t);return q.call(this,n),e&&i?(this.u.debug("[%s] Updating existing room model.",e.getRoomId()),e.A(t.room),i.A(t.room),e.getObservableMembers().setValue(n.getObservableMembers().getValue()),i.getObservableMembers().setValue(r.getObservableMembers().getValue()),e):(this.Wt.setValue(n),this.zt.setValue(r),n)}.call(c,e),"ok"===e.status&&e.self&&c.getSelf().A(e.self),c.u.info("Successfully entered room [%s]/[%s]",i,n),void r(null,t)))}))}function R(t,i){if(!this.Wt.getValue())return this.u.warn("Not in a room. Please Enter a room before updating member."),i(null,d);this.Gt.assertAuthorized();var e=this.Wt.getValue().getRoomId(),n=t.getSessionId()===this.getSelf().getSessionId(),r=w(t.getSessionId(),this.zt),s=S.call(this,t,r),o=h.now(),a=n&&s.role===c.roles.audience.name,u=(n&&!r&&(s.lastUpdate=t.getObservableLastUpdate().getValue()),this.u.info("Updating member info [%s] for active room [%s]",s,e),this);this.ut.updateMember(e,s,o,function(t,e){if(t)return u.u.error("Update of member failed with error [%s]",t),i(t,null);t={status:e.status,lastUpdate:e.lastUpdate};"ok"!==e.status&&u.u.info("Update of member failed with status [%s]",e.status),"ok"===e.status&&a&&h.isNumber(e.lastUpdate)&&u.getSelf().getObservableLastUpdate().setValue(e.lastUpdate),i(null,t)})}function T(t){var e=t.room,t=t.members;return new i(this,e.roomId,e.alias,e.name,e.description,e.type,t,e.bridgeId,e.pin)}function q(t){var e=this.Vt.getValue(),i=t.getObservableMembers().getValue(),n=h.findIndex(i,function(t){return e.getSessionId()===t.getSessionId()});return n<0?(this.u.debug("Self not in server room model."),!1):(e.A(i[n].toJson()),i[n]=e,t.getObservableMembers().setValue(i),!0)}return m.prototype.setPCast=function(t){s.isObject(t,"pcast"),s.isFunction(t.getLogger,"pcast.getLogger"),s.isFunction(t.getProtocol,"pcast.getProtocol"),this.Yt&&this.u.info("Resetting pcast instance for room service"),this.Yt=t,this.u=t.getLogger(),this.ut=t.getProtocol(),s.isObject(this.u,"this._logger"),s.isObject(this.ut,"this._protocol"),this.Gt.setPCast(t),this.Ht&&this.Ht.setPCast(t),this.wt&&(this.q.dispose(),k.call(this))},m.prototype.start=function(t,e){var i,n,r;if(!this.wt)return s.isStringNotEmpty(t,"role"),s.isStringNotEmpty(e,"screenName"),r=c.states.passive.name,i=this.Gt.getPCastSessionId(),e=e,n=h.now(),r=new u(this,r,i,e,t,[],n),this.Vt=new o.Observable(r),this.q=new a.DisposableList,k.call(this),this.wt=!0,r;this.u.warn("RoomService already started.")},m.prototype.getRoomInfo=function(t,e,i){t?s.isStringNotEmpty(t,"roomId"):s.isStringNotEmpty(e,"alias"),s.isFunction(i,"callback"),function(t,e,i){this.Gt.assertAuthorized();var n=this;this.ut.getRoomInfo(t,e,function(t,e){return t?(n.u.error("Request to get room info failed with error [%s]",t),i(t,null)):(t={status:e.status},"ok"!==e.status?(n.u.warn("Request to get room info failed with status [%s]",e.status),i(null,t)):(t.room=h.freeze(function(t){var e=t.room,t=t.members||[];return new r(this,e.roomId,e.alias,e.name,e.description,e.type,t,e.bridgeId,e.pin)}.call(n,e)),void i(null,t)))})}.call(this,t,e,i)},m.prototype.enterRoom=function(t,e,i){t?s.isStringNotEmpty(t,"roomId"):s.isStringNotEmpty(e,"alias"),s.isFunction(i,"callback"),I.call(this,t,e,i)},m.prototype.leaveRoom=function(t,e){return function(i,n){var t,r,e=this.Wt.getValue();if(h.isBoolean(n)||(n=!0),!e)return this.u.info("Not currently in a room."),i(null,d);""===this.Gt.getPCastSessionId()||null===this.Gt.getPCastSessionId()?this.u.warn("Unable to leave room. We are currently not connected. Status [%s]",this.Xt):this.Zt||(this.Gt.assertAuthorized(),e=e.getRoomId(),t=h.now(),this.u.info("Leave room [%s]",e),(r=this).Zt=!0,this.Wt.setValue(null),this.zt.setValue(null),n&&setTimeout(function(){r.Zt=!1,i(null,{status:"ok"})}),this.ut.leaveRoom(e,t,function(t,e){return r.Zt=!1,t?(r.u.error("Leaving room failed with error [%s]",t),n?void 0:i(t,null)):("ok"!==e.status&&r.u.warn("Leaving room failed with status [%s]",e.status),n?void 0:i(null,{status:e.status}))}))}.call(this,t,e)},m.prototype.getChatService=function(){return!this.Ht&&this.Wt.getValue()&&(this.Ht=new t(this)),this.Ht},m.prototype.getSelf=function(){return this.Vt.getValue()},m.prototype.getObservableActiveRoom=function(){return this.Wt},m.prototype.updateSelf=function(t){s.isFunction(t,"callback"),R.call(this,this.getSelf(),t)},m.prototype.updateMember=function(t,e){s.isFunction(e,"callback"),s.isObject(t,"member"),R.call(this,t,e)},m.prototype.updateRoom=function(t){s.isFunction(t,"callback"),function(i){if(!this.Wt.getValue())return this.u.warn("Not in a room. Please Enter a room before updating member."),i(null,d);this.Gt.assertAuthorized();var t=this.Wt.getValue(),e=h.now(),n=this;this.ut.updateRoom(t.toJson(),e,function(t,e){if(t)return n.u.error("Update of room failed with error [%s]",t),i(t,null);t={status:e.status};"ok"!==e.status&&n.u.warn("Update of room failed with status [%s]",e.status),i(null,t)})}.call(this,t)},m.prototype.revertRoomChanges=function(){var t=this.Wt.getValue(),e=this.zt.getValue();if(!t||!e)return this.u.warn("Unable to revert changes to room. Not currently in a room.");t.A(e.toJson())},m.prototype.revertMemberChanges=function(t){s.isObject(t,"member");var e=w(t.getSessionId(),this.zt),t=w(t.getSessionId(),this.Wt);if(!e||!t)return this.u.warn("Unable to revert changes to member. Member is currently not in room.");t.A(e.toJson())},m.prototype.isInRoom=function(){return!!this.Wt.getValue()},m.prototype.toString=function(){return"RoomService"},m.prototype.stop=function(t){var e=this.Wt.getValue(),i=this;if(this.u.info("Stopping room service with reason [%s]",t),e)return this.leaveRoom(function(t,e){t&&i.u.warn("Failure to stop room service. Unable to leave room",t),e&&"ok"!==e.status&&i.u.warn("Failure to stop room service. Unable to leave room. Status: [%s]",e.status),e&&"ok"===e.status&&(p.call(i),i.wt=!1)});p.call(this),i.wt=!1},m}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1)],e=function(t,e){"use strict";function i(t){this.setPCast(t)}function n(t){return null!=t&&""!==t}function r(t){return null!=t&&""!==t&&"offline"!==t.toLowerCase()}return i.prototype.setPCast=function(t){e.isObject(t,"pcast"),e.isFunction(t.getObservableStatus,"pcast.getObservableStatus"),e.isFunction(t.getLogger,"pcast.getLogger"),e.isFunction(t.getProtocol,"pcast.getProtocol"),t!==this.Yt&&(this.Yt=t,this.u=t.getLogger(),this.ut=t.getProtocol(),e.isObject(this.u,"this._logger"),e.isObject(this.ut,"this._protocol"),e.isFunction(this.ut.getObservableSessionId,"this._protocol.getObservableSessionId"),e.isFunction(this.Yt.getObservableStatus,"this._pcast.getObservableStatus"),this.te=this.ut.getObservableSessionId(),this.ee=this.Yt.getObservableStatus())},i.prototype.checkAuthorized=function(){return!!r(this.getPCastStatus())&&!!n(this.getPCastSessionId())},i.prototype.assertAuthorized=function(){if(!r(this.getPCastStatus()))throw new Error("Unable to perform action. Status ["+this.getPCastStatus()+"]. Please wait to reconnect.");if(!n(this.getPCastSessionId()))throw new Error("Unable to perform action. Invalid sessionId ["+this.getPCastSessionId()+"] with status ["+this.getPCastStatus()+"]")},i.prototype.getObservableSessionId=function(){return this.te},i.prototype.getObservableStatus=function(){return this.ee},i.prototype.getPCastSessionId=function(){return this.te.getValue()},i.prototype.getPCastStatus=function(){return this.ee.getValue()},i}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(4),i(30),i(14)],e=function(n,c,h,i,t){"use strict";var e=t.types;function r(t,e,i,n,r,s,o,a,u){this.init(t,e,i,n,r,s,o,a,u)}function d(t,e){return n.map(t,function(t){return new i(e,t.state,t.sessionId,t.screenName,t.role,t.streams,t.lastUpdate)})}function l(t){if(t=n.getEnumName(e,t))return t;throw new Error('"type" must be a valid room type')}return r.prototype.init=function(t,e,i,n,r,s,o,a,u){c.isObject(t,"roomService"),c.isStringNotEmpty(n,"name"),c.isString(r,"description"),c.isArray(o,"members"),e&&c.isStringNotEmpty(e,"id"),i&&c.isStringNotEmpty(i,"alias"),a&&c.isStringNotEmpty(a,"bridgeId"),u&&c.isStringNotEmpty(u,"pin"),this.ie=new h.Observable(e),this.ne=new h.Observable(i),this.Et=new h.Observable(n),this.re=new h.Observable(r),this.P=new h.Observable(s,l),this.se=new h.ObservableArray([]).extend({method:"notifyWhenChangesStop",timeout:400}),this.oe=new h.ObservableArray,this.ae=new h.Observable(a),this.ue=new h.Observable(u),this.ce=t,function(t){t=d(t,this.ce);this.se.setValue(t)}.call(this,o)},r.prototype.getRoomId=function(){return this.ie.getValue()},r.prototype.getObservableAlias=function(){return this.ne},r.prototype.getObservableName=function(){return this.Et},r.prototype.getObservableDescription=function(){return this.re},r.prototype.getObservableType=function(){return this.P},r.prototype.getObservableMembers=function(){return this.se},r.prototype.getObservableBridgeId=function(){return this.ae},r.prototype.getObservablePin=function(){return this.ue},r.prototype.toString=function(){return this.P.getValue()+"["+this.ie.getValue()+"]"},r.prototype.toJson=function(){return{roomId:this.ie.getValue(),alias:this.ne.getValue(),name:this.Et.getValue(),description:this.re.getValue(),type:this.P.getValue(),pin:this.ue.getValue(),bridgeId:this.ae.getValue()}},r.prototype.commitChanges=function(t){c.isObject(this.ce,"this._roomService"),this.ce.updateRoom(this,t)},r.prototype.reload=function(){c.isObject(this.ce,"this._roomService"),this.ce.revertRoomChanges(this)},r.prototype.A=function(t){n.isObject(t)&&(t.roomId&&this.ie.setValue(t.roomId),t.alias&&this.ne.setValue(t.alias),t.name&&this.Et.setValue(t.name),t.description&&this.re.setValue(t.description),t.type&&this.P.setValue(t.type),t.options&&this.oe.setValue(t.options),t.bridgeId&&this.ae.setValue(t.bridgeId),t.pin&&this.ue.setValue(t.pin),t.members)},r.prototype.Jt=function(t){var e=this,t=d(t,this.ce);n.forEach(t,function(t){e.se.push(t)})},r.prototype.Kt=function(t){var i=this;n.forEach(t,function(e){i.se.remove(function(t){return e.sessionId===t.getSessionId()&&e.lastUpdate>=t.getObservableLastUpdate().getValue()})})},r.prototype.Qt=function(i){n.forEach(this.se.getValue(),function(e){var t=n.find(i,function(t){return e.getSessionId()===t.sessionId&&t.lastUpdate>e.getObservableLastUpdate().getValue()});t&&e.A(t)})},r}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(4),i(19),i(13)],e=function(a,u,c,s,t){"use strict";var e=t.roles,i=t.states;function n(t,e,i,n,r,s,o){this.init(t,e,i,n,r,s,o)}function o(t){return new s(t.uri,t.type,t.audioState,t.videoState)}function h(t){return u.isValidType(t,e,"memberRole"),a.getEnumName(e,t)}function d(t){return u.isValidType(t,i,"memberState"),a.getEnumName(i,t)}return n.prototype.init=function(t,e,i,n,r,s,o){u.isObject(t,"roomService"),u.isString(i,"sessionId"),u.isString(n,"screenName"),u.isArray(s,"streams"),u.isNumber(a.utc(o),"lastUpdate"),this.te=new c.Observable(i),this.he=new c.Observable(n),this.de=new c.ObservableArray([]),this.le=new c.Observable(e,d).extend({rateLimit:500}),this.fe=new c.Observable(r,h),this.me=new c.Observable(o,a.utc),this.ce=t,this.setStreams(s)},n.prototype.getObservableState=function(){return this.le},n.prototype.getSessionId=function(){return this.te.getValue()},n.prototype.getObservableScreenName=function(){return this.he},n.prototype.getObservableRole=function(){return this.fe},n.prototype.getObservableStreams=function(){return this.de},n.prototype.getObservableLastUpdate=function(){return this.me},n.prototype.getLastUpdate=function(){return this.me.getValue()},n.prototype.getStreams=function(){return a.map(this.de.getValue(),function(t){return t.toJson()})},n.prototype.getRoomService=function(){return this.ce},n.prototype.commitChanges=function(t){u.isObject(this.ce,"this._roomService"),this.ce.updateMember(this,t)},n.prototype.reload=function(){u.isObject(this.ce,"this._roomService"),this.ce.revertMemberChanges(this)},n.prototype.setStreams=function(t){t=a.map(t,o);this.de.setValue(t)},n.prototype.toString=function(){return this.getObservableRole().getValue()+"["+this.getObservableScreenName().getValue()+","+this.getSessionId()+"]"},n.prototype.toJson=function(){var e={sessionId:this.te.getValue(),screenName:this.he.getValue(),role:this.fe.getValue(),state:this.le.getValue(),streams:[],lastUpdate:this.me.getValue()};return a.forEach(this.de.getValue(),function(t){e.streams.push(t.toJson())}),e},n.prototype.A=function(t){a.isObject(t)&&(Object.prototype.hasOwnProperty.call(t,"state")&&this.le.setValue(t.state),Object.prototype.hasOwnProperty.call(t,"screenName")&&this.he.setValue(t.screenName),Object.prototype.hasOwnProperty.call(t,"role")&&this.fe.setValue(t.role),Object.prototype.hasOwnProperty.call(t,"lastUpdate")&&this.me.setValue(t.lastUpdate),Object.prototype.hasOwnProperty.call(t,"streams"))&&!function(t){var e=this.de.getValue(),i=[];a.forEach(t,function(n){var r=s.parsePCastStreamIdFromStreamUri(n.uri),t=a.find(e,function(t){var e=t.getUri()===n.uri,i=t.isPCastStream()&&t.getPCastStreamId()===r,e=e||i;return t.getType()===n.type&&e});t?t.A(n):t=o(n),i.push(t)}),this.de.setValue(i)}.call(this,t.streams)},n}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){e=function(){"use strict";return{states:{trackEnabled:{id:0,name:"TrackEnabled"},trackDisabled:{id:1,name:"TrackDisabled"},trackEnded:{id:2,name:"TrackEnded"}}}}.apply(e,[]);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(2),i(70)],e=function(p,s,g,o){"use strict";function t(t,e){s.isObject(t,"pcast"),e&&s.isObject(e,"options"),e&&e.screenShare&&s.isFunction(e.screenShare,"options.screenShare"),this.Yt=t,this.u=t.getLogger(),this.oe=e||{},this.pe=p.get(e,["onScreenShare"])}function v(a,u,c,h,d){var l=this.getVendorSpecificConstraints(a,u||{},c),f=!!l.video,m=this;this.Yt.getUserMedia(l,function(t,e,i,n){if("ok"===e)return m.u.info("Acquired user media with constraints [%s]",l),d(null,{userMedia:i,options:{frameRate:f?c:null,resolution:f?p.get(u,["resolution"],null):null,aspectRatio:f?p.get(u,["aspectRatio"],null):null}});m.u.info("Failed to acquire user media with constraints [%s]",l);var r=u,s=c,o=(i=n).constraintName||i.constraint||"";if(n&&("ConstraintNotSatisfiedError"===n.name||"OverconstrainedError"===n.name||"OverconstrainedError"===n.constructor.name||"unavailable"===n.code&&"Edge"===g.browser))switch(o.toLowerCase()){case"width":case"height":if(u&&h.canResolveNextResolution())return m.u.warn("Unable to get user media with constraint [%s] with height [%s] and width [%s]. Retrying with next closest resolution.",o,r.height,r.width),r=h.getNextResolution(u.height,u.aspectRatio),v.call(m,a,r,s,h,d);break;default:if(c)return m.u.warn("Unable to get user media with constraint [%s] and frame rate [%s]. Retrying without frame rate constraint.",o,c),v.call(m,a,r,s=null,h,d);if(u&&h.canResolveNextResolution())return m.u.warn("Unable to get user media with constraint [%s] with height [%s] and width [%s]. Retrying with next closest resolution.",o,r.height,r.width),r=h.getNextResolution(u.height,u.aspectRatio),v.call(m,a,r,s,h,d)}return m.u.error("Unable to get user media with status [%s]",e,n),d(n)},function(t){var e,i,n,r=t;if(m.pe&&"Chrome"===g.browser){t=t,o=p.get(t,["video","mandatory","chromeMediaSource"]),e=p.get(t,["audio","mandatory","chromeMediaSource"]),i=p.get(t,["video","mandatory","chromeMediaSourceId"]),t=p.get(t,["audio","mandatory","chromeMediaSourceId"]),n={},(o||t)&&(p.set(n,["screen","mediaSource"],o),p.set(n,["screen","mediaSourceId"],i)),(e||t)&&(p.set(n,["screenAudio","mediaSource"],e),p.set(n,["screenAudio","mediaSourceId"],t));var s,o=n;if((r=m.pe(o)).resolution&&r.aspectRatio)switch(this.ge){case"9x16":case"3x4":s={width:r.resolution,height:h.calculateLongerDimensionByAspectRatio(r.resolution,r.aspectRatio)};break;default:s={width:h.calculateLongerDimensionByAspectRatio(r.resolution,r.aspectRatio),height:r.resolution}}r=function(t,e,i){var t=this.getVendorSpecificConstraints(t,e,i),e=(t.screen&&(t.video=t.screen,delete t.screen),t.screenAudio&&(t.audio=t.screenAudio,delete t.screenAudio),p.get(t,["video","mandatory","mediaSource"])),i=p.get(t,["audio","mandatory","mediaSource"]),n=p.get(t,["video","mandatory","mediaSourceId"]),r=p.get(t,["audio","mandatory","mediaSourceId"]);return(e||n)&&(p.set(t,["video","mandatory","chromeMediaSource"],e),p.set(t,["video","mandatory","chromeMediaSourceId"],n),delete t.video.mandatory.mediaSource,delete t.video.mandatory.mediaSourceId),(i||r)&&(p.set(t,["audio","mandatory","chromeMediaSource"],i),p.set(t,["audio","mandatory","chromeMediaSourceId"],r),delete t.audio.mandatory.mediaSource,delete t.audio.mandatory.mediaSourceId),t}.call(m,o,s,r.frameRate)}return r})}return t.prototype.getUserMedia=function(t,e){s.isObject(t,"deviceOptions");var i=new o(this.oe),n=i.getDefaultResolution(),r=i.getDefaultFrameRate();v.call(this,t,n,r,i,e)},t.prototype.getVendorSpecificConstraints=function(t,e,i){var n,r,s,o,a,u,c,h;if(e=e||{},t&&(t.audio||t.video||t.screen||t.screenAudio))return"Firefox"===g.browser&&38<g.browserVersion||"Chrome"===g.browser&&52<g.browserVersion&&!t.screen&&!t.screenAudio||"Safari"===g.browser&&10<g.browserVersion||"Opera"===g.browser&&40<g.browserVersion?(u=e,c=i,s=t.video,n=t.audio,r=t.screen,o=t.screenAudio,a=u.width,u=u.height,h={},s&&(h.video={height:{min:u,ideal:u,max:u},width:{min:a,ideal:a,max:a},frameRate:{ideal:c,max:c}},s.deviceId&&(h.video.deviceId={exact:s.deviceId}),s.facingMode&&(h.video.facingMode=s.facingMode),a||delete h.video.width,u||delete h.video.height,c||delete h.video.frameRate,a||u||c||s.deviceId||s.facingMode||(h.video=!0)),n&&(h.audio={},n.deviceId&&(h.audio.deviceId={exact:n.deviceId}),n.mediaSource&&(h.audio.mediaSource=n.mediaSource),n.mediaSourceId&&(h.audio.mediaSourceId=n.mediaSourceId),n.deviceId||n.mediaSource||n.mediaSourceId||(h.audio=!0)),o&&(h.screenAudio={},o.deviceId&&(h.screenAudio.deviceId={exact:o.deviceId}),o.mediaSource&&(h.screenAudio.mediaSource=o.mediaSource),o.mediaSourceId&&(h.screenAudio.mediaSourceId=o.mediaSourceId),o.deviceId||o.mediaSource||o.mediaSourceId||(h.screenAudio=!0)),r&&(h.screen={height:{min:u,ideal:u,max:u},width:{min:a,ideal:a,max:a},frameRate:{ideal:c,max:c}},a||delete h.screen.width,u||delete h.screen.height,c||delete h.screen.frameRate,r.mediaSource&&(h.screen.mediaSource=r.mediaSource),a||u||c||r.mediaSource||(h.screen=!0)),r&&s&&(h.screen=!0),h):"Edge"===g.browser?(n=e,o=i,a=t.video,u=t.audio,c=t.screen,r=n.width,s=n.height,h={},a&&(h.video={height:{min:s,max:s,exact:s},width:{min:r,max:r,exact:r},frameRate:o},a.deviceId&&(h.video.deviceId=a.deviceId),a.facingMode&&(h.video.facingMode=a.facingMode),r||delete h.video.width,s||delete h.video.height,o||delete h.video.frameRate,r||s||o||a.deviceId||a.facingMode||(h.video=!0)),u&&(h.audio=!0,u.deviceId)&&(h.audio={deviceId:u.deviceId}),c&&(h.screen=!0),h):(n=e,r=i,s=t.video,o=t.audio,a=t.screen,u=t.screenAudio,c=n.width,h=n.height,e={},s&&(e.video={mandatory:{minHeight:h,maxHeight:h,minWidth:c,maxWidth:c,maxFrameRate:r}},s.deviceId&&(e.video.mandatory.sourceId=s.deviceId),s.facingMode&&(e.video.facingMode=s.facingMode),s.mediaSource&&(e.video.mandatory.mediaSource=s.mediaSource),s.mediaSourceId&&(e.video.mandatory.mediaSourceId=s.mediaSourceId),c||(delete e.video.mandatory.minWidth,delete e.video.mandatory.maxWidth),h||(delete e.video.mandatory.minHeight,delete e.video.mandatory.maxHeight),r||delete e.video.mandatory.maxFrameRate,c||h||r||s.deviceId||s.facingMode||s.mediaSource||s.mediaSourceId||(e.video=!0)),o&&(e.audio={mandatory:{}},o.deviceId&&(e.audio.mandatory.sourceId=o.deviceId),o.mediaSource&&(e.audio.mandatory.mediaSource=o.mediaSource),o.mediaSourceId&&(e.audio.mandatory.mediaSourceId=o.mediaSourceId),o.deviceId||o.mediaSource||o.mediaSourceId||(e.audio=!0)),u&&(e.screenAudio={mandatory:{}},u.deviceId&&(e.screenAudio.mandatory.sourceId=u.deviceId),u.mediaSource&&(e.screenAudio.mandatory.mediaSource=u.mediaSource),u.mediaSourceId&&(e.screenAudio.mandatory.mediaSourceId=u.mediaSourceId),u.deviceId||u.mediaSource||u.mediaSourceId||(e.screenAudio=!0)),a&&(e.screen={mandatory:{minHeight:h,maxHeight:h,minWidth:c,maxWidth:c,maxFrameRate:r}},c||(delete e.screen.mandatory.minWidth,delete e.screen.mandatory.maxWidth),h||(delete e.screen.mandatory.minHeight,delete e.screen.mandatory.maxHeight),r||delete e.screen.mandatory.maxFrameRate,a.mediaSource&&(e.screen.mandatory.mediaSource=a.mediaSource),a.mediaSourceId&&(e.screen.mandatory.mediaSourceId=a.mediaSourceId),c||h||r||a.mediaSource||(e.screen=!0)),a&&s&&(e.screen=!0),e);throw new Error("Invalid device options. Must pass in at least one device option.")},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(4),i(32),i(21),i(2),i(71)],e=function(f,m,e,r,n,p,l){"use strict";var i=0,u=1e3,s={maxOfflineTime:18e4,maxReconnectFrequency:6e4};function t(t){if(m.isObject(t,"options"),m.isStringNotEmpty(t.authToken,"options.authToken"),"adminApiProxyClient"in t)throw new Error('"options.adminApiProxyClient" is no longer supported. Please use "options.authToken" instead.');if(t.onError&&m.isFunction(t.onError,"options.onError"),!f.isNullOrUndefined(t.onlineTimeout)&&(m.isNumber(t.onlineTimeout,"options.onlineTimeout"),t.onlineTimeout<0))throw new Error('"options.onlineTimeout" must be a positive number');t.reconnectOptions&&(m.isObject(t.reconnectOptions,"options.reconnectOptions"),m.isNumber(t.reconnectOptions.maxOfflineTime,"options.reconnectOptions.maxOfflineTime"),m.isNumber(t.reconnectOptions.maxReconnectFrequency,"options.reconnectOptions.maxReconnectFrequency")),this.ve=++i,this.ye=new e.Observable(null).extend({rateLimit:0}),this.we=new e.Observable(null).extend({rateLimit:0}),this.lt={},this.be=!1,this.ke=0,this.Se=0,this.Ie=!1,this.j=t.authToken,this.Re=t.onError,this.oe=t,this.Te=f.isNumber(t.onlineTimeout)?t.onlineTimeout:2e4,this.qe=t.reconnectOptions||s,this.u=null,this.Ee={},o.call(this)}function o(){var t,i=this;return this.ye.getValue()||(t=f.assign({logger:this.u},this.oe),this.ye.setValue(new n(t))),this.u||(this.u=this.ye.getValue().getLogger()),this.Ce||(this.Ce=this.ye.getValue().getObservableStatus().subscribe(f.bind(a,this))),this.sessionIdSubscription&&this.sessionIdSubscription.dispose(),this.sessionIdSubscription=this.ye.getValue().getObservableSessionId().subscribe(f.bind(function(t){this.we.setValue(t)},this)),this.ye.getValue().start(function(t,e){if("critical-network-issue"===e)return a.call(i,e)},f.noop,f.noop)}function a(t){switch(t){case"timeout":case"critical-network-issue":return this.ye.getValue()&&(this.ye.getValue().stop("recovery"),this.ye.setValue(null)),this.we.getValue()&&this.we.setValue(null),this.Ce&&(this.Ce.dispose(),this.Ce=null),this.ke++,c.call(this);case"reconnect-failed":case"unauthorized":return delete this.j,h.call(this,new Error(t));case"capacity":case"network-unavailable":return this.ke++,c.call(this);case"online":return this.be?this.u.info("[%s] Successfully reconnected (reconnectCount=[%s],reauthCount=[%s])",this,this.ke,this.Se):this.u.info("[%s] Successfully instantiated",this),this.Se=0,this.ke=0,void(this.be=!0);case"reconnecting":case"reconnected":case"connecting":break;case"offline":return;default:return h.call(this,new Error(t))}}function c(){var t=this,e=Math.min(u*t.ke*t.ke,this.qe.maxReconnectFrequency),i=Math.min(e/1e4,5),e=e+Math.random()*i*1e3;this.u.info("[%s] Waiting for [%s] ms before continuing to attempt to reconnect to PCast",this,e),this.Me=setTimeout(function(){if(!t.ye.getValue()||!t.ye.getValue().isStarted())return o.call(t)},e)}function h(t){if(!this.Re)throw t;this.Re(t)}function d(t,i,n){new r(t,{aspectRatio:i.aspectRatio,resolution:i.resolution,frameRate:i.frameRate,resolutionSelectionStrategy:i.resolutionSelectionStrategy,onScreenShare:function(t){return(t=i.onScreenShare?i.onScreenShare(t):t).resolution&&m.isNumber(t.resolution,"clientOptions.resolution"),t.frameRate&&m.isNumber(t.frameRate,"screenOptions.frameRate"),t.aspectRatio&&m.isStringNotEmpty(t.aspectRatio,"screenOptions.aspectRatio"),f.assign({resolution:t.resolution},t)}}).getUserMedia(i.mediaConstraints,function(t,e){if(t)return n(t);i.onResolveMedia&&i.onResolveMedia(e.options),n(null,f.assign({status:"ok"},e))})}function g(t,e,i,n){try{var r=this.parseCapabilitiesFromToken(e.token);e.capabilities=r}catch(t){return n(new Error("Bad `token`",t),{status:"bad-token"})}return function(s,o,a,u,c){var h=this,d=!1,l=null;function e(t,e,i){function n(t){var e=f.assign({token:s,isContinuation:!0},a);h.u.warn("[%s] Retrying publisher after failure with reason [%s]",this,t),h.Ee[i.getStreamId()]=!0,"camera-track-failure"===t?(i.stop(t,!1),h.publish(a,c)):(i.stop(t,!0),g.call(h,o,e,u,c))}if("ok"!==e)return h.u.warn("[%s] Failure to publish with status [%s]",this,e),l&&(h.Ee[l.getStreamId()]=!0),c(null,{status:e});delete a.authFailure,h.lt[i.getStreamId()]=i,l=i;var e=f.bind(S,h,function(){},n,!0),r=(a.monitor&&(r=f.bind(k,h,a.monitor.callback,n),i.monitor(a.monitor.options||{},r),e=f.bind(S,h,a.monitor.callback,n,!0)),i.setPublisherEndedCallback(e),function(i,n,r){var s=this,o=f.bind(i.stop,i);return i.stop=function(t,e){s.u.info("[%s] [%s] Stopping publisher with reason [%s]",s,i.getStreamId(),t),o(t),n&&(n.src="",n.srcObject=null),r&&i.getStream()&&!e&&(t=i.getStream())&&t.getTracks().forEach(function(t){t.stop()})},i.enableAudio=function(){return y.call(s,i,!0)},i.disableAudio=function(){return y.call(s,i,!1)},i.enableVideo=function(){return w.call(s,i,!0)},i.disableVideo=function(){return w.call(s,i,!1)},i.setPublisherEndedCallback=function(){},i}.call(h,i,a.videoElement,u));a.videoElement&&!d&&(p.attachMediaStream(a.videoElement,o,function(t){t&&h.u.warn("[%s] [%s] Failed to attach publish media stream to video element.",this,i.getStreamId(),t)}),d=!0),c(null,{status:"ok",publisher:r})}a.tags&&m.isArray(a.tags,"options.tags"),a.connectOptions&&m.isArray(a.connectOptions,"options.connectOptions"),h.waitForOnline(function(t){if(t)return c(t);h.ye.getValue().publish(s,o,e,a.tags,{connectOptions:a.connectOptions})},a.isContinuation)}.call(this,e.token,t,e,i,n)}function v(a,u,c){function e(t,e,i){function n(t){var e=f.assign({isContinuation:!0},u);h.Ee[i.getStreamId()]=!0,i.stop(t),h.u.warn("[%s] [%s] Stream failure occurred with reason [%s]. Attempting to recover from failure.",this,u.streamId,t),v.call(h,a,e,c)}var r;if("streaming-not-ready"===e)return h.u.warn("[%s] Failure to subscribe with status [%s]. Try again in a few seconds.",this,e),c(null,{status:e,retry:f.bind(n,h,e)});if("ok"!==e)return h.u.warn("[%s] Failure to subscribe with status [%s]",this,e),d&&(h.Ee[d.getStreamId()]=!0),c(null,{status:e});delete u.authFailure,d=i,u.videoElement&&(r=i.createRenderer()).start(u.videoElement);var e=f.noop,e=f.bind(S,h,e,n,!1),s=(u.monitor&&(o=f.bind(k,h,u.monitor.callback,n),i.monitor(u.monitor.options||{},o),e=f.bind(S,h,u.monitor.callback,n,!1)),i.setStreamEndedCallback(e),function(e,i){var n=this,r=f.bind(e.stop,e);return e.stop=function(t){n.u.info("[%s] [%s] Stopping subscriber with reason [%s]",n,e,t),i&&i.stop(t),r(t)},e.enableAudio=function(){return y(e.getStream(),!0)},e.disableAudio=function(){return y(e.getStream(),!1)},e.enableVideo=function(){return w(e.getStream(),!0)},e.disableVideo=function(){return w(e.getStream(),!1)},e.setStreamEndedCallback=function(){},e}.call(h,i,r)),o={status:"ok",mediaStream:s};i.setStreamErrorCallback(function(t,e,i){return"real-time"===e&&"connection-timeout"===i.message?n.call(h,i.message):"shaka"!==e||i.severity===l.errorSeverity.critical.id?"phenix-player"===e&&1===i.severity?(h.u.warn("[%s] [%s] Recoverable error occurred while playing stream with Express API. Attempting to subscribe again.",this,s.getStreamId(),i),e=f.assign({isContinuation:!0},u),h.subscribe(e,c)):(h.u.warn("[%s] [%s] Error occurred while playing stream with Express API. Stopping stream.",this,s.getStreamId(),i),s.stop(),c(i)):void 0}),r&&(o.renderer=r),c(null,o)}var h=this,d=null;h.waitForOnline(function(t){if(t)return c(t);t=f.clone(u.subscriberOptions||{});u.streamId&&(t.originStreamId=u.streamId),h.ye.getValue().subscribe(a,e,t)},u.isContinuation)}function y(t,e){var i=this.getPCast();if(i){var n=t.getStreamId(),i=i.getRemoteDescriptionSdp(n);if(i){n=t.getStream(),t=i.lastIndexOf("m=audio");if(!(t<0)){var r=i.lastIndexOf("m=video");if(r<t&&(r=i.length),!i.substring(t,r).includes("a=inactive")&&n)return b(n.getAudioTracks(),e),e}}}}function w(t,e){var i=this.getPCast();if(i){var n=t.getStreamId(),i=i.getRemoteDescriptionSdp(n);if(i){n=t.getStream(),t=i.lastIndexOf("m=video");if(!(t<0)){var r=i.lastIndexOf("m=audio");if(r<t&&(r=i.length),!i.substring(t,r).includes("a=inactive")&&n)return b(n.getVideoTracks(),e),e}}}}function b(t,e){m.isArray(t,"tracks"),f.forEach(t,function(t){t.updateState(e)})}function k(t,e,i,n,r){switch(n){case"camera-track-failure":case"client-side-failure":t(null,f.assign({status:n,retry:f.bind(e,null,n)},r))}}function S(t,e,i,n,r,s){var o={status:"stream-ended",reason:r,description:s};if(this.Ee[n.getStreamId()])this.u.info("[%s] Ignoring stream end due to recovery in progress [%s]",this,n.getStreamId());else switch(r){case"egress-setup-failed":case"ended":case"censored":var a={status:r,reason:r,description:s};return i?a.publisher=n:a.mediaStream=n,t(null,a);case"custom":return t(null,o);case"egress-failed":case"capacity":return void setTimeout(function(){if(!this.Ie)return e(r)},u);case"failed":case"maintenance":case"overload":return e(r);default:return o.retry=e,t(null,o)}}return t.prototype.toString=function(){return"PCastExpress["+this.ve+"]"},t.prototype.dispose=function(){this.xe&&(this.xe.dispose(),this.xe=null),this.ye.getValue()&&(this.ye.getValue().stop(),this.ye.setValue(null)),this.we.getValue()&&this.we.setValue(null),f.isNumber(this.Me)&&(clearTimeout(this.Me),this.Me=null),this.sessionIdSubscription&&this.sessionIdSubscription.dispose(),this.we&&this.we.dispose&&this.we.dispose(),this.ke=0,this.Se=0,this.Ie=!0,this.u.info("[%s] Disposed PCast Express instance",this)},t.prototype.getPCast=function(){return this.ye.getValue()},t.prototype.getPCastObservable=function(){return this.ye},t.prototype.getSessionIdObservable=function(){return this.we},t.prototype.getUserMedia=function(e,i){var n=this;if(m.isObject(e.mediaConstraints,"options.mediaConstraints"),m.isFunction(i,"callback"),e.resolution&&m.isNumber(e.resolution,"options.resolution"),e.frameRate&&m.isNumber(e.frameRate,"options.frameRate"),e.aspectRatio&&m.isStringNotEmpty(e.aspectRatio,"options.aspectRatio"),e.onResolveMedia&&m.isFunction(e.onResolveMedia,"options.onResolveMedia"),e.onScreenShare&&m.isFunction(e.onScreenShare,"options.onScreenShare"),n.ye.getValue())return d.call(n,n.ye.getValue(),e,i);var r=n.ye.subscribe(function(t){t&&(r.dispose(),d.call(n,t,e,i))})},t.prototype.publish=function(i,n){if(m.isObject(i,"options"),m.isFunction(n,"callback"),"capabilities"in i)throw new Error('"options.capabilities" is no longer supported. Please use "options.token" instead.');if(i.connectOptions&&m.isArray(i.connectOptions,"options.connectOptions"),i.mediaConstraints?m.isObject(i.mediaConstraints,"options.mediaConstraints"):m.isObject(i.userMediaStream,"options.userMediaStream"),i.videoElement&&m.isObject(i.videoElement,"options.videoElement"),i.monitor&&(m.isObject(i.monitor,"options.monitor"),m.isFunction(i.monitor.callback,"options.monitor.callback"),i.monitor.options)&&m.isObject(i.monitor.options,"options.monitor.options"),"streamToken"in i)throw new Error('"options.streamToken" is no longer supported. Please use "options.token" instead.');if("publishToken"in i)throw new Error('"options.publishToken" is no longer supported. Please use "options.token" instead.');if(!i.token)throw new Error('Cannot publish. Please use "options.token".');if(m.isStringNotEmpty(i.token,"options.token"),"publish"!==this.ye.getValue().parseTypeFromToken(i.token))throw new Error('Cannot publish. Please use a token of type "publish".');var r=this;this.waitForOnline(function(t){return t?n(t):i.userMediaStream?g.call(r,i.userMediaStream,i,!1,n):void r.getUserMedia(i,function(t,e){return t?n(t):"ok"!==e.status?n(null,e):void g.call(r,e.userMedia,i,!0,n)})},i.isContinuation)},t.prototype.publishScreen=function(t,e){t=f.assign({mediaConstraints:{screen:!0}},t);return f.set(t,["monitor","options"],f.assign({},{monitorFrameRate:!1,videoBitRateThreshold:100,conditionCountForNotificationThreshold:8},f.get(t,["monitor","options"],{}))),this.publish(t,e)},t.prototype.subscribe=function(e,i){if(m.isObject(e,"options"),m.isFunction(i,"callback"),m.isStringNotEmpty(e.streamId,"options.streamId"),"capabilities"in e)throw new Error('"options.capabilities" is no longer supported. Please use "options.token" instead.');if(e.videoElement&&m.isObject(e.videoElement,"options.videoElement"),e.monitor&&(m.isObject(e.monitor,"options.monitor"),m.isFunction(e.monitor.callback,"options.monitor.callback"),e.monitor.options)&&m.isObject(e.monitor.options,"options.monitor.options"),"streamToken"in e)throw new Error('"options.streamToken" is no longer supported. Please use "options.token" instead.');if("publishToken"in e)throw new Error('"options.publishToken" is no longer supported. Please use "options.token" instead.');if(!e.token)throw new Error('Cannot subscribe. Please use "options.token".');m.isStringNotEmpty(e.token,"options.token");var t=this.ye.getValue().parseTypeFromToken(e.token);if("publish"===t||"auth"===t)throw new Error('Cannot subscribe. Please use token without type or with type "stream".');e.subscriberOptions&&m.isObject(e.subscriberOptions,"options.subscriberOptions");var n=this;this.waitForOnline(function(t){return t?(n.u.error("[%s] Failed to subscribe after error waiting for online status",this,t),i(t)):v.call(n,e.token,e,i)},e.isContinuation)},t.prototype.subscribeToScreen=function(t,e){t=f.assign({},t);return f.set(t,["monitor","options"],f.assign({},{monitorFrameRate:!1,videoBitRateThreshold:100,conditionCountForNotificationThreshold:8},f.get(t,["monitor","options"],{}))),this.subscribe(t,e)},t.prototype.waitForOnline=function(e,t){if(m.isFunction(e,"callback"),this.ye.getValue()&&"online"===this.ye.getValue().getStatus())return e();var i=this,n=t?f.get(i.qe,["maxOfflineTime"]):this.Te,r=null,s=null,o=setTimeout(function(){i.u.info("[%s] Disposing of online listener after [%s] ms",this,n),r&&r.dispose(),s&&s.dispose(),i.Ie?i.u.info("[%s] Instance was disposed while waiting for online, ignoring callback",this):e(new Error("timeout"))},n),r=(this.u.info("[%s] Waiting for online status before continuing. Timeout set to [%s]",this,n),this.ye.subscribe(function(t){s&&s.dispose(),t&&(s=t.getObservableStatus().subscribe(function(t){if(i.Ie)i.u.info("[%s] Instance was disposed while waiting for online, canceling waiting and skip triggering callback",this),clearTimeout(o),s.dispose(),r.dispose();else{if("online"===t)return clearTimeout(o),s.dispose(),r.dispose(),e();i.u.info("[%s] Still waiting for online status before continuing. Current status is [%s]",this,t)}},{initial:"notify"}))},{initial:"notify"}))},t.prototype.parseCapabilitiesFromToken=function(t){return this.ye.getValue().parseCapabilitiesFromToken(t)},t.prototype.parseRoomOrChannelIdFromToken=function(t){return this.ye.getValue().parseRoomOrChannelIdFromToken(t)},t.prototype.parseRoomOrChannelAliasFromToken=function(t){return this.ye.getValue().parseRoomOrChannelAliasFromToken(t)},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(4),i(3),i(33),i(27),i(35),i(19),i(14),i(13),i(20),i(31)],e=function(l,u,t,h,e,f,i,m,a,p,c,d){"use strict";function n(t){if(u.isObject(t,"options"),t.pcastExpress&&u.isObject(t.pcastExpress,"options.pcastExpress"),"enableWildcardCapability"in t)throw new Error('"options.enableWildcardCapability" is no longer supported.');this.Pe=t.pcastExpress||new e(t),this.De=!t.pcastExpress,this.Ue={},this.Oe=[],this.Ae={},this.Fe=[],this.Ne={},this.u=this.Pe.getPCast().getLogger(),this.q=new h.DisposableList,this.Ie=!1,this.Le=!1,this.Be=null;var i=this;this.Pe.getPCastObservable().subscribe(function(e){e&&(i.u.info("Resetting Room Express after change in pcast."),i.Pe.waitForOnline(function(){i.Pe.getPCastObservable().getValue()===e&&l.forOwn(i.Ue,function(t){t.setPCast(e)})}))})}function g(t){try{return this.Pe.parseCapabilitiesFromToken(t)}catch(t){}}function v(e,i){return l.find(this.Fe,function(t){t=t.getObservableActiveRoom().getValue();return t&&(t.getRoomId()===e||t.getObservableAlias().getValue()===i)})}function y(o,a,u){var c=this,h=o.role,d=o.screenName||l.uniqueId();!function(e,i,n){var r=this,s=l.uniqueId();this.Pe.waitForOnline(function(t){if(t)return n(t);t=v.call(r,e,i);if(t)return r.u.info("Reusing room service for room [%s]/[%s]",e,i),n(null,{status:"ok",roomService:t});r.Ue[s]=new f(r.Pe.getPCast());t=function(r,t){var s=this,e=r.stop,o=r.leaveRoom;return r.stop=function(){e.apply(r,arguments),delete s.Ue[t]},r.leaveRoom=function(i,t){var n=r.getObservableActiveRoom().getValue();o.call(r,function(t,e){return t?(r.stop("leave-room-failure"),i(t)):("ok"!==e.status&&"not-in-room"!==e.status||(s.u.info("Successfully disposed Express Room Service [%s]",n?n.getRoomId():"Uninitialized"),r.stop("leave-room")),i(null,e))},t)},r}.call(r,r.Ue[s],s);r.u.info("Creating room service for room [%s]/[%s]",e,i),n(null,{status:"ok",roomService:t})})}.call(c,o.roomId,o.alias,function(t,e){var i,n,r,s;return t?a(t):"ok"!==e.status?a(null,e):(i=e.roomService,t=(n=i.getObservableActiveRoom()).getValue(),r=null,s=function(){var t=n.getValue();t?(c.u.info("Setup member subscription for room [%s]",t.getRoomId()),r=t.getObservableMembers().subscribe(u,{initial:"notify"}),c.q.add(n.subscribe(function(t){r&&(u([]),r.dispose(),r=null),t&&(r=t.getObservableMembers().subscribe(u,{initial:"notify"}))}))):c.u.warn("Unable to setup members subscription. Not in room.")},t||i.start(h,d),o.streams&&0<o.streams.length&&(l.includes(o.streams[0].uri,m.getPCastPrefix())||(o.streams[0].uri=m.getPCastPrefix()+o.streams[0].uri,c.Oe.push(o.streams[0].uri)),e=o.role,function(t,e,i,n){var r=i?i.getObservableActiveRoom().getValue():null;if(t&&i&&i.getSelf().setStreams(t),e&&i&&i.getSelf().getObservableRole().setValue(0===t.length?p.roles.audience.name:e),r&&i.getSelf())return S.call(this,i.getSelf(),n)}.call(c,o.streams,e,i,function(t){if(t)return a(t)})),void(t?(a(null,{status:"ok",roomService:i}),u&&s()):i.enterRoom(o.roomId,o.alias,function(t,e){return t?(i.stop("enter-room-failure"),a(t)):"not-found"===e.status?(i.stop("enter-room-failure"),a(null,{status:"room-not-found"})):"ok"!==e.status&&"already-in-room"!==e.status?(i.stop("enter-room-failure"),a(null,e)):(c.Fe.push(i),a(null,{status:"ok",roomService:i}),u?s():void 0)})))})}function w(e,t){this.Ae[t.getRoomId()]&&e&&(this.Ae[t.getRoomId()]=l.filter(this.Ae[t.getRoomId()],function(t){return t.getStreamId()!==e.getStreamId()}))}function b(r,t){var e,i=this,n=v.call(this,t.getRoomId(),t.getObservableAlias().getValue()),s=r?[r]:[];return n&&(n=n.getSelf())&&(n=l.map(n.getObservableStreams().getValue(),function(t){return t.toJson()}),t=this.Ae[t.getRoomId()]||[],e=l.map(t,function(t){return t.getStreamId()}),n)&&0!==n.length?(r&&(n=l.filter(n,function(t){var e=t.uri===r.uri,i=m.parsePCastStreamIdFromStreamUri(t.uri),i=!!i&&i===m.parsePCastStreamIdFromStreamUri(r.uri),n=r.uri.split("?")[0]===t.uri.split("?")[0],t=t.type===r.type;return!e&&!i&&!n||!t})).push(r),l.filter(n,function(t){return!m.parsePCastStreamIdFromStreamUri(t.uri)||l.includes(e,m.parsePCastStreamIdFromStreamUri(t.uri)||t.uri)||l.includes(i.Oe,t.uri.split("?")[0])})):s}function k(t,e,i,n,r,s){var o=v.call(this,n.getRoomId(),n.getObservableAlias().getValue()),i=i?i.getObservableActiveRoom().getValue():null,a=!i&&!o,u=this;return u.Ie?u.u.warn("Unable to update self after express room service disposal."):(t&&o&&(u.u.debug("Preparing member streams for update in room [%s].",n.getRoomId()),o.getSelf().setStreams(t)),e&&o&&o.getSelf().getObservableRole().getValue()!==e&&(u.u.debug("Preparing member role for update in room [%s].",n.getRoomId()),o.getSelf().getObservableRole().setValue(e)),i&&o.getSelf()?S.call(this,o.getSelf(),s):void(a&&(u.u.info("Joining room with member [%s].",n.getRoomId()),t=l.assign({role:e,alias:l.get(r,["room","alias"]),roomId:l.get(r,["room","roomId"])},r),y.call(u,t,function(t,e){return t?s(t):"ok"!==e.status&&"already-in-room"!==e.status?s(null,e):void s(t,e)}))))}function S(n,r){var s=0,o=this;try{n.commitChanges(function t(e,i){!e&&i||s++;e=n.getRoomService(),e=e?e.getObservableActiveRoom().getValue():null;return i&&"ok"===i.status||!e&&"not-found"===i.status?(s=0,o.Le=!1,!r||r(null,i)):(i&&"ok"!==i.status&&s++,5<=s?(o.u.warn("Unable to update self after [%s] attempts.",5),l.isNumber(i.lastUpdate)&&(o.u.warn("Updating self last update from [%s] to [%s] to prevent permanent failure state. Our awareness of self does not match up with the server anymore.",n.getObservableLastUpdate().getValue(),i.lastUpdate),n.getObservableLastUpdate().setValue(i.lastUpdate)),o.Le=!1,r(new Error("Unable to update self"))):0<s&&s<5?(o.u.info("Unable to update self after [%s] attempts. Retrying.",s),n.commitChanges(t)):void 0)})}catch(t){r(t)}}function I(t,e,i){return e?t(e):i.retry?i.retry():void t(e,i)}return n.prototype.dispose=function(){this.Ie=!0,function(){l.forOwn(this.Ae,function(t){l.forEach(t,function(t){t.stop("dispose")})}),l.forOwn(this.Ue,function(t){t.stop("dispose")}),this.Ae={},this.Oe=[],this.Ue={},this.Fe=[]}.call(this),this.De&&this.Pe.dispose(),this.q.dispose(),this.u.info("Disposed Room Express Instance")},n.prototype.getPCastExpress=function(){return this.Pe},n.prototype.joinRoom=function(t,s,e){if(u.isObject(t,"options"),u.isFunction(s,"joinRoomCallback"),u.isStringNotEmpty(t.role,"options.role"),"streamToken"in t)throw new Error('"options.streamToken" is no longer supported. Please use "options.token" instead.');if(!t.token)throw new Error('Cannot join room. Please use "options.token".');if("roomId"in t)throw new Error('"options.roomId" is no longer supported. Please use "options.token" instead.');if("alias"in t)throw new Error('"options.alias" is no longer supported. Please use "options.token" instead.');function i(r){r&&y.call(o,t,function(t,e){var i,n=e;n&&n.roomService&&(i=n.roomService.leaveRoom,n.roomService.leaveRoom=function(t,e){a&&"offline"!==r.getObservableStatus()&&a.dispose(),i(t,e)}),s(t,e)},e)}e&&u.isFunction(e,"membersChangedCallback"),t.screenName&&u.isStringNotEmpty(t.screenName,"options.screenName"),t.streams&&u.isArray(t.streams,"options.streams"),u.isStringNotEmpty(t.token,"options.token");var n=this.Pe.parseRoomOrChannelIdFromToken(t.token),r=this.Pe.parseRoomOrChannelAliasFromToken(t.token),o=(n&&(t.roomId=n,this.u.info("Room ID is set to [%s] from token [%s]",n,t.token)),r&&(t.alias=r,this.u.info("Alias is set to [%s] from token [%s]",r,t.token)),this);if(this.Pe.getPCastObservable())return i(this.Pe.getPCastObservable());var a=this.Pe.getPCastObservable().subscribe(i)},n.prototype.publishToRoom=function(n,r){if(u.isObject(n,"options"),u.isFunction(r,"callback"),"room"in n)throw new Error('"options.room" is no longer supported.');if("capabilities"in n)throw new Error('"options.capabilities" is no longer supported. Please use "options.token" instead.');if("tags"in n)throw new Error('"options.tags" is no longer supported. Please use "options.token" instead.');if("streamUri"in n)throw new Error('"options.streamUri" is no longer supported. Please use REST API to publish an URI instead.');if(n.mediaConstraints?u.isObject(n.mediaConstraints,"options.mediaConstraints"):u.isObject(n.userMediaStream,"options.userMediaStream"),n.videoElement&&u.isObject(n.videoElement,"options.videoElement"),n.screenName&&u.isStringNotEmpty(n.screenName,"options.screenName"),n.streamInfo&&u.isObject(n.streamInfo,"options.streamInfo"),"streamToken"in n)throw new Error('"options.streamToken" is no longer supported. Please use "options.token" instead.');if(!n.token)throw new Error('Cannot publish. Please use "options.token".');function i(t,i){var e=l.assign({monitor:{callback:l.bind(I,s,r),options:{conditionCountForNotificationThreshold:8}},streamInfo:{}},n);t.getObservableType().getValue()===a.types.channel.name?e.tags=["channelId:"+t.getRoomId(),"channelAlias:"+t.getObservableAlias().getValue()].concat(e.tags||[]):e.tags=["roomId:"+t.getRoomId(),"roomAlias:"+t.getObservableAlias().getValue()].concat(e.tags||[]),function(r,s,i){function t(t,e){if(a&&o&&clearInterval(a),t)return c(t);if("ok"!==e.status)return c(null,e);!function(t,e){this.Ae[e.getRoomId()]||(this.Ae[e.getRoomId()]=[]),this.Ae[e.getRoomId()].push(t)}.call(u,e.publisher,s),w.call(u,o,s),o=e.publisher,u.Ne[o.getStreamId()]=new h.DisposableList;var n=l.bind(o.stop,o);o.stop=function(){clearInterval(a),w.call(u,o,s);var t=b.call(u,null,s),e=v.call(u,s.getRoomId()),i=u.Ne[o.getStreamId()];i&&(i.dispose(),delete u.Ne[o.getStreamId()]),n.apply(o,arguments),e&&k.call(u,t,0===t.length?p.roles.audience.name:r.memberRole,e,s,r,function(t){if(t)return c(t)})},function(r,s,o){var t,a=this,u=r.getStream();u&&(t=u.getTracks(),l.forEach(t,function(n){var e=function(){a.Le=!0;var t=(n.enabled?d.states.trackEnabled:d.states.trackDisabled).name,e=v.call(a,s.getRoomId());if(e&&e.getSelf()){var e=e.getSelf().getObservableStreams().getValue(),e=l.find(e,function(t){return t.getPCastStreamId()===r.getStreamId()}),i=function(e){var t=l.find(this.Fe,function(t){t=t.getSelf(),t=t?t.getObservableStreams().getValue():[];return l.find(t,function(t){return e===t})});return t?t.getSelf():null}.call(a,e);if(!e)return a.u.warn("[%s] [%s] Unable to update member state change after track state change [%s]. Member stream no longer exists on member model.",u.id,n.id,n.enabled);a.u.info("[%s] [%s] Track state changed to [%s], updating room member stream state [%s]",u.id,n.id,n.enabled,t),("video"===n.kind?e.getObservableVideoState():e.getObservableAudioState()).setValue(t),i&&S.call(a,i,o)}};n.updateState=function(t){this.enabled=t,function t(){a.Be&&(clearTimeout(a.Be),a.Be=null),a.Le?a.Be=setTimeout(function(){t()}):e()}()}}))}.call(u,o,s,c),function(t,e,i,n){var r,s,o=t.streamType,a=t.streamInfo,u=g.call(this,t.token);return u?(o=o,a=a,u=u,r=(e=e).getStream(),s=r?r.getAudioTracks():null,r=r?r.getVideoTracks():null,s=0<s.length&&s[0].enabled,r=0<r.length&&r[0].enabled,u.includes("audio-only")&&(r=!1),u.includes("video-only")&&(s=!1),e={uri:m.getPCastPrefix()+e.getStreamId(),type:o,audioState:(s?d.states.trackEnabled:d.states.trackDisabled).name,videoState:(r?d.states.trackEnabled:d.states.trackDisabled).name},delete(o=l.assign({},a,{streamToken:void 0,streamTokenForBroadcastStream:void 0,streamTokenForLiveStream:void 0})).streamToken,delete o.streamTokenForBroadcastStream,delete o.streamTokenForLiveStream,0<(s=l.reduce(o,function(t,e,i){return t+(t?"&":"?")+i+"="+e},"")).length&&(e.uri=e.uri+s),r=e,a=u.join(","),o=r.uri.indexOf("?"),s=-1<o?"&":"?",o=r.uri.indexOf("#",-1===o?r.uri.length:o),e=-1===o?r.uri:r.uri.substring(0,o),o=-1===o?"":r.uri.substring(o),r.uri=e+s+"capabilities="+a+o,u=r,e=v.call(this,i.getRoomId(),i.getObservableAlias().getValue()),s=l.assign({},t,{streams:b.call(this,u,i)}),k.call(this,s.streams,s.memberRole,e,i,s,n)):n(new Error("Bad `token`"),{status:"bad-token"})}.call(u,r,e.publisher,s,c)}var o,a,u=this,c=function(t,e){i(t,e&&l.assign({publisher:o},e))};if(l.get(r,["mediaConstraints","screen"],!1))return l.set(r,["streamInfo","isScreen"],!0),this.Pe.publishScreen(r,t);this.Pe.publish(r,t)}.call(s,e,t,function(t,e){r(t,e&&l.assign({roomService:i.roomService},e))})}n.viewerStreamSelectionStrategy&&u.isStringNotEmpty(n.viewerStreamSelectionStrategy,"options.viewerStreamSelectionStrategy"),u.isValidType(n.streamType,c.types,"options.streamType"),u.isValidType(n.memberRole,p.roles,"options.memberRole");var s=this,t=this.Pe.parseRoomOrChannelIdFromToken(n.token),e=this.Pe.parseRoomOrChannelAliasFromToken(n.token),o=(this.u.info("[%s] [%s] RoomId and Alias read from token [%s]",t,e,n.token),v.call(s,t,e));o?i(o.getObservableActiveRoom().getValue(),{roomService:o}):(o=l.assign({},n,{role:p.roles.audience.name,roomId:t,alias:e}),y.call(this,o,function(t,e){return t?r(t):"ok"!==e.status?r(null,e):void i(e.roomService.getObservableActiveRoom().getValue(),e)},function(){return null}))},n.prototype.publishScreenToRoom=function(t,e){t=l.assign({mediaConstraints:{screen:!0}},t);this.publishToRoom(t,e)},n.prototype.subscribeToMemberStream=function(i,t,r){if(u.isObject(i,"memberStream"),u.isObject(t,"options"),u.isFunction(r,"callback"),"capabilities"in t)throw new Error('"options.capabilities" is no longer supported. Please use "options.token" instead.');if(!(e=g.call(this,t.token)))return this.u.warn("Failed to parse the `token` [%s]",t.token),r(new Error("Bad `token`"),{status:"bad-token"});var s=i.getPCastStreamId();if(!s)throw this.u.error("Invalid Member Stream. Unable to parse streamId from uri"),new Error("Invalid Member Stream. Unable to parse streamId from uri");var e=this.Pe.getPCast().getSupportedFeatureAndCapabilityFromCapabilities(e);if("ok"!==e.status)return this.u.warn("[%s] Subscribing to member stream failed: [%s].",s,e.status),r(null,{status:e.status});this.u.info("Subscribing to member stream with feature [%s] and token [%s]",e.feature,!!t.token);var e=l.assign({},{streamId:s,token:t.token},t),t=i.getInfo(),t=l.get(t,["isScreen"],!1),o=new h.DisposableList;!function(t,e,n){function i(t,e){var i;return t?n(t):"ok"!==e.status&&"streaming-not-ready"!==e.status?n(null,e):(s++,"streaming-not-ready"===e.status&&s<3?(t=s*s*1e3,r.u.info("Waiting for [%s] ms before retrying after [streaming-not-ready] status.",t),i=setTimeout(e.retry,t),void r.q.add(new h.Disposable(function(){clearTimeout(i)}))):"streaming-not-ready"===e.status&&3<=s?n(null,{status:e.status}):(t=l.assign({},e,{status:"ok"}),1<s?(t.reason="stream-failure-recovered",n(null,t)):void n(null,t)))}var r=this,s=0;return e?r.Pe.subscribeToScreen(t,i):r.Pe.subscribe(t,i)}.call(this,e,t,function(t,n){if(o.dispose(),n&&"ok"===n.status&&n.mediaStream&&n.mediaStream.getStream()&&(o.add(i.getObservableAudioState().subscribe(function(t){var e=n.mediaStream.getMonitor(),i=n.mediaStream.getStream().getAudioTracks();e&&1===i.length&&e.setMonitorTrackState(i[0],t===d.states.trackEnabled.name)},{initial:"notify"})),o.add(i.getObservableVideoState().subscribe(function(t){var e=n.mediaStream.getMonitor(),i=n.mediaStream.getStream().getVideoTracks();e&&1===i.length&&e.setMonitorTrackState(i[0],t===d.states.trackEnabled.name)},{initial:"notify"}))),t&&6===parseInt(t.category))return r(t,{status:"device-insecure"});var e=l.assign({originStreamId:s},n);r(t,e)})},n}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1)],e=function(s,n){"use strict";var o="most-recent";function t(t,e,i){t&&n.isStringNotEmpty(t,"selectionStrategy"),n.isObject(e,"logger"),this.je=t||o,this.u=e,this._e=s.get(i,["failureCountForBanningAMember"],100),this.Ve=s.get(i,["banMemberOnCapacityFailureCount"],5),this.reset()}function a(t){return t?t.getSessionId()+t.getObservableScreenName().getValue():""}function u(t){return h(t.getObservableScreenName().getValue())}function c(t){return d(t.getObservableScreenName().getValue())}function h(t){return/primary/i.test(t)}function d(t){return/alternate/i.test(t)}return t.prototype.getNext=function(t){this.u.info("Select member from [%s]",t);var e=function(t){var i,n,e,r=this;switch(this.je){case o:return e=s.reduce(t,function(t,e){var i=a(e);return s.get(r.We,[i],!1)||t.push(e),t},[]),s.reduce(e,function(t,e){return t&&t.getLastUpdate()>e.getLastUpdate()?t:e});case"high-availability":return this.ze&&s.includes(t,this.ze)?this.ze:(i=void 0,n=Number.MAX_VALUE,s.forEach(t,function(t){var e=a(t);s.get(r.We,[e],!1)||((e=s.get(r.He,[t],0))<n?(n=e,i=t):e===n&&(i?u(t)?u(i)||(i=t):!c(t)||u(i)||c(i)||(i=t):i=t))}),i);default:throw new Error("Invalid Selection Strategy")}}.call(this,t);return e?this.u.info("Selecting new member [%s]/[%s]",e.getSessionId(),e.getObservableScreenName().getValue()):this.u.info("Unable to select new member from [%s]",t),this.ze=e},t.prototype.getStrategy=function(){return this.je},t.prototype.markFailed=function(t){if(this.ze){var e=a(this.ze);if(s.get(t,["failedDueToCapacity"],!1)){t=s.get(this.Ge,[e],0);if(s.set(this.Ge,[e],++t),t>=this.Ve)return this.u.info("Disabling member [%s] that has exceeded threshold due to [%s] capacity failures",e,t),this.markDead()}t=s.get(this.He,[e],0);if(this.u.info("Failure count for member [%s] is now [%s]",e,++t),s.set(this.He,[e],t),t>=this._e)return this.u.info("Disabling member [%s] that has exceeded threshold due to [%s] failures",e,t),this.markDead();this.ze=null}else this.u.warn("Marking failed member but there was no recent selected member")},t.prototype.markDead=function(){var t;this.ze?(t=a(this.ze),this.u.info("Member [%s] is now permanently removed",t),s.set(this.We,[t],!0),this.ze=null):this.u.warn("Marking dead member but there was no recent selected member")},t.prototype.getNumberOfMembersWithFailures=function(){return s.keys(this.He).length},t.prototype.reset=function(){this.ze=null,this.He={},this.Ge={},this.We={}},t.prototype.dispose=function(){this.reset()},t.getSimilarMembers=function(e,i,t){var t=s.filter(t,function(t){return t.getObservableScreenName().getValue()!==e&&(!i||t.getSessionId()!==i)}),n=s.filter(t,u),r=s.filter(t,c);return h(e)?n||r||t:d(e)?r||n||t:t||n||r},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1)],e=function(t,e){"use strict";function i(t){e.isObject(t,"room"),this.Ke=t}return i.prototype.getChannelId=function(){return this.Ke.getRoomId.apply(this.Ke,arguments)},i.prototype.getObservableAlias=function(){return this.Ke.getObservableAlias.apply(this.Ke,arguments)},i.prototype.getObservableName=function(){return this.Ke.getObservableName.apply(this.Ke,arguments)},i.prototype.getObservableDescription=function(){return this.Ke.getObservableDescription.apply(this.Ke,arguments)},i.prototype.getObservableType=function(){return this.Ke.getObservableType.apply(this.Ke,arguments)},i.prototype.getObservableMembers=function(){return this.Ke.getObservableMembers.apply(this.Ke,arguments)},i.prototype.getObservableBridgeId=function(){return this.Ke.getObservableBridgeId.apply(this.Ke,arguments)},i.prototype.getObservablePin=function(){return this.Ke.getObservablePin.apply(this.Ke,arguments)},i.prototype.toString=function(){return this.Ke.toString.apply(this.Ke,arguments)},i.prototype.toJson=function(){return{channelId:this.Ke.getRoomId(),alias:this.Ke.getObservableAlias().getValue(),name:this.Ke.getObservableName().getValue(),description:this.Ke.getObservableDescription().getValue(),type:this.Ke.getObservableType().getValue(),pin:this.Ke.getObservablePin().getValue(),bridgeId:this.Ke.getObservableBridgeId().getValue()}},i.prototype.commitChanges=function(){return this.Ke.commitChanges.apply(this.Ke,arguments)},i.prototype.reload=function(){return this.Ke.reload.apply(this.Ke,arguments)},i.prototype.A=function(){return this.Ke.A.apply(this.Ke,arguments)},i.prototype.Jt=function(){return this.Ke.Jt.apply(this.Ke,arguments)},i.prototype.Kt=function(){return this.Ke.Kt.apply(this.Ke,arguments)},i.prototype.Qt=function(){return this.Ke.Qt.apply(this.Ke,arguments)},i}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(7),i(21),i(2),i(27),i(64),i(68),i(32),i(33),i(34),i(72)],e=function(t,e,i,n,r,s,o,a,u,c){"use strict";return{express:{PCastExpress:a,RoomExpress:u,ChannelExpress:c},lowLevel:{PCast:i.global.PhenixPCast=e,RoomService:n},media:{AudioSpeakerDetector:r,UserMediaResolver:o},utils:{BandwidthMonitor:s,logging:t,rtc:i},AudioSpeakerDetector:r,BandwidthMonitor:s,logging:t,PCast:e,RoomService:n,RTC:i,UserMediaResolver:o}}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(11),i(39)],e=function(t,e,i,n){function r(){this.Je={}}return r.prototype.getAppender=function(t){var e=i.getEnvironmentFromUrl(t||""),t=i.getTelemetryServerUri(t);return this.Je[e]||(this.Je[e]=function(t){var e=new n(t);return t||e.setEnabled(!1),e}.call(this,t)),this.Je[e]},new r}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(7),i(16),i(2),i(22)],e=function(c,h,e,i,n,r){function t(t){h.isString(t,"uri"),this.Qe="object"==typeof location?location.hostname:n.browser+"-"+n.browserVersion+"-unknown",this.Xe=e.level.TRACE,this.$e=!0,this.Ye=(n.browser||"Browser")+"/"+(n.browserVersion||"?"),this.Ze=0,this.ti=new i.BatchHttpProto(t+"/logs",[r],"telemetry.StoreLogRecords",{maxAttempts:3,maxBufferedRecords:1e3,maxBatchSize:512}),this.ti.on("capacity",c.bind(s,this))}function s(t){this.ti.addRecordToBeginning({level:"Warn",timestamp:c.isoString(),category:"websdk/telemetryLogger",message:"Deleted "+t+" records",source:this.Ye,fullQualifiedName:this.Qe,sessionId:this.ei,userId:this.ii,environment:this.ni,version:this.ri,runtime:this.Ze})}return t.prototype.setThreshold=function(t){h.isNumber(t,"level"),this.Xe=t},t.prototype.getThreshold=function(){return this.Xe},t.prototype.isEnabled=function(){return this.$e},t.prototype.setEnabled=function(t){h.isBoolean(t,"enabled"),this.$e=t},t.prototype.log=function(t,e,i,n,r,s,o,a,u){u.level<this.Xe||!this.$e||(h.isArray(n,"messages"),this.Ze=t,this.ei=r,this.ii=s,this.ri=a,this.ni=o,function(t,e,i){this.ti.addRecord({level:t,timestamp:c.isoString(),category:e,message:i.join(" "),source:this.Ye,fullQualifiedName:this.Qe,sessionId:this.ei,userId:this.ii,environment:this.ni,version:this.ri,runtime:this.Ze})}.call(this,e,i,n))},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(3),i(41),i(8)],e=function(s,h,o,t){"use strict";function u(){console.error.apply(console,arguments)}var a=window,c=function(){console.log.apply(console,arguments)};function e(t,e,i){function n(t){r.si=!0,r.oi=!0===t,t?l.call(r):u("Failed to create Phenix video element"),r.ai&&r.ai(r.oi)}var r=this;this.ui=t,this.ci=e,this.oe=i||{},this.hi={},this.q=new h.DisposableList,this.di=null;try{this.li=function(){this.di=new o(this.ui,this.ci,this.oe);var t=this;return this.q.add(new h.Disposable(function(){t.di.destroy()})),this.di.getElement()}.call(this),this.li.className=this.ui.className,this.li.height=this.ui.height,this.li.width=this.ui.width,this.fi=this.ui.style.cssText,this.ui.style.cssText="visibility:hidden !important;width:0px !important;height:0px !important;margin:0px !important;padding:0px !important;border-style:none !important;border-width:0px !important;max-width:0px !important;max-height:0px !important;outline:none !important",this.q.add(new h.Disposable(function(){r.ui.style.cssText=r.fi})),this.li.onunload=function(){r.si=!1},function(){var t,e,n=this;s.get(a,["MutationObserver"])?((t=new MutationObserver(function(t){t.forEach(function(t){if("childList"===t.type)for(var e=0;e<t.addedNodes.length;e++){var i=t.addedNodes[e];t.target!==n.li&&(i===n.ui?(t.target.replaceChild(n.li,n.ui),l.call(n)):function(t){for(var e=n.ui.parentNode;null!==e;){if(e===t)return 1;e=e.parentNode}}(t.target)&&(n.ui.parentNode&&n.ui.parentNode.replaceChild(n.li,n.ui),l.call(n)))}})})).observe(document.body,{childList:!0,attributes:!1,characterData:!1,subtree:!0}),n.q.add(new h.Disposable(function(){t.disconnect()}))):(c("Falling back to use of DOM event listeners. This results in degraded performance for further DOM modifications and does not work for IE prior to version 9. See https://developer.mozilla.org/en-US/docs/Web/Guide/Events/Mutation_events for details."),n.addEventListener("DOMNodeInserted",e=function(){n.ui.parentNode&&n.ui.parentNode.replaceChild(n.li,n.ui)},!1),n.q.add(new h.Disposable(function(){n.removeEventListener("DOMNodeInserted",e,!1)})))}.call(this),document.body&&document.body.contains||c("document.body.contains is not supported"),document.body&&document.body.contains&&document.body.contains(this.ui)&&(this.ui.parentNode.replaceChild(this.li,this.ui),this.di&&(this.li=this.di.finishInitializationInDom()),this.q.add(new h.Disposable(function(){r.li.parentNode&&r.li.parentNode.replaceChild(r.ui,r.li)}))),(new m).waitForReady(this.li,n)}catch(t){u("Error while loading Phenix RTC"+t),n(!1)}}function i(i){var n=this;n.li.phenixSetEventListener(i,function(){var t=n.hi[i];if(t)for(var e=0;e<t.length;e++)t[e].apply(n,arguments)})}function d(t,e){var i;document.createEvent?(i=document.createEvent("HTMLEvents")).initEvent(e,!0,!0):(i=document.createEventObject()).eventType=e,i.eventName=e,setTimeout(function(){document.createEvent?t.dispatchEvent(i):t.fireEvent("on"+i.eventType,i)})}function l(){for(var t=Object.keys(this.hi),e=0;e<t.length;e++)i.call(this,t[e]);this.hookUpEvents(),function(){var t,e,i=this,n=["style"];s.get(a,["MutationObserver"])?((t=new MutationObserver(function(t){t.forEach(function(t){"attributes"===t.type&&t.target===i.ui&&-1===n.indexOf(t.attributeName)&&(i.li[t.attributeName]=i.ui[t.attributeName])})})).observe(i.ui,{attributes:!0}),i.q.add(new h.Disposable(function(){t.disconnect()}))):(c("Falling back to use of DOM event listeners. This results in degraded performance for further DOM modifications and does not work for IE prior to version 9. See https://developer.mozilla.org/en-US/docs/Web/Guide/Events/Mutation_events for details."),e=function(t){i.li[t.target.tagName]=i.ui[t.target.tagName]},i.ui.addEventListener?(i.ui.addEventListener("DOMAttrModified",e,!1),i.q.add(new h.Disposable(function(){i.ui.removeEventListener("DOMAttrModified",e,!1)}))):(i.ui.attachEvent("onpropertychange",e),i.q.add(new h.Disposable(function(){i.ui.detachEvent("DOMAttrModified",e)}))))}.call(this),this.li.id=this.ui.id,this.li.style.cssText=this.fi,this.li.className=this.ui.className,this.li.innerHtml=this.ui.innerHtml,this.li.width=this.ui.width,this.li.height=this.ui.height,this.li.autoplay=this.ui.autoplay,this.li.muted=this.ui.muted,this.li.defaultMuted=this.ui.defaultMuted,this.li.volume=this.ui.volume}e.prototype.hookUpEvents=function(){function t(){d(u,"error")}function e(){u.muted=a.li.muted,d(u,"mute")}function i(){u.muted=a.li.muted,d(u,"unmute")}function n(){u.ended=a.li.ended,d(u,"ended")}function r(){u.width=a.li.width,u.height=a.li.height,d(u,"loadedmetadata")}function s(){u.width=a.li.width,u.height=a.li.height,d(u,"loadeddata")}function o(){u.width=a.li.width,u.height=a.li.height,d(u,"resize")}var a=this,u=this.ui,c=(this.addEventListener("error",t),this.addEventListener("mute",e),this.addEventListener("unmute",i),this.addEventListener("ended",n),this.addEventListener("loadedmetadata",r),this.addEventListener("loadeddata",s),this.addEventListener("resize",o),new h.Disposable(function(){a.removeEventListener("error",t),a.removeEventListener("mute",e),a.removeEventListener("unmute",i),a.removeEventListener("ended",n),a.removeEventListener("loadedmetadata",r),a.removeEventListener("loadeddata",s),a.removeEventListener("resize",o)}));return this.q.add(c),c},e.prototype.onReady=function(t){var e=this;this.si?setTimeout(function(){t(e.oi)},1):this.ai=t},e.prototype.getElement=function(){return this.li},e.prototype.addEventListener=function(t,e,i){!function(t,e){return this.di.addEventListener(t,e)}.call(this,t,e,i)},e.prototype.removeEventListener=function(t,e,i){!function(t,e){return this.di.removeEventListener(t,e)}.call(this,t,e,i)},e.prototype.destroy=function(){this.q.dispose()};var f=new t(navigator.userAgent).detect();function m(t){this.mi=t||15e3}return m.prototype.waitForReadyWithTimeout=function(e,i,n){function r(t){s||(s=!0,i(t))}var s=!1,o=1,a=o;Object.prototype.hasOwnProperty&&Object.prototype.hasOwnProperty.call(e,"onload")||"IE"!==f.browser&&u("No means of detecting when <object> is loaded"),e.onload=function(){r(!0)},function t(){if(4===e.readyState)return r(!0);o=Math.min(o+1e3,2*o),n<(a+=o)?(u("Timed out while waiting for <object> to load"),r(!1)):setTimeout(t,o)}()},m.prototype.waitForReady=function(t,e){this.waitForReadyWithTimeout(t,e,this.mi)},e}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(8),i(3),i(5)],e=function(a,t,r,s){"use strict";var u=window,o=function(){console.log.apply(console,arguments)},e={width:480,height:360,videoWidth:480,videoHeight:360,muted:!1,volume:1,currentTime:0,duration:1/0,readyState:0,ended:!1,buffered:null,autoplay:!0},n=300,c=new t(navigator.userAgent).detect(),h="IE"===c.browser&&/(trident|microsoft)/i.test(a.get(u.navigator,["appName"],"")),d="Edge"===c.browser&&a.get(u.navigator,"msLaunchUri")&&!a.get(u.document,"documentMode");function i(t,e,i){this.q=new r.DisposableList,this.hi=new s.NamedEvents,this.pi="video"===t.tagName,this.gi=i.swfSrc,this.vi=t.id||i.streamId,this.yi=t.clientWidth,this.wi=t.clientHeight,this.ui=t,this.bi=null,this.ki=[],this.Si=["uid="+this.vi,"autoplay="+(!!a.isUndefined(t.autoplay)||t.autoplay),"muted="+(!a.isUndefined(t.muted)&&t.muted),"allowScriptAccess=always","preload=true","src="+JSON.stringify(e)];var n=this;this.q.add(new r.Disposable(function(){g.call(n,"fire_stop")}));try{this.bi=(h||d?function(){return document.createElement("div")}:function(){var t=document.createElement("embed");return t.setAttribute("id","__"+this.vi),t.setAttribute("name","__"+this.vi),t.setAttribute("play","true"),t.setAttribute("loop","false"),t.setAttribute("quality","high"),t.setAttribute("bgcolor","#000000"),t.setAttribute("wmode","transparent"),t.setAttribute("allowScriptAccess","always"),t.setAttribute("allowFullScreen","true"),t.setAttribute("type","application/x-shockwave-flash"),t.setAttribute("pluginspage","//www.macromedia.com/go/getflashplayer"),t.setAttribute("src",this.gi),t.setAttribute("flashvars",this.Si.join("&")),this.pi&&(t.setAttribute("width",this.yi.toString()),t.setAttribute("height",this.wi.toString())),t}).call(this),m.call(this)}catch(t){!function(){console.error.apply(console,arguments)}("Error while loading Flash Player"+t)}}function l(e,i){return a.findIndex(this.ki,function(t){return t.name===e&&t.listener===i})}function f(t,e){var i=document.createElement("param");return i.setAttribute("name",t),i.setAttribute("value",e),i}function m(){a.assign(this.bi,e,{id:this.vi,width:this.yi,height:this.wi,videoWidth:this.yi,videoHeight:this.wi}),function(){function t(){g.call(o,"set_size",o.Ii?screen.width:o.bi.clientWidth,o.Ii?screen.height:o.bi.clientHeight)}var o=this,e=(u["__event__"+this.vi]=function(t,e){i=t,n=o.bi,r=i.match(/([a-z]+\.([a-z]+))/i),n={target:n},null!==r&&(i=r[1],n.namespace=r[2]);var i,n,r,s="IE"===c.browser&&8<c.version?((r=u.document.createEvent("CustomEvent")).initCustomEvent(i,!1,!1,n),r):u.CustomEvent?new u.CustomEvent(i,{detail:n}):n;if(e)try{s.data=JSON.parse(e),s.details.data=s.data}catch(t){s.message=e}switch(t){case"ended":break;case"error":o.bi.error=s.data,o.bi.dispatchEvent&&o.bi.dispatchEvent(new Error(e));break;case"loadeddata":case"loadedmetadata":case"loadstart":o.bi.dispatchEvent&&o.bi.dispatchEvent(s);break;case"pause":o.bi.paused=!0;break;case"play":case"playing":o.bi.paused=!1;break;case"progress":case"seeked":case"seeking":case"stalled":case"suspend":o.bi.dispatchEvent&&o.bi.dispatchEvent(s);break;case"timeupdate":o.bi.currentTime=function(t){return(this.bi["get_"+t]||a.noop).call(this.bi)}.call(o,"currentTime"),o.bi.dispatchEvent&&o.bi.dispatchEvent(s)}o.hi.fireAsync(t,[s])},this.bi.requestFullscreen||this.bi.mozRequestFullScreen||this.bi.webkitRequestFullScreen||this.bi.msRequestFullscreen);this.q.add(new r.Disposable(function(){delete u["__event__"+o.vi]})),this.bi.play=function(){g.call(o,"fire_play")},this.bi.load=function(){g.call(o,"fire_load")},this.bi.seek=function(){g.call(o,"fire_seek")},this.bi.pause=function(){g.call(o,"fire_pause")},this.bi.requestFullscreen=function(){var t;o.Ii=!0,function(){var t=this;function e(){document.webkitIsFullScreen||document.mozFullScreen||document.msFullscreenElement||document.fullscreenElement||(document.removeEventListener("webkitfullscreenchange",e),document.removeEventListener("mozfullscreenchange",e),document.removeEventListener("fullscreenchange",e),document.removeEventListener("MSFullscreenChange",e),document.removeEventListener("keydown",i),t.Ii=!1,t.bi.style.position=t.Ri,t.bi.style.height=t.Ti,t.bi.style.width=t.qi)}function i(t){t=t||u.event;("key"in t?"Escape"===t.key||"Esc"===t.key:27===t.keyCode)&&e()}document.addEventListener("webkitfullscreenchange",e,!1),document.addEventListener("mozfullscreenchange",e,!1),document.addEventListener("fullscreenchange",e,!1),document.addEventListener("MSFullscreenChange",e,!1),document.addEventListener("keydown",i,!1)}.call(o),o.Ti=o.bi.style.height,o.qi=o.bi.style.width,o.Ri=o.bi.style.position,o.bi.style.position="absolute",o.bi.style.height="100%",o.bi.style.width="100%",void 0!==u.ActiveXObject&&null!==(t=new u("WScript.Shell"))&&t.SendKeys("{F11}"),e.call(o.bi)},a.addEventListener(u,"resize",t),this.q.add(new r.Disposable(function(){a.removeEventListener(u,"resize",t)}))}.call(this),function(){var t,e,i=this,n=["currentTime","paused","error","src"];a.get(u,["MutationObserver"])?((t=new MutationObserver(function(t){t.forEach(function(t){"attributes"!==t.type||t.target!==i.bi||a.includes(n,t.attributeName)||p.call(i,t.attributeName,i.bi[t.attributeName])})})).observe(i.bi,{attributes:!0}),i.q.add(new r.Disposable(function(){t.disconnect()}))):(o("Falling back to use of DOM event listeners. This results in degraded performance for further DOM modifications and does not work for IE prior to version 9. See https://developer.mozilla.org/en-US/docs/Web/Guide/Events/Mutation_events for details."),e=function(t){a.includes(n,t.target.tagName)||p.call(i,t.target.tagName,i.bi[t.target.tagName])},i.bi.addEventListener?(i.bi.addEventListener("DOMAttrModified",e,!1),i.q.add(new r.Disposable(function(){i.bi.removeEventListener("DOMAttrModified",e,!1)}))):(i.bi.attachEvent("onpropertychange",e),i.q.add(new r.Disposable(function(){i.bi.detachEvent("DOMAttrModified",e)}))))}.call(this),function(){var t=function(){var i=this,n=i.ui.muted,r=i.bi.muted;return function(){var t=i.bi.muted,e=i.bi.muted;t===n&&e===r||((e=t!==n?r=n=t:e)!==r&&(r=n=t),i.bi.muted=e,i.ui.muted=e,p.call(i,"muted",e))}}.call(this),e=function(){var i=this,n=i.ui.volume,r=i.bi.volume;return function(){var t=i.bi.volume,e=i.bi.volume;t===n&&e===r||((e=t!==n?r=n=t:e)!==r&&(r=n=t),i.bi.volume=e,i.ui.volume=e,p.call(i,"volume",e))}}.call(this),i=setInterval(function(){t(),e()},n);this.q.add(new r.Disposable(function(){clearInterval(i)}))}.call(this)}function p(t,e){return(this.bi["set_"+t]||a.noop).call(this.bi,e)}function g(t){t=this.bi[t];if([].shift.apply(arguments),t)return t.apply(this.bi,arguments)}return i.prototype.finishInitializationInDom=function(){return function(){var t,i,e,n;return(h||d)&&(t=(d?"__"+this.vi:this.vi)+a.uniqueId(),i=document.createElement("object"),e=document.createElement("div"),n=[f("movie",this.gi+"?x="+a.now()),f("flashvars",this.Si.join("&")),f("quality",2),f("bgcolor","#000000"),f("wmode","transparent"),f("allowScriptAccess","always"),f("allowFullScreen","true"),e],e.innerHTML="You are using a browser that does not have Flash player enabled or installed. Please turn on your Flash player plugin or download the latest version from https://get.adobe.com/flashplayer/",d?(i.setAttribute("type","application/x-shockwave-flash"),i.setAttribute("data",this.gi),i.setAttribute("id",t),i.setAttribute("width","__"+this.yi.toString()),i.setAttribute("height","__"+this.wi.toString())):(i.setAttribute("classid","clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"),i.setAttribute("codebase","//download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab"),i.setAttribute("id",t),i.setAttribute("width",this.yi.toString()),i.setAttribute("height",this.wi.toString())),i.object?(a.forEach(n,function(t){a.isNullOrUndefined(a.get(i.object,[t.name]))||(i.object[t.name]=t.value)}),i.appendChild(e)):a.forEach(n,function(e){var t=a.find(i.children,function(t){return t.name===e.name});return t?i.replaceChild(e,t):i.appendChild(e)}),this.bi.outerHTML=i.outerHTML,u.document.getElementById)&&(this.bi=u.document.getElementById(t),m.call(this)),this.bi}.call(this)},i.prototype.getElement=function(){return this.bi},i.prototype.addEventListener=function(t,e){var i;-1<l.call(this,t,e)||(i=this.hi.listen(t,e),this.q.add(i),this.ki.push({name:t,listener:e,disposable:i}))},i.prototype.removeEventListener=function(t,e){t=l.call(this,t,e);-1<t&&this.ki.splice(t,1)[0].disposable.dispose()},i.prototype.destroy=function(){this.q.dispose()},i}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(4),i(16),i(2),i(43),i(44)],e=function(a,u,r,s,c,o,h){"use strict";function t(t,e,i,n){u.isStringNotEmpty(t,"uri"),u.isString(e,"deviceId"),u.isStringNotEmpty(i,"version"),u.isObject(n,"logger"),this.B=e,this.R=i,this.u=n,this.Ei=new s.MQWebSocket(t,this.u,[o,h],5),this.L=new r.Observable(null).extend({rateLimit:0})}return t.prototype.onEvent=function(t,e){return this.Ei.onEvent(t,e)},t.prototype.disconnect=function(){return this.L.setValue(null),this.Ei.disconnect()},t.prototype.authenticate=function(t,n){u.isStringNotEmpty(t,"authToken"),u.isFunction(n,"callback");var t={apiVersion:this.Ei.getApiVersion(),clientVersion:this.R,deviceId:this.B,platform:c.browser,platformVersion:c.browserVersion.toString(),authenticationToken:t},r=(this.getSessionId()&&(t.sessionId=this.getSessionId()),this);return this.Ei.sendRequest("pcast.Authenticate",t,function(t,e){var i;return e&&((i=r.L.getValue())&&i!==e.sessionId&&r.Ei.disposeOfPendingRequests(),r.L.setValue(e.sessionId)),n(t,e)})},t.prototype.getSessionId=function(){return this.L.getValue()},t.prototype.getObservableSessionId=function(){return this.L},t.prototype.bye=function(t,e){u.isStringNotEmpty(t,"reason"),u.isFunction(e,"callback");t={sessionId:this.getSessionId(),reason:t};return this.Ei.sendRequest("pcast.Bye",t,e)},t.prototype.setupStream=function(t,e,i,n,r){u.isStringNotEmpty(t,"streamType"),u.isStringNotEmpty(e,"streamToken"),u.isObject(i,"options"),u.isFunction(r,"callback");var s=c.browser||"UnknownBrowser",o=s+"-"+(c.browserVersion||0),n="rtt[http]="+n,e={streamToken:e,createStream:{sessionId:this.getSessionId(),options:["data-quality-notifications",n],connectUri:i.connectUri,connectOptions:i.connectOptions||[],tags:i.tags||[],userAgent:a.get(c,["global","navigator","userAgent"],o)}};return i.originStreamId&&(e.createStream.originStreamId=i.originStreamId),i.negotiate&&(e.createStream.createOfferDescription={streamId:"",options:[t,s,o],apiVersion:this.Ei.getApiVersion()},"undefined"!=typeof screen)&&e.createStream.createOfferDescription.options.push("screen="+screen.width+"x"+screen.height),!1===i.receiveAudio&&e.createStream.options.push("no-audio"),!1===i.receiveVideo&&e.createStream.options.push("no-video"),this.Ei.sendRequest("pcast.SetupStream",e,r)},t.prototype.setAnswerDescription=function(t,e,i){u.isStringNotEmpty(t,"streamId"),u.isStringNotEmpty(e,"sdp"),u.isFunction(i,"callback");t={streamId:t,sessionDescription:{type:"Answer",sdp:e},apiVersion:this.Ei.getApiVersion()};return this.Ei.sendRequest("pcast.SetRemoteDescription",t,i)},t.prototype.addIceCandidates=function(t,e,i,n){u.isStringNotEmpty(t,"streamId"),u.isArray(e,"candidates"),u.isObject(i,"options"),u.isFunction(n,"callback");t={streamId:t,candidates:a.map(e,function(t,e){return u.isStringNotEmpty(t.candidate,"candidate["+e+"].candidate"),u.isNumber(t.sdpMLineIndex,"candidate["+e+"].sdpMLineIndex"),u.isStringNotEmpty(t.sdpMid,"candidate["+e+"].sdpMid"),{candidate:t.candidate,sdpMLineIndex:t.sdpMLineIndex,sdpMid:t.sdpMid}}),options:i,apiVersion:this.Ei.getApiVersion()};return this.Ei.sendRequest("pcast.AddIceCandidates",t,n)},t.prototype.updateStreamState=function(t,e,i,n,r){u.isStringNotEmpty(t,"streamId"),u.isStringNotEmpty(e,"signalingState"),u.isStringNotEmpty(i,"iceGatheringState"),u.isStringNotEmpty(n,"iceConnectionState"),u.isFunction(r,"callback");t={streamId:t,signalingState:e,iceGatheringState:i,iceConnectionState:n,apiVersion:this.Ei.getApiVersion()};return this.Ei.sendRequest("pcast.UpdateStreamState",t,r)},t.prototype.destroyStream=function(t,e,i){return u.isStringNotEmpty(t,"streamId"),u.isString(e,"reason"),u.isFunction(i,"callback"),this.Ei.sendRequest("pcast.DestroyStream",{streamId:t,reason:e},i)},t.prototype.getRoomInfo=function(t,e,i){t?u.isString(t,"roomId"):u.isString(e,"alias"),u.isFunction(i,"callback");t={roomId:t,alias:e,sessionId:this.getSessionId()};return this.Ei.sendRequest("chat.GetRoomInfo",t,i)},t.prototype.enterRoom=function(t,e,i,n,r,s){t?u.isString(t,"roomId"):u.isString(e,"alias"),u.isObject(i,"member"),u.isNumber(r,"timestamp"),u.isArray(n,"options"),u.isFunction(s,"callback");t={roomId:t,alias:e,sessionId:this.getSessionId(),member:i,options:n,timestamp:r};return this.Ei.sendRequest("chat.JoinRoom",t,s)},t.prototype.leaveRoom=function(t,e,i){u.isString(t,"roomId"),u.isNumber(e,"timestamp"),u.isFunction(i,"callback");t={roomId:t,sessionId:this.getSessionId(),timestamp:e};return this.Ei.sendRequest("chat.LeaveRoom",t,i)},t.prototype.updateMember=function(t,e,i,n){u.isStringNotEmpty(t,"roomId"),u.isObject(e,"member"),u.isNumber(i,"timestamp"),u.isFunction(n,"callback"),e.updateStreams=Object.prototype.hasOwnProperty.call(e,"streams");t={sessionId:this.getSessionId(),roomId:t,member:e,timestamp:i};return this.Ei.sendRequest("chat.UpdateMember",t,n)},t.prototype.updateRoom=function(t,e,i){u.isObject(t,"room"),u.isNumber(e,"timestamp"),u.isFunction(i,"callback");t={sessionId:this.getSessionId(),room:t,timestamp:e};return this.Ei.sendRequest("chat.UpdateRoom",t,i)},t.prototype.sendMessageToRoom=function(t,e,i){return u.isStringNotEmpty(t,"roomId"),u.isObject(e,"chatMessage"),this.Ei.sendRequest("chat.SendMessageToRoom",{roomId:t,chatMessage:e},i)},t.prototype.subscribeToRoomConversation=function(t,e,i,n){return u.isStringNotEmpty(t,"sessionId"),u.isStringNotEmpty(e,"roomId"),u.isNumber(i,"batchSize"),this.Ei.sendRequest("chat.FetchRoomConversation",{sessionId:t,roomId:e,limit:i,options:["Subscribe"]},n)},t.prototype.getMessages=function(t,e,i,n,r,s){u.isStringNotEmpty(t,"sessionId"),u.isStringNotEmpty(e,"roomId"),r&&n||u.isNumber(i,"batchSize");t={sessionId:t,roomId:e,limit:i||0,options:[]};return r&&(u.isStringNotEmpty(r,"beforeMessageId"),t.beforeMessageId=r),n&&(u.isStringNotEmpty(n,"afterMessageId"),t.afterMessageId=n),this.Ei.sendRequest("chat.FetchRoomConversation",t,s)},t.prototype.toString=function(){return"PCastProtocol["+this.Ei.toString()+"]"},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){e=function(){"use strict";return{package:"pcast",options:{optimize_for:"LITE_RUNTIME"},messages:[{name:"Authenticate",fields:[{rule:"optional",type:"uint32",name:"apiVersion",id:9,options:{default:0}},{rule:"required",type:"string",name:"clientVersion",id:1},{rule:"optional",type:"string",name:"device",id:12},{rule:"required",type:"string",name:"deviceId",id:2},{rule:"optional",type:"string",name:"manufacturer",id:13},{rule:"required",type:"string",name:"platform",id:3},{rule:"required",type:"string",name:"platformVersion",id:4},{rule:"required",type:"string",name:"authenticationToken",id:5},{rule:"optional",type:"string",name:"connectionId",id:6},{rule:"optional",type:"string",name:"connectionRouteKey",id:10},{rule:"optional",type:"string",name:"remoteAddress",id:11},{rule:"optional",type:"string",name:"sessionId",id:7},{rule:"optional",type:"string",name:"applicationId",id:8}]},{name:"AuthenticateResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"string",name:"sessionId",id:2},{rule:"optional",type:"string",name:"redirect",id:3},{rule:"repeated",type:"string",name:"roles",id:4}]},{name:"Bye",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"reason",id:2}]},{name:"ByeResponse",fields:[{rule:"required",type:"string",name:"status",id:1}]},{name:"SessionDescription",fields:[{rule:"required",type:"Type",name:"type",id:1,options:{default:"Offer"}},{rule:"required",type:"string",name:"sdp",id:2}],enums:[{name:"Type",values:[{name:"Offer",id:0},{name:"Answer",id:1}]}]},{name:"CreateStream",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"optional",type:"string",name:"originStreamId",id:2},{rule:"repeated",type:"string",name:"originStreamIds",id:10},{rule:"repeated",type:"string",name:"options",id:3},{rule:"optional",type:"string",name:"connectUri",id:8},{rule:"repeated",type:"string",name:"connectOptions",id:9},{rule:"repeated",type:"string",name:"tags",id:4},{rule:"optional",type:"string",name:"userAgent",id:11},{rule:"optional",type:"SetRemoteDescription",name:"setRemoteDescription",id:5},{rule:"optional",type:"CreateOfferDescription",name:"createOfferDescription",id:6},{rule:"optional",type:"CreateAnswerDescription",name:"createAnswerDescription",id:7}]},{name:"IceServer",fields:[{rule:"repeated",type:"string",name:"urls",id:1},{rule:"optional",type:"string",name:"username",id:2},{rule:"optional",type:"string",name:"credential",id:3}]},{name:"RtcConfiguration",fields:[{rule:"optional",type:"BundlePolicy",name:"bundlePolicy",id:1},{rule:"optional",type:"uint32",name:"iceCandidatePoolSize",id:3},{rule:"repeated",type:"IceServer",name:"iceServers",id:4},{rule:"optional",type:"IceTransportPolicy",name:"iceTransportPolicy",id:5},{rule:"optional",type:"string",name:"peerIdentity",id:6},{rule:"optional",type:"RtcpMuxPolicy",name:"rtcpMuxPolicy",id:7}],enums:[{name:"BundlePolicy",values:[{name:"BundlePolicyBalanced",id:1},{name:"BundlePolicyMaxCompat",id:2},{name:"BundlePolicyMaxBundle",id:3}]},{name:"IceTransportPolicy",values:[{name:"IceTransportPolicyAll",id:1},{name:"IceTransportPolicyPublic",id:2},{name:"IceTransportPolicyRelay",id:3}]},{name:"RtcpMuxPolicy",values:[{name:"RtcpMuxPolicyNegotiate",id:1},{name:"RtcpMuxPolicyRequire",id:2}]}]},{name:"CreateStreamResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"string",name:"streamId",id:2},{rule:"optional",type:"string",name:"instanceRouteKey",id:5},{rule:"repeated",type:"string",name:"streamUris",id:8},{rule:"optional",type:"RtcConfiguration",name:"rtcConfiguration",id:9},{rule:"optional",type:"SetRemoteDescriptionResponse",name:"setRemoteDescriptionResponse",id:3},{rule:"optional",type:"CreateOfferDescriptionResponse",name:"createOfferDescriptionResponse",id:4},{rule:"optional",type:"CreateAnswerDescriptionResponse",name:"createAnswerDescriptionResponse",id:6},{rule:"repeated",type:"string",name:"options",id:7},{rule:"optional",type:"uint64",name:"offset",id:10,options:{default:0}}]},{name:"SetLocalDescription",fields:[{rule:"required",type:"string",name:"streamId",id:1},{rule:"required",type:"SessionDescription",name:"sessionDescription",id:2},{rule:"optional",type:"uint32",name:"apiVersion",id:3,options:{default:0}}]},{name:"SetLocalDescriptionResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"repeated",type:"string",name:"options",id:2}]},{name:"SetRemoteDescription",fields:[{rule:"required",type:"string",name:"streamId",id:1},{rule:"required",type:"SessionDescription",name:"sessionDescription",id:2},{rule:"optional",type:"uint32",name:"apiVersion",id:3,options:{default:0}}]},{name:"SetRemoteDescriptionResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"SessionDescription",name:"sessionDescription",id:2},{rule:"repeated",type:"string",name:"options",id:3}]},{name:"CreateOfferDescription",fields:[{rule:"required",type:"string",name:"streamId",id:1},{rule:"repeated",type:"string",name:"options",id:2},{rule:"optional",type:"uint32",name:"apiVersion",id:3,options:{default:0}}]},{name:"CreateOfferDescriptionResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"SessionDescription",name:"sessionDescription",id:2},{rule:"repeated",type:"string",name:"options",id:3}]},{name:"CreateAnswerDescription",fields:[{rule:"required",type:"string",name:"streamId",id:1},{rule:"repeated",type:"string",name:"options",id:2},{rule:"optional",type:"uint32",name:"apiVersion",id:3,options:{default:0}}]},{name:"CreateAnswerDescriptionResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"SessionDescription",name:"sessionDescription",id:2},{rule:"repeated",type:"string",name:"options",id:3}]},{name:"IceCandidate",fields:[{rule:"required",type:"string",name:"candidate",id:1},{rule:"required",type:"uint32",name:"sdpMLineIndex",id:2},{rule:"required",type:"string",name:"sdpMid",id:3}]},{name:"AddIceCandidates",fields:[{rule:"required",type:"string",name:"streamId",id:1},{rule:"repeated",type:"IceCandidate",name:"candidates",id:2},{rule:"repeated",type:"string",name:"options",id:3},{rule:"optional",type:"uint32",name:"apiVersion",id:4,options:{default:0}}]},{name:"AddIceCandidatesResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"repeated",type:"string",name:"options",id:2}]},{name:"UpdateStreamState",fields:[{rule:"required",type:"string",name:"streamId",id:1},{rule:"required",type:"string",name:"signalingState",id:2},{rule:"required",type:"string",name:"iceGatheringState",id:3},{rule:"required",type:"string",name:"iceConnectionState",id:4},{rule:"optional",type:"uint32",name:"apiVersion",id:5,options:{default:0}}]},{name:"UpdateStreamStateResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"repeated",type:"string",name:"options",id:2}]},{name:"DestroyStream",fields:[{rule:"required",type:"string",name:"streamId",id:1},{rule:"optional",type:"string",name:"reason",id:2},{rule:"repeated",type:"string",name:"options",id:3}]},{name:"DestroyStreamResponse",fields:[{rule:"required",type:"string",name:"status",id:1}]},{name:"ConnectionDisconnected",fields:[{rule:"required",type:"string",name:"connectionId",id:1},{rule:"required",type:"uint32",name:"reasonCode",id:2},{rule:"optional",type:"string",name:"description",id:3}]},{name:"ConnectionDisconnectedResponse",fields:[{rule:"required",type:"string",name:"status",id:1}]},{name:"StreamStarted",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"streamId",id:2},{rule:"repeated",type:"string",name:"tags",id:3}]},{name:"SourceStreamStarted",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"streamId",id:2},{rule:"repeated",type:"string",name:"capabilities",id:3},{rule:"repeated",type:"string",name:"tags",id:4}]},{name:"StreamEnded",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"streamId",id:2},{rule:"required",type:"string",name:"reason",id:3},{rule:"repeated",type:"string",name:"tags",id:4},{rule:"optional",type:"string",name:"continuationId",id:5},{rule:"optional",type:"string",name:"routeKey",id:6}]},{name:"SourceStreamEnded",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"streamId",id:2},{rule:"required",type:"string",name:"reason",id:3},{rule:"repeated",type:"string",name:"capabilities",id:4},{rule:"repeated",type:"string",name:"tags",id:5}]},{name:"StreamEndedResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"string",name:"continuationId",id:2},{rule:"optional",type:"string",name:"routeKey",id:3}]},{name:"StreamIdle",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"streamId",id:2},{rule:"repeated",type:"string",name:"options",id:3},{rule:"repeated",type:"string",name:"tags",id:4}]},{name:"StreamArchived",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"streamId",id:2},{rule:"required",type:"uint64",name:"startTime",id:4},{rule:"required",type:"string",name:"uri",id:3}]},{name:"SessionEnded",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"reason",id:2},{rule:"required",type:"float",name:"duration",id:3}]},{name:"ResourceIdle",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"routeKey",id:2}]},{name:"ResourceIdleResponse",fields:[{rule:"required",type:"string",name:"status",id:1}]},{name:"StreamPlaylist",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"streamId",id:2},{rule:"required",type:"PlaylistType",name:"playlistType",id:3},{rule:"required",type:"string",name:"uri",id:4},{rule:"required",type:"bool",name:"isVariant",id:5,options:{default:!0}}],enums:[{name:"PlaylistType",values:[{name:"Live",id:0},{name:"OnDemand",id:1}]}]},{name:"StreamRtmp",fields:[{rule:"required",type:"string",name:"streamId",id:1},{rule:"required",type:"string",name:"uri",id:2},{rule:"required",type:"uint32",name:"height",id:3},{rule:"required",type:"uint32",name:"bitrate",id:4}]},{name:"SendEventToClient",fields:[{rule:"required",type:"string",name:"connectionId",id:1},{rule:"required",type:"string",name:"type",id:2},{rule:"required",type:"bytes",name:"payload",id:3}]},{name:"SendEventToClientResponse",fields:[{rule:"required",type:"string",name:"status",id:1}]},{name:"SendRequestToClient",fields:[{rule:"required",type:"string",name:"connectionId",id:1},{rule:"required",type:"string",name:"type",id:2},{rule:"required",type:"bytes",name:"payload",id:3}]},{name:"SendRequestToClientResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"string",name:"type",id:2},{rule:"optional",type:"bytes",name:"payload",id:3}]},{name:"SetupStream",fields:[{rule:"required",type:"string",name:"streamToken",id:1},{rule:"required",type:"CreateStream",name:"createStream",id:2}]},{name:"SetupStreamResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"CreateStreamResponse",name:"createStreamResponse",id:2}]},{name:"SetupPlaylistStream",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"streamToken",id:2},{rule:"repeated",type:"string",name:"options",id:3},{rule:"repeated",type:"string",name:"tags",id:4}]},{name:"PlaylistStreamManifest",fields:[{rule:"required",type:"string",name:"manifest",id:1},{rule:"required",type:"bool",name:"isProtectedContent",id:2},{rule:"optional",type:"string",name:"drmToken",id:3}]},{name:"SetupPlaylistStreamResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"repeated",type:"PlaylistStreamManifest",name:"manifests",id:2},{rule:"optional",type:"uint64",name:"offset",id:3,options:{default:0}}]},{name:"StreamDataQuality",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"streamId",id:2},{rule:"required",type:"uint64",name:"timestamp",id:3},{rule:"required",type:"DataQualityStatus",name:"status",id:4},{rule:"required",type:"DataQualityReason",name:"reason",id:5}],enums:[{name:"DataQualityStatus",values:[{name:"NoData",id:0},{name:"AudioOnly",id:1},{name:"All",id:2}]},{name:"DataQualityReason",values:[{name:"None",id:0},{name:"UploadLimited",id:1},{name:"DownloadLimited",id:2},{name:"PublisherLimited",id:3},{name:"NetworkLimited",id:4}]}]},{name:"StreamDataQualityResponse",fields:[{rule:"required",type:"string",name:"status",id:1}]},{name:"CallbackEvent",fields:[{rule:"optional",type:"uint32",name:"apiVersion",id:1,options:{default:0}},{rule:"required",type:"string",name:"entity",id:2},{rule:"required",type:"string",name:"what",id:3},{rule:"required",type:"string",name:"data",id:4},{rule:"optional",type:"string",name:"sessionId",id:5}]},{name:"Uri",fields:[{rule:"optional",type:"string",name:"protocol",id:1,options:{default:"http"}},{rule:"required",type:"string",name:"host",id:2},{rule:"optional",type:"uint32",name:"port",id:3,options:{default:80}},{rule:"optional",type:"string",name:"method",id:4,options:{default:"POST"}},{rule:"optional",type:"string",name:"path",id:5,options:{default:"/"}}]},{name:"SetApplicationCallback",fields:[{rule:"required",type:"string",name:"applicationId",id:1},{rule:"required",type:"string",name:"secret",id:2},{rule:"required",type:"Uri",name:"callback",id:3}]},{name:"SetApplicationCallbackResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"string",name:"endpoint",id:2}]},{name:"IssueAuthenticationToken",fields:[{rule:"required",type:"string",name:"applicationId",id:1},{rule:"required",type:"string",name:"secret",id:2},{rule:"repeated",type:"string",name:"capabilities",id:3}]},{name:"IssueAuthenticationTokenResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"string",name:"authenticationToken",id:2}]},{name:"IssueStreamToken",fields:[{rule:"required",type:"string",name:"applicationId",id:1},{rule:"required",type:"string",name:"secret",id:2},{rule:"required",type:"string",name:"sessionId",id:3},{rule:"optional",type:"string",name:"originStreamId",id:4},{rule:"repeated",type:"string",name:"alternateOriginStreamIds",id:6},{rule:"repeated",type:"string",name:"capabilities",id:5},{rule:"optional",type:"bool",name:"permissive",id:7,options:{default:!1}}]},{name:"IssueStreamTokenResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"string",name:"streamToken",id:2}]},{name:"IssueDrmToken",fields:[{rule:"required",type:"string",name:"applicationId",id:1},{rule:"required",type:"string",name:"secret",id:2},{rule:"optional",type:"string",name:"sessionId",id:3},{rule:"required",type:"string",name:"originStreamId",id:4},{rule:"repeated",type:"string",name:"capabilities",id:5}]},{name:"IssueDrmTokenResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"string",name:"drmToken",id:2}]},{name:"TerminateStream",fields:[{rule:"required",type:"string",name:"applicationId",id:1},{rule:"required",type:"string",name:"secret",id:2},{rule:"optional",type:"string",name:"streamId",id:3,oneof:"streamOrToken"},{rule:"optional",type:"string",name:"streamToken",id:5,oneof:"streamOrToken"},{rule:"optional",type:"string",name:"reason",id:4}],oneofs:{streamOrToken:[3,5]}},{name:"TerminateStreamResponse",fields:[{rule:"required",type:"string",name:"status",id:1}]},{name:"DeleteStream",fields:[{rule:"required",type:"string",name:"applicationId",id:1},{rule:"required",type:"string",name:"secret",id:2},{rule:"optional",type:"string",name:"streamId",id:3,oneof:"streamOrToken"},{rule:"optional",type:"string",name:"streamToken",id:5,oneof:"streamOrToken"},{rule:"optional",type:"string",name:"reason",id:4}],oneofs:{streamOrToken:[3,5]}},{name:"DeleteStreamResponse",fields:[{rule:"required",type:"string",name:"status",id:1}]},{name:"Stream",fields:[{rule:"required",type:"string",name:"streamId",id:1}]},{name:"ListStreams",fields:[{rule:"required",type:"string",name:"applicationId",id:1},{rule:"required",type:"string",name:"secret",id:2},{rule:"optional",type:"string",name:"start",id:3},{rule:"required",type:"uint32",name:"length",id:4},{rule:"repeated",type:"string",name:"options",id:5}]},{name:"ListStreamsResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"string",name:"start",id:2},{rule:"optional",type:"uint32",name:"length",id:3},{rule:"repeated",type:"Stream",name:"streams",id:4}]},{name:"GetPlaylistUris",fields:[{rule:"required",type:"string",name:"applicationId",id:1},{rule:"required",type:"string",name:"secret",id:2},{rule:"required",type:"string",name:"streamId",id:3},{rule:"repeated",type:"string",name:"options",id:4}]},{name:"GetPlaylistUrisResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"repeated",type:"Playlist",name:"playlists",id:2},{rule:"optional",type:"StreamMetadata",name:"streamInfo",id:3}],messages:[{name:"PlaylistMetadata",fields:[{rule:"optional",type:"uint32",name:"bitrate",id:1},{rule:"optional",type:"uint32",name:"height",id:2},{rule:"optional",type:"float",name:"framesPerSecond",id:3}]},{name:"StreamMetadata",fields:[{rule:"required",type:"string",name:"startTime",id:1},{rule:"optional",type:"string",name:"endTime",id:2}]},{name:"Playlist",fields:[{rule:"required",type:"string",name:"name",id:1},{rule:"required",type:"PlaylistType",name:"type",id:2},{rule:"required",type:"string",name:"uri",id:3},{rule:"required",type:"bool",name:"isVariant",id:4},{rule:"required",type:"bool",name:"isProtected",id:5},{rule:"required",type:"PlaylistMetadata",name:"info",id:6}]}],enums:[{name:"PlaylistType",values:[{name:"Hls",id:0},{name:"Dash",id:1}]}]}]}}.apply(e,[]);void 0!==e&&(t.exports=e)},function(t,e,i){e=function(){"use strict";return{package:"chat",options:{optimize_for:"LITE_RUNTIME"},messages:[{name:"Room",fields:[{rule:"optional",type:"string",name:"roomId",id:1},{rule:"optional",type:"string",name:"alias",id:2},{rule:"required",type:"string",name:"name",id:3},{rule:"required",type:"string",name:"description",id:4},{rule:"required",type:"RoomType",name:"type",id:5},{rule:"repeated",type:"string",name:"options",id:6},{rule:"optional",type:"string",name:"bridgeId",id:7},{rule:"optional",type:"string",name:"pin",id:8}]},{name:"Stream",fields:[{rule:"required",type:"StreamType",name:"type",id:1},{rule:"required",type:"string",name:"uri",id:2},{rule:"required",type:"TrackState",name:"audioState",id:3},{rule:"required",type:"TrackState",name:"videoState",id:4}]},{name:"Member",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"screenName",id:2},{rule:"required",type:"MemberRole",name:"role",id:3},{rule:"repeated",type:"Stream",name:"streams",id:4},{rule:"required",type:"MemberState",name:"state",id:5},{rule:"required",type:"uint64",name:"lastUpdate",id:6}]},{name:"MemberUpdate",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"optional",type:"string",name:"screenName",id:2},{rule:"optional",type:"MemberRole",name:"role",id:3},{rule:"required",type:"bool",name:"updateStreams",id:7,options:{default:!1}},{rule:"repeated",type:"Stream",name:"streams",id:4},{rule:"optional",type:"MemberState",name:"state",id:5},{rule:"required",type:"uint64",name:"lastUpdate",id:6}]},{name:"ChatUser",fields:[{rule:"optional",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"screenName",id:2},{rule:"required",type:"MemberRole",name:"role",id:3},{rule:"required",type:"uint64",name:"lastUpdate",id:4}]},{name:"ChatMessage",fields:[{rule:"required",type:"string",name:"messageId",id:1},{rule:"required",type:"uint64",name:"timestamp",id:2},{rule:"required",type:"ChatUser",name:"from",id:3},{rule:"required",type:"string",name:"message",id:4}]},{name:"JoinRoom",fields:[{rule:"optional",type:"string",name:"roomId",id:1},{rule:"optional",type:"string",name:"alias",id:2},{rule:"required",type:"string",name:"sessionId",id:3},{rule:"required",type:"Member",name:"member",id:4},{rule:"repeated",type:"string",name:"options",id:5},{rule:"required",type:"uint64",name:"timestamp",id:6}]},{name:"JoinRoomResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"Room",name:"room",id:2},{rule:"repeated",type:"Member",name:"members",id:3},{rule:"optional",type:"Member",name:"self",id:5},{rule:"repeated",type:"string",name:"options",id:4}]},{name:"UpdateRoom",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"Room",name:"room",id:2},{rule:"required",type:"uint64",name:"timestamp",id:3}]},{name:"UpdateRoomResponse",fields:[{rule:"required",type:"string",name:"status",id:1}]},{name:"UpdateMember",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"optional",type:"string",name:"roomId",id:5},{rule:"required",type:"MemberUpdate",name:"member",id:2},{rule:"repeated",type:"string",name:"options",id:3},{rule:"required",type:"uint64",name:"timestamp",id:4}]},{name:"UpdateMemberResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"uint64",name:"lastUpdate",id:2}]},{name:"LeaveRoom",fields:[{rule:"required",type:"string",name:"roomId",id:1},{rule:"required",type:"string",name:"sessionId",id:2},{rule:"required",type:"uint64",name:"timestamp",id:3}]},{name:"LeaveRoomResponse",fields:[{rule:"required",type:"string",name:"status",id:1}]},{name:"DestroyRoom",fields:[{rule:"required",type:"string",name:"roomId",id:1}]},{name:"DestroyRoomResponse",fields:[{rule:"required",type:"string",name:"status",id:1}]},{name:"GetRoomInfo",fields:[{rule:"optional",type:"string",name:"roomId",id:1},{rule:"optional",type:"string",name:"alias",id:2},{rule:"optional",type:"string",name:"sessionId",id:3},{rule:"optional",type:"string",name:"applicationId",id:4},{rule:"optional",type:"string",name:"secret",id:5},{rule:"repeated",type:"string",name:"options",id:6}]},{name:"GetRoomInfoResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"optional",type:"Room",name:"room",id:2},{rule:"repeated",type:"Member",name:"members",id:3},{rule:"repeated",type:"string",name:"options",id:4}]},{name:"RoomEvent",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"roomId",id:2},{rule:"required",type:"RoomEventType",name:"eventType",id:3},{rule:"repeated",type:"Member",name:"members",id:4},{rule:"optional",type:"Room",name:"room",id:5},{rule:"repeated",type:"string",name:"options",id:6},{rule:"required",type:"uint64",name:"timestamp",id:7}]},{name:"SendMessageToRoom",fields:[{rule:"required",type:"string",name:"roomId",id:1},{rule:"required",type:"ChatMessage",name:"chatMessage",id:2}]},{name:"SendMessageToRoomResponse",fields:[{rule:"required",type:"string",name:"status",id:1}]},{name:"FetchRoomConversation",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"roomId",id:2},{rule:"optional",type:"string",name:"afterMessageId",id:3},{rule:"optional",type:"string",name:"beforeMessageId",id:4},{rule:"required",type:"uint32",name:"limit",id:5},{rule:"repeated",type:"RoomConversationOption",name:"options",id:6}]},{name:"FetchRoomConversationResponse",fields:[{rule:"required",type:"string",name:"status",id:1},{rule:"repeated",type:"ChatMessage",name:"chatMessages",id:2}]},{name:"RoomConversationEvent",fields:[{rule:"required",type:"string",name:"sessionId",id:1},{rule:"required",type:"string",name:"roomId",id:2},{rule:"required",type:"RoomConversationEventType",name:"eventType",id:3},{rule:"repeated",type:"ChatMessage",name:"chatMessages",id:4}]},{name:"RoomBridgeIdle",fields:[{rule:"required",type:"string",name:"roomId",id:1},{rule:"required",type:"string",name:"bridgeId",id:2}]}],enums:[{name:"RoomType",values:[{name:"DirectChat",id:0},{name:"MultiPartyChat",id:1},{name:"ModeratedChat",id:2},{name:"TownHall",id:3},{name:"Channel",id:4}]},{name:"MemberRole",values:[{name:"Participant",id:0},{name:"Moderator",id:1},{name:"Presenter",id:2},{name:"Audience",id:3}]},{name:"MemberState",values:[{name:"Active",id:0},{name:"Passive",id:1},{name:"HandRaised",id:2},{name:"Inactive",id:3},{name:"Offline",id:4}]},{name:"RoomEventType",values:[{name:"MemberJoined",id:0},{name:"MemberLeft",id:1},{name:"MemberUpdated",id:2},{name:"RoomUpdated",id:3},{name:"RoomEnded",id:4}]},{name:"TrackState",values:[{name:"TrackEnabled",id:0},{name:"TrackDisabled",id:1},{name:"TrackEnded",id:2}]},{name:"StreamType",values:[{name:"User",id:0},{name:"Presentation",id:1},{name:"Audio",id:2}]},{name:"RoomConversationOption",values:[{name:"Subscribe",id:0}]},{name:"RoomConversationEventType",values:[{name:"Message",id:0}]}]}}.apply(e,[]);void 0!==e&&(t.exports=e)},function(t,e){t.exports=l},function(t,e,i){i=[i(0),i(1),i(4),i(2)],e=function(o,i,n,a){"use strict";var t=52;function e(t,e){i.isObject(t=t||{},"options"),i.isObject(e,"logger"),this.u=e,this.Ci=t.screenSharingExtensionId||("Chrome"!==a.browser?"":"icngjadgidcmifnehjcielbmiapkhjpn"),this.Mi=t.eagerlyCheckScreenSharingCapabilities||!1,this.xi=!1,this.Pi=new n.Observable(!1),this.Mi?c.call(this,o.bind(u,this)):u.call(this,!1)}function u(t){this.Pi.setValue(!0),this.xi=t}function c(e){var i=this;if("Chrome"===a.browser&&i.Ci){var n=h.call(this);if(!n)return e(!1);try{n.sendMessage(i.Ci,{type:"version"},function(t){n.lastError||!t||"ok"!==t.status?(i.u.info("Screen sharing NOT available"),e(!1)):(i.u.info("Screen sharing enabled using version [%s]",t.version),e(!0))})}catch(t){t.message&&i.u.warn(t.message,t),e(!1)}}else"Firefox"===a.browser&&a.browserVersion>=t||"Firefox"===a.browser&&o.isObject(a.global.PCastScreenSharing)?e(!0):e(!1)}function r(t){if(this.Pi.getValue())return t();var e=this.Pi.subscribe(function(){return e.dispose(),t()})}function s(r,s){switch(a.browser){case"Chrome":return function(e){var i=this,n=h.call(this);if(!n)return e(new Error("not-available"));try{n.sendMessage(i.Ci,{type:"get-desktop-media",sources:["screen","window","tab","audio"]},function(t){if(n.lastError||!t)return c.call(i,function(t){return u.call(i,t),e(new Error("extension-failure"))});"ok"!==t.status?e(new Error(t.status),t):e(null,t)})}catch(t){t.message&&i.u.warn(t.message),e(t,{status:"failed"})}}.call(this,function(t,e){if(t||e&&"ok"!==e.status)return s(t,e);var i,n;e.data||e.options||(e.options={canRequestAudioTrack:!0}),s(null,{status:"ok",constraints:(t=r,i=e.streamId,e=e.options,n={},o.isObject(t)&&o.isObject(t.screen)&&(n.video=t.screen),o.isObject(t)&&o.isObject(t.screenAudio)&&e.canRequestAudioTrack&&(n.audio=t.screenAudio),t.screen&&o.set(n,["video","mandatory"],{chromeMediaSource:"desktop",chromeMediaSourceId:i}),t.screenAudio&&e.canRequestAudioTrack&&o.set(n,["audio","mandatory"],{chromeMediaSource:"system",chromeMediaSourceId:i}),n)})});case"Firefox":s(null,{status:"ok",constraints:(t=r,e={video:{}},o.isObject(t)&&o.isObject(t.screen)&&(e.video=t.screen),e.video.mediaSource=e.video.mediaSource||"window",e)});break;default:s(new Error("not-supported"),{status:"not-supported"})}var t,e}function h(){return"Chrome"!==a.browser?null:"undefined"!=typeof chrome&&chrome.runtime&&chrome.runtime.sendMessage?chrome.runtime:(this.u.info("Screen sharing NOT available. Runtime not supported"),null)}return e.prototype.checkForScreenSharingCapability=function(e){return c.call(this,function(t){u.call(this,t),e(t)})},e.prototype.isScreenSharingEnabled=function(e){var i=this;return r.call(this,function(){if(i.Mi||i.xi)return e(i.xi);c.call(i,function(t){i.xi=t,e(t)})})},e.prototype.getScreenSharingConstraints=function(t,e){return r.call(this,o.bind(s,this,t,e))},e.prototype.toString=function(){return"ScreenShareExtensionManager["+a.browser+"]"},e}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(2)],e=function(c,a,u){"use strict";function t(t,e,i){a.isObject(t,"logger"),a.isObject(e,"screenShareExtensionManager"),i&&a.isFunction(i,"onScreenShare"),this.u=t,this._=e,this.pe=i}function i(i,e,n){function r(t){n(h(t),void 0,t)}function s(t){!function(i){var n={},r={},s=this;setTimeout(function t(){c.reduce(i.getTracks(),function(t,e){return t&&(a.isNotUndefined(t=e,"track"),"ended"===t.readyState)},!0)||(c.forEach(i.getTracks(),function(t){var e;u.global.Event&&c.hasIndexOrKey(n,t.id)&&n[t.id]!==t.enabled&&(((e=new u.global.Event("trackenabledchange")).data=t).dispatchEvent(e),s.u.info("[%s] Detected track [%s] enabled change to [%s]",i.id,t.id,t.enabled)),u.global.Event&&c.hasIndexOrKey(r,t.id)&&r[t.id]!==t.readyState&&(((e=new u.global.Event("readystatechange")).data=t).dispatchEvent(e),s.u.info("[%s] Detected track [%s] Ready State change to [%s]",i.id,t.id,t.readyState)),n[t.id]=t.enabled,r[t.id]=t.readyState}),setTimeout(t,2e3))},2e3)}.call(o,t),e("ok",t)}var o=this;return function(e,i){var n=this;if(e.screen)return n._.isScreenSharingEnabled(function(t){return t?n._.getScreenSharingConstraints(e,i):i(new Error("screen-sharing-not-available"))});var t={audio:e.audio||!1,video:e.video||!1};i(null,{status:"ok",constraints:t})}.call(this,i,function(t,e){if("ok"!==c.get(e,["status"]))return r(t);if("cancelled"===e.status)n("cancelled",null);else{t=e.constraints;if(o.pe&&(i.screen||i.screenAudio)&&"Chrome"===u.browser&&!(t=o.pe(t)))throw new Error("onScreenShare must return an object of user media constraints");try{u.getUserMedia(t,s,r)}catch(t){r(t)}}})}t.prototype.getUserMedia=function(t,e){a.isObject(t,"options"),a.isFunction(e,"callback"),function(n,r){function s(t,e){u.kt&&u.kt.push(e),r(u,t,e)}function a(t,e,i){n.screenAudio&&u.u.warn("Screen capture with audio is only supported on Windows or Chrome OS."),r(u,t,e,i)}var u=this,t=n.screen||n.screenAudio,e=n.video||n.audio;return t&&e?i.call(u,{screen:n.screen},function(t,o){return i.call(u,{audio:n.audio,video:n.video},function(t,e){var i=e,n=o.getTracks();i&&c.isFunction(i.addTrack)&&c.forEach(n,function(t){i.addTrack(t)}),s(t,e)},function(t,e,i){var n=o;if(n&&c.isFunction(n.stop)&&n.stop(),n&&c.isFunction(n.getTracks))for(var r=n.getTracks(),s=0;s<r.length;s++)r[s].stop();a(t,e,i)})},a):i.call(u,n,s,a)}.call(this,t,e)};var h=function(t){return"unavailable"===t.code?"conflict":"permission-denied"===t.message||"PermissionDeniedError"===t.name?"permission-denied":"InternalError"===t.name&&"Starting video failed"===t.message||"SourceUnavailableError"===t.name?"conflict":"SecurityError"===t.name&&"The operation is insecure."===t.message?"permission-denied":"failed"};return t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(11),i(49)],e=function(t,e,i,n){function r(){this.Di={}}return r.prototype.createMetricsTransmitter=function(t){var e=i.getEnvironmentFromUrl(t||""),t=i.getTelemetryServerUri(t);return this.Di[e]||(this.Di[e]=function(t,e){e=new n(t,e);return t||e.setEnabled(!1),e}.call(this,t,e)),this.Di[e]},new r}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(16),i(2),i(22)],e=function(o,a,i,n,r){function t(t,e){a.isString(t,"uri"),this.Qe="object"==typeof location?location.hostname:n.browser+"-"+n.browserVersion+"-unknown",this.$e=!0,this.Ye=(n.browser||"Browser")+"/"+(n.browserVersion||"?"),this.ti=new i.BatchHttpProto(t+"/metrics",[r],"telemetry.SubmitMetricRecords",{maxAttempts:3,maxBufferedRecords:1e3,maxBatchSize:512}),this.ni=e,this.ti.on("capacity",o.bind(s,this))}function s(t){this.ti.addRecordToBeginning({metric:"MetricDropped",value:{uint64:t},timestamp:o.isoString(),sessionId:this.ei,streamId:this.Ui,source:this.Ye,fullQualifiedName:this.Qe,environment:this.ni,version:this.ri,runtime:this.Ze})}return t.prototype.isEnabled=function(){return this.$e},t.prototype.setEnabled=function(t){a.isBoolean(t,"enabled"),this.$e=t},t.prototype.submitMetric=function(t,e,i,n,r,s){this.$e&&(a.isStringNotEmpty(t,"metric"),a.isObject(s,"value"),this.Ze=e,this.ei=i,this.Ui=n,this.ri=r,function(t,e){e=o.assign({},e,{metric:t,timestamp:o.isoString(),sessionId:this.ei,streamId:this.Ui,source:this.Ye,fullQualifiedName:this.Qe,environment:this.ni,version:this.ri,runtime:this.Ze});this.ti.addRecord(e)}.call(this,t,s))},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(3),i(2)],e=function(a,r,u,c){"use strict";var t=c.global.__phenixPageLoadTime||c.global.__pageLoadTime||a.now();function e(t,e,i){r.isStringNotEmpty(t,"sessionId"),this.R="2024-01-18T15:57:27Z",this.te=t,this.Oi={},this.u=e,this.rt=i,this.Ai=a.now(),this.q=new u.DisposableList,this.Fi=[],this.Ni=[],this.Li=[],this.Bi=null,h.call(this,"Stream initializing")}function h(){var t=Array.prototype.slice.call(arguments);if(0===t.length)throw new Error("Invalid logging arguments.");var e="[%s] [StreamTelemetry] [%s] "+t[0],t=t.slice(1),e=[e,this.O,a.now()-this.Ai].concat(t);this.u.debug.apply(this.u,e)}function s(){return(a.now()-t)/1e3}function o(t,e){r.isStringNotEmpty(t.metric,"record.metric");var i=a.assign({},this.Oi,t);this.rt.submitMetric(t.metric,e,this.te,this.O,this.R,i)}return e.prototype.setProperty=function(t,e){r.isStringNotEmpty(t,"name"),r.isStringNotEmpty(e,"value"),this.Oi[t]=e},e.prototype.recordMetric=function(t,e,i,n){r.isStringNotEmpty(t,"metric");t=a.assign({},{metric:t,elapsed:this.elapsed(),value:e,previousValue:i},n||{});o.call(this,t,s())},e.prototype.setStreamId=function(t){if(r.isStringNotEmpty(t,"streamId"),this.O)throw new Error("Stream ID can only be set once.");this.O=t;t=a.now();o.call(this,{metric:"Initialized",elapsed:this.elapsed()-t+this.Ai},s()-(t-this.Ai)/1e3)},e.prototype.setStartOffset=function(t){if(r.isNumber(t,"startOffset"),this.ji)throw new Error("Start offset can only be set once.");this.ji=t,this.recordMetric("Offset",{uint64:t})},e.prototype.getStartOffset=function(){return this.ji},e.prototype.elapsed=function(){return a.now()-this.Ai},e.prototype.stop=function(){this.q.dispose(),this.recordMetric("Stopped"),h.call(this,"Stream stopped")},e.prototype.recordTimeToFirstFrame=function(t){function e(){i.Bi||(i.Bi=a.now()-n,i.recordMetric("TimeToFirstFrame",{uint64:i.Bi}),h.call(i,"First frame [%s]",i.Bi),r.dispose())}var i=this,n=a.now(),r=(a.addEventListener(t,"loadeddata",e),a.addEventListener(t,"loadedmetadata",e),new u.Disposable(function(){a.removeEventListener(t,"loadeddata",e),a.removeEventListener(t,"loadedmetadata",e)}));return this.q.add(r),r},e.prototype.recordVideoResolutionChanges=function(t,e){var i=this,n={width:e.videoWidth,height:e.videoHeight};if(a.find(this.Fi,function(t){return t===e}))return new u.Disposable(a.noop);this.Fi.push(e);t=t.addVideoDisplayDimensionsChangedCallback(function(t,e){n.width===e.width&&n.height===e.height||(i.recordMetric("ResolutionChanged",{string:e.width+"x"+e.height},{string:n.width+"x"+n.height}),n={width:e.width,height:e.height},h.call(i,"Resolution changed: width [%s] height [%s]",e.width,e.height))});return this.q.add(t),t},e.prototype.recordRebuffering=function(n){var r,s,o=this;if(a.find(this.Ni,function(t){return t===n}))return new u.Disposable(a.noop);function t(){r||(o.recordMetric("Stalled"),r=a.now(),h.call(o,"[buffering] Stream has stalled"))}function e(t){var e=n.buffered.length,i=!("playing"===t.type||0<e)||("progress"===t.type||"timeupdate"===t.type)&&n.buffered.end(e-1)===s;!r||!e&&"Edge"!==c.browser||i||("progress"===t.type&&(s=n.buffered.end(e-1)),i=a.now()-r,o.recordMetric("Buffering",{uint64:i}),h.call(o,"[buffering] Stream has recovered from stall after [%s] milliseconds",i),r=null)}this.Ni.push(n),a.addEventListener(n,"stalled",t),a.addEventListener(n,"pause",t),a.addEventListener(n,"suspend",t),a.addEventListener(n,"play",e),a.addEventListener(n,"playing",e),a.addEventListener(n,"progress",e),a.addEventListener(n,"timeupdate",e);var i=new u.Disposable(function(){a.removeEventListener(n,"stalled",t),a.removeEventListener(n,"pause",t),a.removeEventListener(n,"suspend",t),a.removeEventListener(n,"play",e),a.removeEventListener(n,"playing",e),a.removeEventListener(n,"progress",e),a.removeEventListener(n,"timeupdate",e)});return this.q.add(i),i},e.prototype.recordVideoPlayingAndPausing=function(e){var t=this;if(a.find(this.Li,function(t){return t===e}))return new u.Disposable(a.noop);function i(){e.paused?t.recordMetric("Playing",{boolean:!1}):t.recordMetric("Playing",{boolean:!0})}this.Li.push(e),a.addEventListener(e,"pause",i),a.addEventListener(e,"playing",i);var n=new u.Disposable(function(){a.removeEventListener(e,"pause",i),a.removeEventListener(e,"playing",i)});return this.q.add(n),n},e}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(3),i(12),i(2),i(52)],e=function(r,s,i,n,o,a){"use strict";var t=o.global.__phenixPageLoadTime||o.global.__pageLoadTime||r.now();function e(t,e){this.R="2024-01-18T15:57:27Z",this.te=null,this.Oi={resource:"session",kind:"event"},this.u=t,this.rt=e,this._i=new a(this.u),this.Ai=r.now(),this.q=new i.DisposableList,this.Vi=[],this.q.add(n.onBackground(r.bind(u,this,!1))),this.q.add(n.onForeground(r.bind(u,this,!0))),this._i.isSupported()&&(this.q.add(this._i.onNetworkChange(r.bind(l,this))),this.q.add(this._i),c.call(this),d.call(this),h.call(this))}function u(t,e){this.recordMetric(t?"ApplicationForeground":"ApplicationBackground",{uint64:e}),f.call(this,"Application has gone into the [%s] after [%s] ms",t?"foreground":"background",e)}function c(){var t=this._i.getEffectiveType();this.recordMetric("NetworkType",{string:t},null,{resource:o.browser}),f.call(this,"[%s] has started with Network effective type of [%s]",this.te?"Session":"Application",t)}function h(t,e){var t=t||this._i.getRoundTripTime(),i=e||-1;if(this.recordMetric("RoundTripTime",{uint32:t},{uint32:i},{resource:o.browser}),r.isNullOrUndefined(e))return f.call(this,"Network RTT [%s]",t);f.call(this,"Network RTT changed to [%s] from [%s]",t,i)}function d(t,e){var t=t||this._i.getDownlinkThroughputCapacity(),i=e||-1;if(this.recordMetric("DownlinkThroughputCapacity",{float:t},{float:i},{resource:o.browser}),r.isNullOrUndefined(e))return f.call(this,"Network downlink throughput capacity [%s]",t);f.call(this,"Network downlink throughput capacity changed to [%s] from [%s]",t,i)}function l(t,e){e.downlinkThroughputCapacity!==t.downlinkThroughputCapacity&&d.call(this,t.downlinkThroughputCapacity,e.downlinkThroughputCapacity),e.rtt!==t.rtt&&h.call(this,t.rtt,e.rtt),e.effectiveType!==t.effectiveType&&function(t,e){t=t||this._i.getEffectiveType();this.recordMetric("NetworkType",{string:t},{string:e},{resource:o.browser}),f.call(this,"Network effective type has changed to [%s] from [%s]",t,e||"New")}.call(this,t.effectiveType,e.effectiveType)}function f(){var t=Array.prototype.slice.call(arguments);if(0===t.length)throw new Error("Invalid logging arguments.");var e="[%s] [SessionTelemetry] [%s] "+t[0],t=t.slice(1),e=[e,this.te,r.now()-this.Ai].concat(t);this.u.info.apply(this.u,e)}function m(){return(r.now()-t)/1e3}function p(t,e){if(s.isStringNotEmpty(t.metric,"record.metric"),!this.te)return this.Vi.push({record:t,since:e});var i=r.assign({},this.Oi,t);this.rt.submitMetric(t.metric,e,this.te,null,this.R,i)}return e.prototype.setSessionId=function(t){!t&&this.te&&p.call(this,{metric:"Stopped",elapsed:this.elapsed()},m()),(this.te=t)&&(p.call(this,{metric:"Initialized",elapsed:this.elapsed()},m()),function(){if(this.te)for(var t=this.Vi.length;0<t;){var e=this.Vi.splice(t-1,1);1===e.length&&p.call(this,e[0].record,e[0].since),t--}}.call(this),function(){var t=n.isForeground(),e=n.getTimeSinceLastChange();this.recordMetric(t?"ApplicationForeground":"ApplicationBackground",{uint64:e}),f.call(this,"Session has started in the [%s] after [%s] ms",t?"foreground":"background",e)}.call(this),this._i.isSupported())&&(c.call(this),d.call(this),h.call(this))},e.prototype.setProperty=function(t,e){s.isStringNotEmpty(t,"name"),s.isStringNotEmpty(e,"value"),this.Oi[t]=e},e.prototype.recordMetric=function(t,e,i,n){s.isStringNotEmpty(t,"metric");t=r.assign({},{metric:t,elapsed:this.elapsed(),value:e,previousValue:i},n||{});p.call(this,t,m())},e.prototype.elapsed=function(){return r.now()-this.Ai},e.prototype.dispose=function(){this.q.dispose(),this.recordMetric("Stopped"),f.call(this,"Session telemetry stopped")},e}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(5),i(3),i(2)],e=function(t,e,i,n,r){function s(t){if(e.isObject(t,"logger"),this.u=t,this.Wi=new i.NamedEvents,this.q=new n.DisposableList,this.q.add(this.Wi),!this.isSupported())return this.u.info("Network monitor is not supported.");this.zi=o.call(this),function(){var t=this;navigator.connection.addEventListener("change",function(){t.Wi.fireAsync("NetworkChange",[o.call(t),t.zi]),t.zi=o.call(t)})}.call(this)}function o(){return{downlinkThroughputCapacity:this.getDownlinkThroughputCapacity(),effectiveType:this.getEffectiveType(),rtt:this.getRoundTripTime()}}return s.prototype.isSupported=function(){return r.global.navigator&&r.global.navigator.connection},s.prototype.getDownlinkThroughputCapacity=function(){return this.isSupported()?r.global.navigator.connection.downlink||r.global.navigator.connection.downlinkMax:-1},s.prototype.getEffectiveType=function(){return this.isSupported()?r.global.navigator.connection.effectiveType||r.global.navigator.connection.type:"Unknown"},s.prototype.getRoundTripTime=function(){return this.isSupported()?r.global.navigator.connection.rtt||r.global.navigator.connection.type:-1},s.prototype.onNetworkChange=function(t){if(this.isSupported())return e.isFunction(t,"callback"),this.Wi.listen("NetworkChange",t)},s.prototype.dispose=function(){this.q.dispose()},s}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(6)],e=function(r,s,o){"use strict";function a(t,e,i){s.isStringNotEmpty(t,"type"),s.isObject(e,"stream"),s.isObject(i,"logger"),this.P=t,this.ci=e,this.u=i,this.Hi=null;var n=this;this.ci.on(o.streamEvents.playerEnded.name,function(t){if(n.u.info("[%s] [%s] player ended.",n.ci.getStreamId(),n.P),n.Gi=!0,n.Hi)return n.Hi();n.streamEndedCallback(a.getStreamEndedStatus(t),t)})}return a.prototype.toString=function(){return"Stream["+(this.ci?this.ci.getStreamId():"")+"]"},a.prototype.on=function(t,e){return this.ci.on(t,e)},a.prototype.streamErrorCallback=function(t,e){r.isFunction(this.ci.streamErrorCallback)?(this.u.debug("[%s] [%s] stream error event [%s]",this.ci.getStreamId(),this.P,e),this.ci.streamErrorCallback(this.ci,t,e)):this.u.error("[%s] [%s] stream error event [%s]",this.ci.getStreamId(),this.P,e)},a.prototype.streamEndedCallback=function(t,e,i){var n=this.ci.getRenderer();this.Ki||(i&&!this.Hi&&this.ci.isActive()&&n&&!this.Gi?(this.Hi=r.bind(this.streamEndedCallback,this,t,e),this.u.info("[%s] [%s] stream ended. Waiting for end of player.",this.ci.getStreamId(),this.P)):(this.Ki=!0,r.isFunction(this.ci.streamEndedCallback)&&this.ci.streamEndedCallback(this.ci,t,e),this.ci.stop(e)),n&&n.stop(e,i))},a.prototype.dataQualityChangedCallback=function(t,e){var i=this.ci.getRenderer();i&&r.isFunction(i.dataQualityChangedCallback)&&i.dataQualityChangedCallback(i,t,e)},a.prototype.getPhenixMediaStream=function(){return this.ci},a.getStreamEndedStatus=function(t){switch(t){case"":case"none":case"ended":return"ended";case"server-error":case"session-error":case"not-ready":case"error":case"died":return"failed";case"censored":return"censored";case"maintenance":return"maintenance";case"capacity":return"capacity";case"app-background":return"app-background";case"egress-failed":return"egress-failed";case"egress-setup-failed":return"egress-setup-failed";case"overload":return"overload";default:return"custom"}},a}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(5),i(2),i(55),i(56),i(57),i(6)],e=function(n,i,u,r,t,s,o,a){"use strict";function e(t,e,i,n,r,s,o,a){this.P=t,this.O=e,this.M=i,this.Ji=n,this.oe=r,this.Qi=s,this.Xi=o,this.u=a,this.$i=[],this.Yi=null,this.Wi=new u.NamedEvents}return e.prototype.on=function(t,e){this.Wi.listen(t,e)},e.prototype.createRenderer=function(){var e=null;switch(this.P){case a.types.dash.name:if(this.Xi)e=new s(this.O,this.M,this.Ji,this.oe,this.Xi,this.u);else if(this.Qi){if(!this.Qi.Player.isBrowserSupported())throw this.u.warn("[%s] Shaka does not support this browser",this.O),new Error("Shaka does not support this browser");e=new t(this.O,this.M,this.Ji,this.oe,this.Qi,this.u)}break;case a.types.hls.name:e=new s(this.O,this.M,this.Ji,this.oe,this.Xi,this.u);break;case a.types.rtmp.name:e=new o(this.O,this.M,this.Ji,this.oe,this.u);break;default:throw new Error("Unsupported Live stream Type "+this.P)}var i=this;return e.on(a.rendererEvents.error.name,function(t,e){i.Wi.fire(a.streamEvents.playerError.name,[t,e])}),e.on(a.rendererEvents.ended.name,function(t){i.$i=n.filter(i.$i,function(t){return t!==e}),0===i.$i.length&&(i.Ji.stop(),i.Wi.fire(a.streamEvents.playerEnded.name,[t]))}),this.$i.push(e),e},e.prototype.select=function(t){return this.u.warn("[%s] selection of tracks not supported for [%s] live streams",this.O,this.P),this},e.prototype.setStreamEndedCallback=function(t){i.isFunction(t,"callback"),this.streamEndedCallback=t},e.prototype.setStreamErrorCallback=function(t){i.isFunction(t,"callback"),this.streamErrorCallback=t},e.prototype.stop=function(t){this.isActive()&&(this.u.info("[%s] stop [live] media stream with reason [%s]",this.O,t),this.Wi.fire(a.streamEvents.stopped.name,[t]),this.Zi=!0)},e.prototype.monitor=function(t,e){i.isObject(t,"options"),i.isFunction(e,"callback")},e.prototype.getMonitor=function(){return null},e.prototype.addBitRateThreshold=function(t,e){i.isFunction(e,"callback")},e.prototype.getStream=function(){return this.u.debug("[%s] [%s] This type of stream has no internal stream object",this.O,this.P),null},e.prototype.isActive=function(){return!this.Zi},e.prototype.getStreamId=function(){return this.O},e.prototype.getStats=function(){return this.u.debug("[%s] [%s] This type of stream has no stats",this.O,this.P),null},e.prototype.getRenderer=function(){return n.get(this.$i,[0],null)},e.canPlaybackType=function(t){var e=!!r.global.MediaSource,i=e||"object"==typeof document&&"maybe"===document.createElement("video").canPlayType("application/vnd.apple.mpegURL");switch(t){case a.types.dash.name:return e;case a.types.hls.name:return i;case a.types.rtmp.name:return o.isSupported();default:return!1}},e}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(5),i(9),i(3),i(10),i(2),i(6)],e=function(o,e,a,r,u,c,h,s){"use strict";var d=null;function t(t,e,i,n,r,s){this.u=s,this.O=t,this.tn=encodeURI(e).replace(/[#]/g,"%23"),this.Ji=i,this.oe=n,this.I=null,this.bi=null,this.Yi=new c(s),this.en={time:0,buffered:null,averageLength:0,count:0},this.Wi=new a.NamedEvents,this.q=new u.DisposableList,this.Qi=r,this.nn=o.bind(f,this),this.rn=o.bind(l,this),this.sn=o.bind(m,this)}function l(){if(this.en.time=o.now(),0===this.bi.buffered.length)return this.u.debug("[%s] Shaka live stream player progress event fired without any buffered content",this.O);var t,e=this.bi.buffered.end(this.bi.buffered.length-1);this.en.buffered!==e&&(null!==this.en.buffered&&(t=this.en.averageLength*this.en.count+(e-this.en.buffered),this.en.count+=1,this.en.averageLength=t/this.en.count),this.en.buffered=e)}function f(){var t=this;t.u.info("[%s] Loading Shaka live stream player stream stalled.",t.O),0!==t.en.time&&setTimeout(function(){o.now()-t.en.time>i.call(t)&&t.an&&t.stop("ended")},i.call(t))}function i(){return 1.5*this.en.averageLength<2e3?2e3:1.5*this.en.averageLength}function m(){this.u.info("[%s] Shaka live stream player ended.",this.O)}return t.prototype.on=function(t,e){return this.Wi.listen(t,e)},t.prototype.start=function(e){var i=this,t=(i.un=new this.Qi.Player(e),this.q.add(this.Ji.recordTimeToFirstFrame(e)),this.q.add(this.Ji.recordRebuffering(e)),this.q.add(this.Ji.recordVideoResolutionChanges(this,e)),{abr:{defaultBandwidthEstimate:2e6},manifest:{retryParameters:{timeout:1e4}},streaming:{rebufferingGoal:2,bufferingGoal:10,bufferBehind:30,retryParameters:{timeout:1e4,maxAttempts:10,backoffFactor:1.1}}});function n(t){i.un.configure(t),!1===i.oe.receiveAudio&&(e.muted=!0),o.addEventListener(i.un,"error",function(t){i.Wi.fire(s.rendererEvents.error.name,["player",t])}),o.addEventListener(e,"stalled",i.nn,!1),o.addEventListener(e,"pause",i.nn,!1),o.addEventListener(e,"suspend",i.nn,!1),o.addEventListener(e,"progress",i.rn,!1),o.addEventListener(e,"ended",i.sn,!1),i.un.load(i.tn).then(function(){i.u.info("[%s] DASH live stream has been loaded",i.O),o.isFunction(e.play)&&e.play()}).catch(function(t){i.u.error("[%s] Error while loading DASH live stream [%s]",i.O,t.code,t),i.Wi.fire(s.rendererEvents.error.name,["shaka",t])}),i.oe.capabilities.includes("audio-only")||i.Yi.start(this,e),i.bi=e}return this.oe.isDrmProtectedContent?(function(){var t;if(!o.isFunction(Uint8Array))throw this.u.error(t="Uint8Array support required for DRM"),new Error(t);if(!o.isFunction(h.global.atob))throw this.u.error(t="rtc.global.atob support required for DRM"),new Error(t)}.call(i),function(s){var o=this;s.getNetworkingEngine().registerResponseFilter(function(t,e){if(t.toString()===o.Qi.net.NetworkingEngine.RequestType.LICENSE.toString()){var t=new Uint8Array(e.data),t=String.fromCharCode.apply(null,t),t=JSON.parse(t),i=t.license,n=h.global.atob(i);e.data=new Uint8Array(n.length);for(var r=0;r<n.length;++r)e.data[r]=n.charCodeAt(r);t.trackRestrictions&&s.configure({restrictions:t.trackRestrictions})}})}.call(i,i.un),function(t,e,i){t.drm||(t.drm={}),t.drm.advanced||(t.drm.advanced={}),t.manifest||(t.manifest={}),t.manifest.dash||(t.manifest.dash={}),function(i,t,n){function e(t,e){t?n(t):(d=e.data,i.drm.advanced["com.widevine.alpha"]={serverCertificate:function(t){for(var e=t.length,i=new Uint8Array(e),n=0;n<e;n++)i[n]=t.charCodeAt(n);return i}(e.data),persistentStateRequired:!0,distinctiveIdentifierRequired:!1},n(null,i))}i.manifest.dash.customScheme=function(t){if("com.phenixrts.widevine"===t.getAttribute("schemeIdUri")||"com.phenixp2p.widevine"===t.getAttribute("schemeIdUri"))return[{keySystem:"com.widevine.alpha",licenseServerUri:decodeURIComponent(t.getAttribute("widevineLicenseServerUrl"))}]},d?e(null,d):r.get(t.widevineServiceCertificateUrl,{mimeType:"text/plain; charset=x-user-defined"},e)}.call(this,t,e,i)}.call(i,t,i.oe,function(t,e){if(t)throw i.u.error("Failed to add DRM configuration to shaka player",t),t;n(e)})):n(t),e},t.prototype.stop=function(t,e){var i,n=this;if(!n.cn){if(e)return n.an=!0;this.Yi.stop(),this.q.dispose(),this.un&&(i=function(){n.bi&&(o.removeEventListener(n.bi,"stalled",n.nn,!1),o.removeEventListener(n.bi,"pause",n.nn,!1),o.removeEventListener(n.bi,"suspend",n.nn,!1),o.removeEventListener(n.bi,"progress",n.rn,!1),o.removeEventListener(n.bi,"ended",n.sn,!1),"Edge"===h.browser)&&(n.bi.src=""),n.Wi.fire(s.rendererEvents.ended.name,[""]),n.un=null,n.bi=null},n.un.destroy().then(function(){n.u.info("[%s] Shaka live stream player has been destroyed",n.O)}).then(function(){i()}).catch(function(t){n.u.error("[%s] Error while destroying shaka live stream player [%s]",n.O,t.code,t),i(),n.Wi.fire(s.rendererEvents.error.name,["shaka",t])}),n.cn=!0)}},t.prototype.getStats=function(){var t,e,i;return this.un?(t=o.assign(this.un.getStats(),{currentTime:0,lag:0}),e=o.get(this.bi,["currentTime"],0),i=(o.now()-this.oe.originStartTime)/1e3,i=Math.max(0,i-e),this.bi&&(t.currentTime=e,t.lag=i),0<t.estimatedBandwidth?t.networkState=s.networkStates.networkLoading.id:0<t.playTime?t.networkState=s.networkStates.networkIdle.id:t.video?t.networkState=s.networkStates.networkEmpty.id:t.networkState=s.networkStates.networkNoSource.id,t):{width:0,height:0,currentTime:0,lag:0,networkState:s.networkStates.networkNoSource.id}},t.prototype.setDataQualityChangedCallback=function(t){e.isFunction(t,"callback"),this.dataQualityChangedCallback=t},t.prototype.getPlayer=function(){return this.un},t.prototype.addVideoDisplayDimensionsChangedCallback=function(t,e){return this.Yi.addVideoDisplayDimensionsChangedCallback(t,e)},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(7),i(5),i(9),i(3),i(10),i(2),i(6)],e=function(o,e,s,a,t,u,c,n,r){"use strict";var h=6e3,i=15e3;function d(t,e,i,n,r,s){this.u=s,this.O=t,this.tn=encodeURI(e).replace(/[#]/g,"%23"),this.Ji=i,this.oe=n,this.Xi=r,this.I=null,this.bi=null,this.Yi=new c(s),this.en={time:0,buffered:null,averageLength:0,count:0,lastCurrentTime:0,lastCurrentTimeOccurenceTimestamp:0},this.Wi=new a.NamedEvents,this.q=new u.DisposableList,this.nn=o.bind(g,this),this.rn=o.bind(p,this),this.sn=o.bind(y,this)}function l(t){if(m.call(this)&&t&&(3===t.code||t.severity===this.Xi.errors.severity.RECOVERABLE))return this.u.warn("Reloading unhealthy stream after error event [%s]",t),f.call(this);this.Wi.fire(r.rendererEvents.error.name,["phenix-player",t])}function f(){m.call(this)&&(this.u.warn("Reloading unhealthy stream that was active for at least [%s] seconds",i/1e3),this.hn=o.now(),function(){this.un.dispose(),this.un=null,this.start(this.bi)}.call(this))}function m(){var t=!this.hn||o.now()-this.hn>i;return this.bi&&!this.an&&this.un&&0!==this.bi.buffered.length&&t}function p(){if(this.en.time=o.now(),0===this.bi.buffered.length)return this.u.debug("[%s] Phenix stream player progress event fired without any buffered content",this.O);var t,e,i=this.bi.buffered.end(this.bi.buffered.length-1);this.en.buffered!==i&&(null!==this.en.buffered&&(e=this.en.averageLength*this.en.count+(i-this.en.buffered),t=this.en.lastCurrentTime===this.bi.currentTime,this.en.count+=1,this.en.averageLength=e/this.en.count,t||(this.en.lastCurrentTimeOccurenceTimestamp=o.now()),e=this.en.lastCurrentTimeOccurenceTimestamp&&o.now()-this.en.lastCurrentTimeOccurenceTimestamp>h,t)&&e&&this.bi&&!this.bi.paused&&m.call(this)&&(this.u.warn("Reloading stream after current time has not changed for [%s] seconds due to unregistered stall.",h/1e3),f.call(this)),this.en.buffered=i,this.en.lastCurrentTime=this.bi.currentTime)}function g(t){var e,i=this;i.u.info("[%s] Loading Phenix Live stream player stalled caused by [%s] event.",i.O,t.type),0===i.en.time||i.bi.paused||(e=i.bi.currentTime,setTimeout(function(){o.now()-i.en.time>v.call(i)&&i.an&&i.stop("ended")},v.call(i)),setTimeout(function(){i.bi&&i.bi.currentTime===e&&!i.bi.paused&&m.call(i)&&(i.u.warn("Reloading stream after being stalled for [%s] seconds",h/1e3),f.call(i))},h))}function v(){return 1.5*this.en.averageLength<2e3?2e3:1.5*this.en.averageLength}function y(){this.u.info("[%s] Phenix stream player ended.",this.O)}return d.isSupported=function(){return this.Xi&&this.Xi.isSupported},d.prototype.on=function(t,e){return this.Wi.listen(t,e)},d.prototype.start=function(t){var e,i,n=this,r=(r=(e=this.u).getAppenders(),i=new s.Logger,o.forEach(r,function(t){t instanceof s.ConsoleAppender&&(t=new s.ConsoleAppender).setThreshold(s.level.INFO),i.addAppender(t)}),i.setUserId(e.getUserId()),i.setEnvironment(e.getEnvironment()),i.setApplicationVersion(e.getApplicationVersion()),i.setObservableSessionId(e.getObservableSessionId()),i);return this.dn=r,this.bi=t,this.q.add(this.Ji.recordTimeToFirstFrame(t)),this.q.add(this.Ji.recordRebuffering(t)),this.q.add(this.Ji.recordVideoResolutionChanges(this,t)),this.q.add(this.Ji.recordVideoPlayingAndPausing(t)),function(){var t=this,e=o.assign({bandwidthToStartAt:3e6},t.oe),e=(o.includes(this.tn,".mpd")&&t.oe.isDrmProtectedContent&&(e.drm={"com.widevine.alpha":{serverCertificateUrl:t.oe.widevineServiceCertificateUrl,mediaKeySystemConfiguration:{persistentState:"required"}},"com.microsoft.playready":{licenseServerUrl:t.oe.playreadyLicenseUrl}}),new this.Xi.WebPlayer(this.dn,this.bi,e));o.now()-this.oe.originStartTime<6e3&&this.oe.isDrmProtectedContent&&o.includes(this.tn,".m3u8")?setTimeout(o.bind(e.start,e,t.tn),6e3):e.start(t.tn),t.un=e,o.addEventListener(t.un,"error",o.bind(l,t))}.call(n),!1===n.oe.receiveAudio&&(t.muted=!0),o.addEventListener(t,"stalled",n.nn,!1),o.addEventListener(t,"pause",n.nn,!1),o.addEventListener(t,"suspend",n.nn,!1),o.addEventListener(t,"progress",n.rn,!1),o.addEventListener(t,"ended",n.sn,!1),this.oe.capabilities.includes("audio-only")||this.Yi.start(this,t),t},d.prototype.stop=function(t,e){var i=this;if(!i.cn){if(e)return i.an=!0;if(this.Yi.stop(),this.q.dispose(),this.un){e=function(){i.bi&&(o.removeEventListener(i.bi,"stalled",i.nn,!1),o.removeEventListener(i.bi,"pause",i.nn,!1),o.removeEventListener(i.bi,"suspend",i.nn,!1),o.removeEventListener(i.bi,"progress",i.rn,!1),o.removeEventListener(i.bi,"ended",i.sn,!1),"Edge"===n.browser)&&(i.bi.src=""),i.Wi.fire(r.rendererEvents.ended.name,[""]),i.un=null,i.bi=null};i.cn=!0;try{i.un.dispose(),i.u.info("[%s] Phenix stream has been destroyed",i.O),e()}catch(t){i.u.error("[%s] Error while destroying Phenix stream player [%s]",i.O,t.code,t),e(),i.Wi.fire(r.rendererEvents.error.name,["phenix-player",t])}}}},d.prototype.getStats=function(){var t,e,i;return this.un?(e=(t=this.un.getStats()).currentTime||this.bi.currentTime,i=(o.now()-this.oe.originStartTime)/1e3,t.isNative&&"Hls"===t.deliveryType&&(t.currentTime=i-t.lag),t.isNative||(t.lag=Math.max(0,i-e)),0<t.estimatedBandwidth?t.networkState=r.networkStates.networkLoading.id:0<t.playTime?t.networkState=r.networkStates.networkIdle.id:t.video?t.networkState=r.networkStates.networkEmpty.id:t.networkState=r.networkStates.networkNoSource.id,t):{width:0,height:0,currentTime:0,lag:0,networkState:r.networkStates.networkNoSource.id}},d.prototype.setDataQualityChangedCallback=function(t){e.isFunction(t,"callback"),this.dataQualityChangedCallback=t},d.prototype.getPlayer=function(){return this.un},d.prototype.addVideoDisplayDimensionsChangedCallback=function(t,e){return this.Yi.addVideoDisplayDimensionsChangedCallback(t,e)},d}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(7),i(5),i(9),i(3),i(10),i(2),i(6)],e=function(c,o,t,a,e,u,h,d,n){"use strict";var r=6e3,s=15e3,i="rtmp-flash-renderer-2019.2.18.swf",l={local:"https://local.phenixrts.com/public/rtmp/"+i,staging:"https://stg.phenixrts.com/public/rtmp/"+i,production:"https://phenixrts.com/public/rtmp/"+i};function f(t,e,i,n,r){o.isObject(n,"options"),n.env&&o.isStringNotEmpty(n.env,"options.env");var s=l[n.env||"production"];this.u=r,this.O=t,this.ln=c.map(e,function(t){return t.uri=encodeURI(t.uri).replace(/[#]/g,"%23"),t}),this.Ji=i,this.oe=n,this.I=null,this.fn=null,this.mn=null,this.Wi=new a.NamedEvents,this.Yi=new h(r),this.q=new u.DisposableList,this.nn=c.bind(g,this),this.sn=c.bind(v,this),this.Re=c.bind(m,this),this.gi=n.swfSrc||s}function m(t){this.Wi.fire(n.rendererEvents.error.name,["flash-player",t])}function p(){var t=!this.hn||c.now()-this.hn>s;return this.mn&&!this.an&&this.un&&0!==this.mn.buffered.length&&t}function g(t){var e=this,i=(e.u.info("[%s] Loading flash player stalled caused by [%s] event.",e.O,t.type),e.mn.currentTime);setTimeout(function(){e.mn&&e.mn.currentTime===i&&!e.mn.paused&&p.call(e)&&(e.u.warn("Reloading stream after being stalled for [%s] seconds",r/1e3),function(){p.call(this)&&(this.u.warn("Reloading unhealthy stream that was active for at least [%s] seconds",s/1e3),this.hn=c.now(),function(){this.fn.destroy(),this.start(this.pn)}.call(this))}.call(e))},r)}function v(){this.u.info("[%s] Flash player ended.",this.O)}f.isSupported=function(){var t=[10,0,0],e="Shockwave Flash",i=[0,0,0];if(!c.isBoolean(y)){if(c.get(d.global.navigator,["plugins",e])){var n=d.global.navigator.plugins[e].description;if(n&&c.get(d.global.navigator,["mimeTypes","application/x-shockwave-flash","enabledPlugin"],!1))for(var r=0,s=(i=n.replace(e,"").replace(/^\s+/,"").replace(/\sr/gi,".").split(".")).length;r<s;r++)i[r]=parseInt(i[r].match(/\d+/),10)}else if(d.global.ActiveXObject)try{var o,a,u=new d.global.ActiveXObject("ShockwaveFlash.ShockwaveFlash");u&&(o=u.GetVariable("$version")||"",a=c.get(o.split(" "),[1],i).split(","),i=[parseInt(a[0],10),parseInt(a[1],10),parseInt(a[2],10)])}catch(t){console.error(t)}y=i[0]>t[0]||i[0]===t[0]&&0<i[1]||i[0]===t[0]&&0===i[1]&&0<=i[2]}return y},f.prototype.on=function(t,e){return this.Wi.listen(t,e)},f.prototype.start=function(t){var e=this,i={streamId:this.O,swfSrc:this.gi};return this.pn=t,this.fn=new d.PhenixFlashVideo(t,this.ln,i),this.fn.hookUpEvents(),this.mn=this.fn.getElement(),this.q.add(this.Ji.recordTimeToFirstFrame(this.pn)),this.q.add(this.Ji.recordRebuffering(this.pn)),this.q.add(this.Ji.recordVideoResolutionChanges(this,this.pn)),this.q.add(this.Ji.recordVideoPlayingAndPausing(this.pn)),this.mn&&this.mn.play(),c.addEventListener(this.pn,"stalled",e.nn,!1),c.addEventListener(this.pn,"pause",e.nn,!1),c.addEventListener(this.pn,"suspend",e.nn,!1),c.addEventListener(this.pn,"ended",e.sn,!1),c.addEventListener(this.pn,"error",e.Re,!1),t},f.prototype.stop=function(t){var e=this;if(this.q.dispose(),this.fn){var i=function(){e.mn&&(c.removeEventListener(e.pn,"stalled",e.nn,!1),c.removeEventListener(e.pn,"pause",e.nn,!1),c.removeEventListener(e.pn,"suspend",e.nn,!1),c.removeEventListener(e.pn,"ended",e.sn,!1),c.removeEventListener(e.pn,"error",e.Re,!1)),e.mn=null,e.pn=null,e.Wi.fire(n.rendererEvents.ended.name,[t])};try{this.fn.destroy(),this.fn=null,i(),this.u.info("[%s] Flash player has been destroyed",this.O)}catch(t){e.u.error("[%s] Error while destroying Flash player [%s]",e.O,t.code,t),i(),e.Wi.fire(n.rendererEvents.error.name,["flash-player",t])}}},f.prototype.getStats=function(){var t,e,i;return this.mn?(t={},e=this.mn.currentTime,i=(c.now()-this.oe.originStartTime)/1e3,t.lag=Math.max(0,i-e),t.networkState=(0<t.estimatedBandwidth?n.networkStates.networkLoading:0<t.playTime?n.networkStates.networkIdle:t.video?n.networkStates.networkEmpty:n.networkStates.networkNoSource).id,t):{width:0,height:0,currentTime:0,lag:0,networkState:n.networkStates.networkNoSource.id}},f.prototype.setDataQualityChangedCallback=function(t){o.isFunction(t,"callback"),this.dataQualityChangedCallback=t},f.prototype.getPlayer=function(){return this.un},f.prototype.addVideoDisplayDimensionsChangedCallback=function(t,e){return this.Yi.addVideoDisplayDimensionsChangedCallback(t,e)};var y=null;return f}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(5),i(3),i(12),i(2),i(18),i(24),i(26),i(59),i(6)],e=function(o,a,u,c,h,d,n,i,r,s,l){"use strict";function f(t,e,i,n,r,s){this.O=t,this.gn=e,this.Ct=i,this.Ji=n,this.oe=r,this.u=s,this.$i=[],this.Yi=null,this.Wi=new u.NamedEvents,this.vn=[],this.yn=0,this.wn=null,this.q=new c.DisposableList,this.ot=0,this.bn=o.get(r,["iceConnectionTimeout"],12e3),this.q.add(h.onForeground(o.bind(m,this)));t=/(b=AS:([0-9]*)[\n\r]*)/gi.exec(i.remoteDescription);t&&3<=t.length&&(this.yn=1e3*t[2]),o.addEventListener(i,"iceconnectionstatechange",o.bind(p,this))}function m(){var t;this.wn&&(t=this.wn,this.wn=null,t())}function p(){var t=this,e=this.Ct.iceConnectionState;switch(e){case"checking":case"connecting":this.kn||(this.Sn=o.now(),this.kn=setTimeout(function(){t.u.warn("[%s] Stream has not connected within [%s] ms",t.O,t.bn),t.Wi.fire(l.streamEvents.playerError.name,["real-time",new Error("connection-timeout")])},t.bn));break;case"failed":this.kn&&(clearTimeout(this.kn),this.kn=null),this.u.info("[%s] Stream has failed",t.O),this.Wi.fire(l.streamEvents.playerError.name,["real-time",new Error("connection-failed")]);break;case"closed":case"disconnected":this.kn&&t.u.warn("[%s] Stream closed before it was connected",t.O);break;case"connected":this.kn&&(clearTimeout(this.kn),this.kn=null),this.ot++,this.u.info("[%s] Ice Connection completed after [%s] ms for [%s] time",this.O,o.now()-this.Sn,this.ot),this.Sn=null;break;default:this.u.info("[%s] Unsupported Ice Connection state [%s]",this.O,e)}}return f.prototype.on=function(t,e){this.Wi.listen(t,e)},f.prototype.createRenderer=function(){var i=this,t=o.get(this.Ct,["remoteDescription","sdp"]),e=Object.assign({},this.oe),n=((!t||this.oe.capabilities.includes("audio-only"))&&this.oe.capabilities.includes("video-only")||(t.includes("m=audio")||e.capabilities.push("video-only"),t.includes("m=video")||e.capabilities.push("audio-only"),t.split("m=").forEach(function(t){t.startsWith("audio")&&t.includes("a=inactive")&&e.capabilities.push("video-only"),t.startsWith("video")&&t.includes("a=inactive")&&e.capabilities.push("audio-only")})),new s(this.O,this.gn,this.Ji,e,this.u));return n.on(l.rendererEvents.error.name,function(t,e){i.Wi.fire(l.streamEvents.playerError.name,[t,e])}),n.on(l.rendererEvents.ended.name,function(t){i.$i=o.filter(i.$i,function(t){return t!==n}),0===i.$i.length&&(i.Ji.stop(),i.Wi.fire(l.streamEvents.playerEnded.name,[t]))}),this.$i.push(n),n},f.prototype.select=function(t){a.isFunction(t,"trackSelectCallback"),a.isFunction(d.global.MediaStream,"rtc.global.MediaStream");for(var i,e,n=this.gn.getTracks(),r=new d.global.MediaStream,s=0;s<n.length;s++)t(n[s],s)&&r.addTrack(n[s]);return 0===r.getTracks().length?this.u.warn("No tracks selected"):((e=new f((i=this).O,r,this.Ct,this.Ji,this.oe,this.u)).on(l.streamEvents.stopped.name,function(t){var e=i.gn;o.reduce(e.getTracks(),function(t,e){return t&&(a.isObject(t=e,"track"),"ended"===t.readyState)},!0)&&i.Wi.fire(l.streamEvents.stopped.name,[t])}),this.vn.push(e),e)},f.prototype.setStreamEndedCallback=function(t){a.isFunction(t,"callback"),this.In=t},f.prototype.setStreamErrorCallback=function(t){a.isFunction(t,"callback"),this.Rn=t},f.prototype.streamEndedCallback=function(t,e,i){o.forEach(this.vn,function(t){t.streamEndedCallback(e,i)}),o.isFunction(this.In)&&this.In(this,e,i)},f.prototype.streamErrorCallback=function(t,e,i){o.forEach(this.vn,function(t){t.streamErrorCallback(e,i)}),o.isFunction(this.Rn)&&this.Rn(t,e,i)},f.prototype.stop=function(t){var e;this.isActive()&&(this.q.dispose(),(e=this.gn)&&o.isFunction(e.stop,"stream.stop")&&e.stop(),o.forEach(e&&e.getTracks?e.getTracks():[],function(t){t.stop()}),this.u.info("[%s] stop [real-time] media stream with reason [%s]",this.O,t),this.Wi.fire(l.streamEvents.stopped.name,[t]),this.Zi=!0)},f.prototype.monitor=function(t,n){a.isObject(t,"options"),a.isFunction(n,"callback");var r=this,e=new i(r.O,r.Ct,r.u);return t.direction="inbound",e.start(t,function(){return r.isActive()},function t(e,i){return e&&r.u.warn("[%s] Media stream monitor triggered unrecoverable error [%s]",r.O,e),d.isIOS&&!h.isForeground()?(r.u.info("[%s] Media stream monitor triggered event while app is in the background. Waiting until foreground to trigger event.",r.O),r.wn=t.bind(null,e,i)):(r.u.warn("[%s] Media stream triggered monitor condition for [%s] [%s]",r.O,i.type,i.reasons),n(r,"client-side-failure",i))}),this.jt=e},f.prototype.getMonitor=function(){return this.jt},f.prototype.addBitRateThreshold=function(t,e){var i=this;return new r("Media Stream",this.jt,function(){return i.yn}).addThreshold(t,e)},f.prototype.getStream=function(){return this.gn},f.prototype.isActive=function(){return!this.Zi},f.prototype.getStreamId=function(){return this.O},f.prototype.getStats=function(e){a.isFunction(e,"callback"),this.Tt||(this.Tt={});var i=this;return d.getStats(this.Ct,null,function(t){e(n.convertPeerConnectionStats(t,i.Tt))})},f.prototype.getRenderer=function(){return o.get(this.$i,[0],null)},f.prototype.toString=function(){return"PhenixRealTimeStream["+this.O+"]"},f}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(5),i(9),i(3),i(12),i(8),i(60),i(10),i(2),i(6)],e=function(s,e,o,t,a,u,c,h,d,r,l){"use strict";var n=1e3,f=200;function i(t,e,i,n,r){this.u=r,this.O=t,this.gn=e,this.Ji=i,this.oe=n,this.I=null,this.bi=null,this.Yi=new d(r),this.Wi=new o.NamedEvents,this.q=new a.DisposableList,this.Ye=new c(s.get(h,["navigator","userAgent"],"")).detect(),this.Tn=!1,this.qn=0,this.En=0,this.q.add(u.onBackground(s.bind(g,this))),this.q.add(u.onForeground(s.bind(v,this))),this.Cn=s.bind(m,this),this.sn=s.bind(p,this)}function m(t){var e=s.now()-this.qn<n;"pause"===t.type&&e&&(this.Tn=!0),this.En=s.now(),this.u.info("[%s] Loading Phenix Real-Time stream player stalling caused by [%s] event.",this.O,t.type)}function p(){this.u.info("[%s] Phenix Real-Time stream ended.",this.O)}function g(){var t,e;this.bi&&(t=!1,e=s.now()-this.En<n,s.isBoolean(this.bi.playing)?t=this.bi.playing:s.isBoolean(this.bi.paused)&&(t=!this.bi.paused),this.Tn=t=!t&&e||t,this.qn=s.now())}function v(){var e,t,i;this.bi&&((e=this).qn=0,this.En=0,this.Tn?(this.u.info("[%s] Resume playing after entering foreground [%s]",this.O,this.Ye.browser),"Safari"===this.Ye.browser&&r.isIOS&&(s.addEventListener(e.bi,"pause",t=function(){e.u.info("Renderer was paused after entering foreground"),e.Wi.fire(l.rendererEvents.failedToPlay.name,["paused-by-background"])}),i=setTimeout(function(){s.removeEventListener(e.bi,"pause",t)},n),this.q.add(new a.Disposable(function(){clearTimeout(i)})),setTimeout(function(){e.bi.play().catch(function(t){e.u.info("[%s] Unable to resume playback after entering foreground",e.O,t),e.bi.src="",e.u.info("[%s] (Re)starting renderer",e.O),e.start(e.bi)})},f))):this.u.info("[%s] Entering foreground with paused renderer [%s]",this.O,this.Ye.browser))}return i.prototype.on=function(t,e){if("userActionRequired"===t)throw new Error('"userActionRequired is no longer supported. See https://phenixrts.com/docs/web/#view-a-channel and https://phenixrts.com/docs/web/#channel-viewer');return this.Wi.listen(t,e)},i.prototype.start=function(e){var i=this,n=!!s.find(this.gn.getTracks(),function(t){return"audio"===t.kind});return this.oe.canPlaybackAudio||(this.oe.disableAudioIfNoOutputFound&&this.oe.forcedAudioDisabled?this.u.warn("[%s] Missing audio playback device. Audio has been disabled on stream. Try setting up an audio device and re-subscribe in order to receive audio.",this.O):!this.oe.disableAudioIfNoOutputFound&&n&&this.u.warn("[%s] Missing audio playback device. May experience audio and/or video failure. Try setting up an audio device OR pass the [disableAudioIfNoOutputFound] option when subscribing to disable audio playback when no devices are attached.",this.O)),this.bi=r.attachMediaStream(e,this.gn,function(t){if(t)return e.muted||!n?(i.u.warn("[%s] Failed to play muted stream.",i.O,t),i.Wi.fire(l.rendererEvents.failedToPlay.name,["failed-to-play"])):i.oe.disableAutoMuting?(i.u.warn("[%s] Failed to play unmuted stream.",i.O,t),i.Wi.fire(l.rendererEvents.failedToPlay.name,["failed-to-play-unmuted"])):(i.u.debug("[%s] Failed to start playing stream. Auto muting the playback and trying again.",i.O),e.muted=!0,void(i.bi=r.attachMediaStream(e,i.gn,function(t){if(t)return i.u.warn("[%s] Failed to play even after auto muting.",i.O,t),e.muted=!1,i.Wi.fire(l.rendererEvents.failedToPlay.name,["failed-to-play"]);i.u.info("[%s] Successfully started playing stream after auto muting. User may manually unmute with user triggered action.",i.O),i.Wi.fire(l.rendererEvents.autoMuted.name,["retry-play-muted"])})));i.u.debug("[%s] Successfully started playing stream.",i.O)}),this.q.add(this.Ji.recordTimeToFirstFrame(e)),this.q.add(this.Ji.recordRebuffering(e)),this.q.add(this.Ji.recordVideoResolutionChanges(this,e)),this.q.add(this.Ji.recordVideoPlayingAndPausing(e)),!1===this.oe.receiveAudio&&(e.muted=!0),s.addEventListener(e,"stalled",this.Cn,!1),s.addEventListener(e,"pause",this.Cn,!1),s.addEventListener(e,"suspend",this.Cn,!1),s.addEventListener(e,"ended",this.sn,!1),this.oe.capabilities.includes("audio-only")||this.Yi.start(this,e),e},i.prototype.stop=function(t){this.Yi.stop(),this.q.dispose(),this.bi&&(s.removeEventListener(this.bi,"stalled",this.Cn,!1),s.removeEventListener(this.bi,"pause",this.Cn,!1),s.removeEventListener(this.bi,"suspend",this.Cn,!1),s.removeEventListener(this.bi,"ended",this.sn,!1),s.isFunction(this.bi.pause)&&this.bi.pause(),"Edge"===this.Ye.browser&&(this.bi.src=""),this.bi.src&&("IE"===this.Ye.browser?this.bi.src=null:this.bi.src=""),this.bi.srcObject&&(this.bi.srcObject=null),this.bi=null),this.u.info("[%s] Phenix real-time renderer has been destroyed",this.O),this.Wi.fire(l.rendererEvents.ended.name,[t])},i.prototype.getStats=function(){var t,e;return this.bi?(t=(s.now()-this.oe.originStartTime)/1e3,e=this.oe.networkLag/1e3,{width:this.bi.videoWidth||this.bi.width,height:this.bi.videoHeight||this.bi.height,currentTime:t,lag:e,networkState:this.bi.networkState}):{width:0,height:0,currentTime:0,lag:0,networkState:l.networkStates.networkNoSource.id}},i.prototype.setDataQualityChangedCallback=function(t){e.isFunction(t,"callback"),this.dataQualityChangedCallback=t},i.prototype.addVideoDisplayDimensionsChangedCallback=function(t,e){return this.Yi.addVideoDisplayDimensionsChangedCallback(t,e)},i}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e){t.exports=f},function(t,e,i){i=[i(0),i(1),i(4),i(29)],e=function(i,t,r,c){"use strict";function e(t,e,i,n,r,s,o,a,u){this.init(t,e,i,n,r,s,o,a,u)}function s(){throw new Error("ImmutableRoom is Immutable")}function o(){throw new Error("Unable to subscribe to Immutable [ImmutableRoom]")}function h(t,e){i.isArray(t)?i.forEach(t,function(t){n(t,e)}):i.isObject(t)&&i.forOwn(t,function(t){i.includes(e,t)||n(t,e)})}function n(t,e){var i,n=e;((i=t)instanceof r.Observable||i instanceof r.ObservableArray)&&(i.setValue=s,i.subscribe=o,h(i.getValue(),n)),h(t,e)}return e.prototype.init=function(t,e,i,n,r,s,o,a,u){this.Ke=new c(t,e,i,n,r,s,o,a,u),h(this.Ke,[t])},e.prototype.getRoomId=function(){return this.Ke.getRoomId()},e.prototype.getObservableAlias=function(){return this.Ke.getObservableAlias()},e.prototype.getObservableName=function(){return this.Ke.getObservableName()},e.prototype.getObservableDescription=function(){return this.Ke.getObservableDescription()},e.prototype.getObservableType=function(){return this.Ke.getObservableType()},e.prototype.getObservableMembers=function(){return this.Ke.getObservableMembers()},e.prototype.getObservableBridgeId=function(){return this.Ke.getObservableBridgeId()},e.prototype.getObservablePin=function(){return this.Ke.getObservablePin()},e.prototype.toString=function(){return this.Ke.toString()},e.prototype.toJson=function(){return this.Ke.toJson()},e.prototype.commitChanges=s,e.prototype.reload=s,e.prototype.A=s,e.prototype.Jt=s,e.prototype.Kt=s,e.prototype.Qt=s,e}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(4),i(3),i(63)],e=function(s,e,i,n,r){"use strict";var o=100;function t(t){e.isObject(t,"roomService"),e.isObject(t.Yt,"roomService._pcast"),this.ce=t,this.Mn=new i.ObservableArray([]),this.xn=new i.Observable(null),this.q=new n.DisposableList,this.Pn=null,this.setPCast(t.Yt)}function a(t){t&&this.Pn===t.getRoomId()||(c.call(this),t&&u.call(this))}function u(){c.call(this),this.Dn=function(t){var n=this.ce.getObservableActiveRoom().getValue().getRoomId(),r=(this.Pn=n,this);return this.Mn.setValue([]),this.Un.subscribeAndLoadMessages(n,t,function(t,e){if(t)throw t;if("ok"!==e.status)throw new Error("Unable to subscribe to room chat. Status ["+e.status+"]");var i=r.Mn.getValue();s.forEach(e.chatMessages,function(t){for(var e=i.length;0<e&&t.messageId<s.get(i,[e-1,"messageId"]);)e--;0===e&&0<i.length?r.u.info("[%] Ignoring message [%s]/[%s] prior to current chat history to prevent gaps.",n,t.messageId,t.timestamp):0<e&&s.get(i,[e-1,"messageId"])===t.messageId?r.u.info("[%] Ignoring duplicate message [%s]/[%s]",n,t.messageId,t.timestamp):(i.splice(e,0,t),r.xn.setValue(t))}),i.length>o&&i.splice(0,i.length-o),r.Mn.setValue(i)})}.call(this,this.On)}function c(){this.Dn&&this.Dn.dispose&&this.Dn.dispose()}return t.prototype.setPCast=function(t){e.isObject(t,"pcast"),e.isFunction(t.getLogger,"pcast.getLogger"),this.Yt=t,this.u=t.getLogger(),this.Un?this.Un.setPCast(t):this.Un=new r(t)},t.prototype.getBatchSize=function(){return this.On},t.prototype.start=function(t){this.On=t||0,this.Un.start(),function(){var t=this.ce.getObservableActiveRoom().subscribe(s.bind(a,this));this.q.add(t)}.call(this),u.call(this)},t.prototype.stop=function(){this.Un.stop(),c.call(this),this.q&&this.q.dispose()},t.prototype.getObservableChatMessages=function(){return this.Mn},t.prototype.getObservableLastChatMessage=function(){return this.xn},t.prototype.getObservableChatEnabled=function(){return this.Un.getObservableChatEnabled()},t.prototype.canSendMessage=function(){return this.Un.canSendMessage()},t.prototype.sendMessageToRoom=function(t,e){var i,n,r,s=this.ce.getObservableActiveRoom().getValue();return s?(s=s.getRoomId(),(r=this.ce.Vt.getValue())?(i=r.getObservableScreenName().getValue(),n=r.getObservableRole().getValue(),r=r.getLastUpdate(),void this.Un.sendMessageToRoom(s,i,n,r,t,e)):e(new Error("No record for oneself"),null)):e(new Error("Not in room"),null)},t.prototype.getMessages=function(t,e,i,n){var r=this.ce.getObservableActiveRoom().getValue().getRoomId();return this.Un.getMessages(r,t,e,i,n)},t.prototype.toString=function(){return"RoomChatService"},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(4),i(3),i(28)],e=function(e,a,i,r,n){"use strict";function t(t){a.isObject(t,"pcast"),a.isFunction(t.getLogger,"pcast.getLogger"),a.isFunction(t.getProtocol,"pcast.getProtocol"),this.Yt=t,this.u=t.getLogger(),this.ut=t.getProtocol(),this.oi=new i.Observable(!1),a.isObject(this.u,"this._logger"),a.isObject(this.ut,"this._protocol"),this.Gt=new n(t)}function s(t){var e;a.isObject(t,"event"),a.isStringNotEmpty(t.roomId,"event.roomId"),a.isStringNotEmpty(t.eventType,"event.eventType"),a.isArray(t.chatMessages,"event.chatMessages"),"Message"===t.eventType?(this.u.debug("[%s] Room messages [%s]",t.roomId,t.chatMessages),e=this.An[t.roomId],c(t.chatMessages),e&&e(null,{status:"ok",chatMessages:t.chatMessages})):this.u.warn("Unsupported room conversation event [%s]",t.eventType)}function o(t){}function u(){if(!this.oi.getValue())throw new Error("ChatService not Enabled. Please start before performing actions.")}function c(t){e.forEach(t,function(t){t.timestamp&&(t.timestamp=e.utc(t.timestamp)),t.from&&(t.from.lastUpdate=e.utc(t.from.lastUpdate))})}return t.prototype.setPCast=function(t){a.isObject(t,"pcast"),a.isFunction(t.getLogger,"pcast.getLogger"),a.isFunction(t.getProtocol,"pcast.getProtocol"),this.Yt=t,this.u=t.getLogger(),this.ut=t.getProtocol(),this.Gt.setPCast(t)},t.prototype.start=function(){var t;this.oi.getValue()||(this.q=new r.DisposableList,this.An={},this.oi.setValue(!0),function(){var t=this.Gt.getObservableStatus().subscribe(e.bind(o,this));this.q.add(t)}.call(this),t=this.ut.onEvent("chat.RoomConversationEvent",e.bind(s,this)),this.q.add(t))},t.prototype.stop=function(){this.oi.getValue()&&(this.oi.setValue(!1),this.q)&&this.q.dispose()},t.prototype.getObservableChatEnabled=function(){return this.oi},t.prototype.canSendMessage=function(){return this.Gt.checkAuthorized()},t.prototype.sendMessageToRoom=function(t,e,i,n,r,s){!function(t,e,i,n,r,s){a.isStringNotEmpty(t,"roomId"),a.isStringNotEmpty(e,"screenName"),a.isStringNotEmpty(i,"role"),a.isNumber(n,"lastUpdate"),a.isStringNotEmpty(r,"message"),a.isFunction(s,"callback"),u.call(this),this.Gt.assertAuthorized();var i={messageId:"",timestamp:0,from:{sessionId:this.Gt.getPCastSessionId(),screenName:e,role:i,lastUpdate:n},message:r},o=(this.u.info("Send message to room [%s] from [%s]",t,e),this);return this.ut.sendMessageToRoom(t,i,function(t,e){if(t)return o.u.error("Send message to room failed with error [%s]",t),s(t,null);t={status:e.status};"ok"!==e.status&&o.u.warn("Send message to room failed with status [%s]",e.status),s(null,t)})}.call(this,t,e,i,n,r,s)},t.prototype.subscribeAndLoadMessages=function(t,e,i){i=function(t,e){var i=this,n=(this.An[t]=e,new r.Disposable(function(){i.An[t]===e&&delete i.An[t]}));return this.q.add(n),n}.call(this,t,i);return function(n,t){a.isStringNotEmpty(n,"roomId"),a.isNumber(t,"batchSize"),u.call(this),this.Gt.assertAuthorized();var e=this.Gt.getPCastSessionId(),r=(this.u.info("Subscribe to room [%s] conversation with batch size of [%s]",n,t),this);this.ut.subscribeToRoomConversation(e,n,t,function(t,e){var i=r.An[n];return i?t?(r.u.error("Subscribe to room conversation failed with error [%s]",t),i(t,null)):(t={status:e.status},"ok"!==e.status?(delete r.An[n],r.u.warn("Subscribe to room conversation failed with status [%s]",e.status),i(null,t)):(t.chatMessages=e.chatMessages,c(t.chatMessages),void i(null,t))):r.u.warn("No subscription callback set for room [%s]",n)})}.call(this,t,e),i},t.prototype.getMessages=function(t,e,i,n,r){!function(t,e,i,n,r){a.isStringNotEmpty(t,"roomId"),a.isFunction(r,"callback"),n&&i||a.isNumber(e,"batchSize"),n&&a.isStringNotEmpty(n,"beforeMessageId"),i&&a.isStringNotEmpty(i,"afterMessageId"),u.call(this),this.Gt.assertAuthorized();var s=this.Gt.getPCastSessionId(),o=(this.u.info("Get messages from room [%s] conversation with batch size of [%s], after [%s], and before [%s]",t,e,i,n),this);this.ut.getMessages(s,t,e,i,n,function(t,e){return t?(o.u.error("Get messages from room conversation failed with error [%s]",t),r(t,null)):(t={status:e.status},"ok"!==e.status?(o.u.warn("Get messages from room conversation failed with status [%s]",e.status),r(null,t)):(t.chatMessages=e.chatMessages,c(t.chatMessages),void r(null,t)))})}.call(this,t,e,i,n,r)},t.prototype.toString=function(){return"ChatService"},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(15),i(17),i(23),i(65),i(67)],e=function(i,n,r,s,o,a,u){"use strict";function t(t,e){n.isArray(t,"userMediaStreams"),this.T=(e=e||{}).uri||s.DefaultPCastUri,this.u=e.logger||r.createPCastLogger(this.T),this.qt=e.audioContext||new o,this.Fn=this.qt.getNativeAudioContext(),this.Nn=null,this.Ln=t,this.Bn=!i.isObject(e.audioContext),this.jn=new a(this.u),i.forEach(this.Ln,i.bind(c,this,e))}function c(t,e){n.isObject(e,"stream"),n.isObject(t,"options");var i=this.jn.getAudioVolumeMeter(e);i.init(this.Fn,t.alpha),i.connect(e)}function h(t,e){n.isObject(e,"stream"),n.isObject(t,"options");var e=this.jn.getAudioVolumeMeter(e),i=new u(this.u);t.alpha&&e.setAlpha(t.alpha),i.onValue(this.Nn),i.startDetection(e,t)}return t.prototype.start=function(t,e){n.isFunction(e,"callback"),this.Nn=e,i.forEach(this.Ln,i.bind(h,this,t=t||{}))},t.prototype.stop=function(){i.forEach(this.getAudioVolumeMeters(),function(t){t.onValue(function(){})}),this.Nn=null},t.prototype.getAudioVolumeMeter=function(t){return n.isObject(t,"stream"),this.jn.getAudioVolumeMeter(t)},t.prototype.getAudioVolumeMeters=function(){return this.jn.getAudioVolumeMeters()},t.prototype.dispose=function(){this.Bn&&this.Fn.close(),this.jn.stopAllMeters(),this.Ln=null},t.prototype.toString=function(){return"AudioSpeakerDetector"},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(66)],e=function(t,e,i){"use strict";function n(t){e.isObject(t,"logger"),this.u=t,this._n={}}return n.prototype.stopAllMeters=function(){t.forOwn(this._n,function(t){t.stop()})},n.prototype.getAudioVolumeMeter=function(t){return e.isObject(t,"stream"),e.isStringNotEmpty(t.id,"streamId"),this._n[t.id]||(this._n[t.id]=new i(this.u)),this._n[t.id]},n.prototype.getAudioVolumeMeters=function(){return t.values(this._n)},n.prototype.toString=function(){return"AudioVolumeMeterFactory"},n}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1)],e=function(s,i){"use strict";function t(t){i.isObject(t,"logger"),this.u=t}function n(t){for(var e=t.inputBuffer.getChannelData(0),i=0,n=0,r=0;r<e.length;r++)i+=e[r]*e[r],.99<Math.abs(e[r])&&n++;this.Vn=Math.sqrt(i/e.length),this.Wn=this.zn*this.Vn+(1-this.zn)*this.Wn,this.Hn=Math.max(this.Vn,this.zn*this.Vn+(1-this.zn)*this.Hn),this.Gn=n,this.Kn&&this.Kn.call(this,{date:s.now(),value:this.Vn,smoothedValue:this.Wn,smoothedPeakValue:this.Hn,clipped:this.Gn})}return t.prototype.init=function(t,e){i.isObject(t,"context"),i.isFunction(t.createScriptProcessor,"context.createScriptProcessor"),e=parseFloat(e||1/16),i.isNumber(e,"alpha"),this.Jn=t,this.zn=e,this.Vn=0,this.Wn=0,this.Hn=0,this.Gn=0,this.Qn=t.createScriptProcessor(4096,1,1),s.addEventListener(this.Qn,"audioprocess",s.bind(n,this))},t.prototype.onValue=function(t){this.Kn=t},t.prototype.getValue=function(){return this.Vn},t.prototype.getSmoothedValue=function(){return this.Wn},t.prototype.getSmoothedPeakValue=function(){return this.Hn},t.prototype.setAlpha=function(t){i.isNumber(t,"alpha"),this.zn=parseFloat(t)},t.prototype.connect=function(t){return function(t){i.isObject(t,"stream"),0<t.getAudioTracks().length?(this.Xn=this.Jn.createMediaStreamSource(t),this.Xn.connect(this.Qn),this.Qn.connect(this.Jn.destination)):this.u.info("Stream has no audio tracks")}.call(this,t)},t.prototype.stop=function(){return function(){this.Xn&&this.Xn.disconnect(),this.Qn.disconnect()}.call(this)},t.prototype.toString=function(){return"AudioVolumeMeter"},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1)],e=function(l,f){"use strict";function t(t){f.isObject(t,"logger"),this.u=t,this.init()}return t.prototype.init=function(){},t.prototype.onValue=function(t){this.Kn=t},t.prototype.startDetection=function(t,e){return function(s,t){f.isObject(s,"audioVolumeMeter");var o=this,a=(t=t||{}).speakingHysteresisInterval||50,u=t.silenceHysteresisInterval||1500,c=(f.isNumber(a,"options.speakingHysteresisInterval"),f.isNumber(u,"options.silenceHysteresisInterval"),!1),h=l.now()+a,d=l.now()+u;s.onValue(function(t){f.isObject(s,"audioVolumeMeter"),f.isNumber(t.date,"value.date"),f.isNumber(t.value,"value.value"),f.isNumber(t.smoothedValue,"value.smoothedValue"),f.isNumber(t.smoothedPeakValue,"value.smoothedPeakValue"),f.isNumber(t.clipped,"value.clipped");var e=.01<t.value&&t.value>2*t.smoothedValue&&t.value>.25*t.smoothedPeakValue,i=t.value>.8*t.smoothedValue,n=t.value<.5*t.smoothedValue,r=!e;(e||c&&i)&&h<t.date?(d=l.utc(t.date)+u,c||(c=!0,o.u.info("Speaking detected"),o.Kn&&o.Kn("speaking"))):(n||!c&&r)&&d<t.date&&(h=l.utc(t.date)+a,c)&&(c=!1,o.u.info("Silence detected"),o.Kn)&&o.Kn("silence")})}.call(this,t,e)},t.prototype.toString=function(){return"AudioSpeakerDetection"},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(15),i(17),i(69)],e=function(i,n,r,s,o){"use strict";function t(t,e){n.isArray(t,"userMediaStreams"),this.T=(e=e||{}).uri||s.DefaultPCastUri,this.u=e.logger||r.createPCastLogger(this.T),this.$n=[],this.lt=t}function a(t,e,i){i=new o(i);i.connect(t,e),this.$n.push(i)}return t.prototype.start=function(t,e){i.forEach(this.lt,i.bind(a,this,t,e=e||{}))},t.prototype.stop=function(){i.forEach(this.$n,function(t){t.close()}),this.$n=[]},t.prototype.toString=function(){return"BandwidthMonitor"},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1)],e=function(i,n){"use strict";function t(t){this.init(t)}function r(t,e){if(this.Yn&&this.Yn.dispose(),!e)return this.Zn.limitBandwidth(t);e=e.getObservableMembers();this.Yn=e.subscribe(i.bind(s,this,t),{initial:"notify"})}function s(t,e){e.length!==this.tr&&(this.tr=e.length,e=t/Math.max(1,this.tr-1),this.Zn.limitBandwidth(e))}return t.prototype.init=function(t){n.isObject(t,"publisher"),this.Zn=t,this.tr=0,this.er=null,this.Yn=null},t.prototype.connect=function(t,e){n.isObject(t,"roomService"),e=e||{};t=t.getObservableActiveRoom(),e=e.roomBandwidthLimit||5e6;this.er=t.subscribe(i.bind(r,this,e),{initial:"notify"})},t.prototype.close=function(){this.er&&this.er.dispose(),this.Yn&&this.Yn.dispose(),this.er=null,this.Yn=null},t.prototype.toString=function(){return"PublisherBandwidthAdjuster"},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1)],e=function(d,n){"use strict";var l=[{"9x16":[{3840:2160},{1920:1080},{1366:768},{1280:720},{1024:576},{854:480},{640:360},{320:180}]},{"3x4":[{1600:1200},{1440:1080},{960:720},{800:600},{768:576},{640:480},{480:360},{352:288},{320:240},{176:144},{160:120}]},{"16x9":[{2160:3840},{1080:1920},{768:1366},{720:1280},{576:1024},{480:854},{360:640},{180:320}]},{"4x3":[{1200:1600},{1080:1440},{720:960},{600:800},{576:768},{480:640},{360:480},{288:352},{240:320},{144:176},{120:160}]}],r={fallbackToLower:{id:0,name:"fallbackToLower"},fallbackToHigher:{id:1,name:"fallbackToHigher"},fallbackToLowerThenHigher:{id:2,name:"fallbackToLowerThenHigher"},exact:{id:3,name:"exact"}};function t(t){n.isObject(t,"options"),t.resolutionSelectionStrategy&&n.isValidType(t.resolutionSelectionStrategy,r,"options.resolutionSelectionStrategy"),t.aspectRatio&&n.isStringNotEmpty(t.aspectRatio,"options.aspectRatio"),t.resolution&&n.isNumber(t.resolution,"options.resolution"),t.frameRate&&n.isNumber(t.frameRate,"options.frameRate"),this.ir=t.resolutionSelectionStrategy||r.fallbackToLowerThenHigher.name,this.ge=t.aspectRatio||"16x9",this.nr=parseInt(t.resolution,10)||720,this.rr=function(t,e){switch(n.isStringNotEmpty(t,"aspectRatio"),n.isNumber(e,"resolution"),t){case"16x9":case"4x3":return e;case"9x16":return i(16/9*e);case"3x4":return i(4/3*e);default:throw new Error("Aspect Ratio not supported")}}.call(this,this.ge,this.nr),this.sr=t.frameRate||15}function i(t){return n.isNumber(t,"value"),2*Math.floor((t+1)/2)}function s(t,e){var i,n,r,s,o=f(e,l),e=m(e,l),a=m(t.toString(),o),u=0===a,c=l.length-1===e;if(a<0){if((a=h(t,o))<0)return null}else{if(u)return c||(n=f(i=p(++e,l),l),(a=h(this.rr,n))<0)?null:(r=p(a,o),s=this.calculateLongerDimensionByAspectRatio(r,i),{resolution:Math.min(r,s),aspectRatio:i,height:parseInt(r,10),width:parseInt(s,10)});a--}return i=p(e,l),r=p(a,n=g(e,l)),s=n[a][r],{resolution:Math.min(r,s),aspectRatio:i,height:parseInt(r,10),width:s}}function o(t,e){var i,n,r,s,o,a=f(e,l),e=m(e,l),u=m(t.toString(),a),c=u===a.length-1,h=l.length-1===e;if(d.isNumber(u)){if(c)return h?null:(i=p(++e,l),n=this.rr,r=this.calculateLongerDimensionByAspectRatio(n,i),{resolution:Math.min(n,r),aspectRatio:i,height:parseInt(n,10),width:parseInt(r,10)});u++}else if(s=t,o=a,!(u=d.keys(o[o.length-1])[0]>s?null:d.reduce(o,function(t,e,i){var n;return t&&(n=d.keys(o[t])[0],e=d.keys(e)[0],s<e||!(Math.abs(s-e)<Math.abs(s-n)))?t:i})))return;return i=p(e,l),n=p(u,c=g(e,l)),r=c[u][n],{resolution:Math.min(n,r),aspectRatio:i,height:parseInt(n,10),width:parseInt(r,10)}}function f(e,t){t=d.find(t,function(t){return Object.prototype.hasOwnProperty.call(t,e)});return t?t[e]:null}function m(e,t){return d.findIndex(t,function(t){return Object.prototype.hasOwnProperty.call(t,e)})}function p(t,e){return d.keys(e[t])[0]}function g(t,e){var i=d.keys(e[t]);return e[t][i[0]]}function h(r,s){return d.keys(s[0])[0]<r?-1:d.reduce(s,function(t,e,i){var n;return t&&(n=d.keys(s[t])[0],(e=d.keys(e)[0])<r||!(Math.abs(r-e)<Math.abs(r-n)))?t:i})}return t.prototype.getDefaultResolution=function(){var t=this.calculateLongerDimensionByAspectRatio(this.nr,this.ge);switch(this.ge){case"9x16":case"3x4":return{resolution:this.nr,aspectRatio:this.ge,height:t,width:this.nr};default:return{resolution:this.nr,aspectRatio:this.ge,height:this.nr,width:t}}},t.prototype.getDefaultFrameRate=function(){return this.sr},t.prototype.getNextResolution=function(t,e){switch(n.isNumber(t,"height"),n.isStringNotEmpty(e,"aspectRatio"),this.ir){case r.fallbackToLower.name:return o.call(this,t,e);case r.fallbackToHigher.name:return s.call(this,t,e);case r.fallbackToLowerThenHigher.name:var i=null;return t>this.rr?i=s.call(this,t,e):(i=o.call(this,t,e))&&i.height||(i=s.call(this,this.nr,this.ge)),i;default:return void r.exact.name}},t.prototype.canResolveNextResolution=function(){return this.ir!==r.exact.name},t.prototype.calculateLongerDimensionByAspectRatio=function(t,e){switch(e){case"16x9":case"9x16":return i(16/9*t);case"4x3":case"3x4":return i(4/3*t);default:throw new Error("Aspect Ratio not supported")}},t}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){e=function(){"use strict";return{errorSeverity:{recoverable:{id:1,name:"RECOVERABLE"},critical:{id:2,name:"CRITICAL"}}}}.apply(e,[]);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(4),i(3),i(34),i(73),i(36),i(35),i(19),i(14),i(13),i(20)],e=function(y,n,t,e,i,r,s,o,a,w,b,u){"use strict";var c={reconnectOptions:{maxOfflineTime:864e5,maxReconnectFrequency:6e4}};function h(t){n.isObject(t,"options"),t.roomExpress&&n.isObject(t.roomExpress,"options.roomExpress"),this.ar=y.assign(y.clone(c),t),this.ur=t.roomExpress||new i(this.ar),this.cr=!t.roomExpress,this.u=this.ur.getPCastExpress().getPCast().getLogger()}function k(t,e,i){i&&y.hasIndexOrKey(i,"roomService")&&(i.channelService=i.roomService?new r(i.roomService):null,delete i.roomService),i&&y.hasIndexOrKey(i,"room")&&(i.channel=i.room?new s(i.room):null,delete i.room),t(e,i)}return h.prototype.dispose=function(){this.Ce&&(this.Ce.dispose(),this.Ce=null),this.cr&&this.ur.dispose(),this.u.info("Disposed channel express instance")},h.prototype.getRoomExpress=function(){return this.ur},h.prototype.getPCastExpress=function(){return this.ur.getPCastExpress()},h.prototype.joinChannel=function(u,s,c){if(n.isObject(u,"options"),n.isFunction(s,"joinChannelCallback"),n.isFunction(c,"subscriberCallback"),"capabilities"in u)throw new Error('"options.capabilities" is no longer supported. Please use "options.token" instead.');if("channelId"in u)throw new Error('"options.channelId" is no longer supported. Please use "options.token" instead.');if("alias"in u)throw new Error('"options.alias" is no longer supported. Please use "options.token" instead.');u.videoElement&&n.isObject(u.videoElement,"options.videoElement"),u.streamSelectionStrategy&&n.isStringNotEmpty(u.streamSelectionStrategy,"options.streamSelectionStrategy");function h(){null!==v&&(g.u.info("[%s] Clearing member selection backoff interval",p),clearTimeout(v),v=null);for(var t=0;t<r.length;t++)r[t].dispose();r=[]}var d,l,f,t=y.assign({type:w.types.channel.name,role:b.roles.audience.name},u),e=y.get(u,["failureCountForBanningAMember"]),i=y.get(u,["banMemberOnCapacityFailureCount"]),m=new o(u.streamSelectionStrategy,this.u,{failureCountForBanningAMember:e,banMemberOnCapacityFailureCount:i}),r=[],p="",g=this,v=null;g.ur.joinRoom(t,function(t,e){var i,n,r=!e||y.assign({},e);g.Ce&&(g.Ce.dispose(),g.Ce=null),e&&e.roomService&&(i=e.roomService.leaveRoom,n=e.roomService.getObservableActiveRoom().getValue(),f=e.roomService,p=n?n.getRoomId():"",g.u.info("Joined channel [%s] with [%s] selection strategy",p,m.getStrategy()),r.roomService.leaveRoom=function(t){d&&d.stop("leave-channel"),h(),i(t)}),k(s,t,r)},function n(o,a){h(),g.u.info("[%s] Members changed with status [%s]. Channel has [%s] active members.",p,a,o.length);for(var t=function(){var t=y.filter(o,function(t){return t.getObservableRole().getValue()===b.roles.presenter.name&&0<t.getObservableStreams().getValue().length}),e=m.getNext(t),e=e?e.getObservableStreams().getValue()[0]:null,i=e?e.getPCastStreamId():"";if(!e)return 0===t.length?(m.reset(),c(l=d=null,{status:"no-stream-playing"})):a?(g.u.info("Unable to find a new presenter to replace stream [%s] that ended in channel [%s] with status [%s] and [%s] black-listed members",l,p,a,m.getNumberOfMembersWithFailures()),l&&d&&d.isActive()&&d.stop("presenter-failure"),c(null,{status:a||"unable-to-recover"})):c(null,{status:"no-stream-playing"});if(!i)return g.u.info("Channel [%s] presenter has no stream",p),c(null,{status:"no-stream-playing"});if(l&&d)if(i===l){if(!a)return;g.u.info("[%s] Stream [%s] ended with status [%s], retrying",p,l,a),d.stop("same-presenter-failure")}else g.u.info("[%s] Stream [%s] ended with status [%s], failing over to stream [%s]",p,l,a,i),d.stop("change-presenter");function r(e){return null!==v&&(g.u.warn("[%s] Clearing backoff interval after triggering of another unexpected failure [%s]",p,e),clearTimeout(v),v=null),v=setTimeout(function(){v=null;var t=f?f.getObservableActiveRoom().getValue():null;if(t)return t=t.getObservableMembers().getValue(),n(t,e)},"capacity"===e?5e3:100)}var t=y.assign({},{monitor:{callback:y.bind(function(t,e,i){if(l!==t)g.u.info("[%s] Ignore old channel subscriber monitor stream [%s]. Active stream is [%s]",p,t,l);else{if(e)return r("unable-to-subscribe");if("app-background"===i.reason)return c(e,i);if(i.retry&&"high-availability"!==m.getStrategy())return g.u.info("Retrying to subscribe to channel [%s] after stream [%s] failed with reason [%s]",p,t,i.status),i.retry();var n=y.get(i,["status"],"");if("ok"!==n){if("custom"===i.reason&&"client-side-failure"!==i.description)return c(e,i);switch(n){case"ended":case"origin-ended":case"origin-stream-ended":m.markDead();break;default:m.markFailed({failedDueToCapacity:"capacity"===n})}return g.u.info("[%s] Monitor subscriber reported status [%s]. Trying next member",t,n),r(n)}}},this,i),options:{conditionCountForNotificationThreshold:8}}},u),s=l?a?"recovered-from-failure":"stream-override":"stream-started";l=i,g.ur.subscribeToMemberStream(e,t,y.bind(function(t,e,i){if(l!==t)g.u.info("[%s] Ignore old media stream callback for stream [%s]. Active stream is [%s]",p,t,l);else{var n=y.get(i,["status"],"");if("ok"===n&&(i.reason=s),e||"ok"!==n){switch(g.u.info("[%s] Issue with stream [%s]. Trying next member",t,n,e),n){case"unauthorized":case"not-found":case"ended":case"origin-not-found":case"origin-ended":case"origin-stream-ended":case"unsupported-features":m.markDead();break;default:m.markFailed({failedDueToCapacity:"capacity"===n})}return r(n)}d=i&&i.mediaStream?i.mediaStream:l=null,c(e,i)}},this,i))},e=0;e<o.length;e++)r.push(o[e].getObservableScreenName().subscribe(t)),r.push(o[e].getObservableRole().subscribe(t)),r.push(o[e].getObservableStreams().subscribe(t));t()})},h.prototype.publishToChannel=function(t,e){if(n.isObject(t,"options"),n.isFunction(e,"callback"),"capabilities"in t)throw new Error('"options.capabilities" is no longer supported. Please use "options.token" instead.');if("channel"in t)throw new Error('"options.channel" is no longer supported.');t=y.assign({memberRole:b.roles.presenter.name,streamType:u.types.presentation.name},t);this.ur.publishToRoom(t,y.bind(k,null,e))},h.prototype.publishScreenToChannel=function(t,e){if(n.isObject(t,"options"),n.isFunction(e,"callback"),"channel"in t)throw new Error('"options.channel" is no longer supported.');t=y.assign({memberRole:b.roles.presenter.name,streamType:u.types.presentation.name},t);this.ur.publishScreenToRoom(t,y.bind(k,null,e))},h}.apply(e,i);void 0!==e&&(t.exports=e)},function(t,e,i){i=[i(0),i(1),i(36)],e=function(n,r,s){"use strict";function t(t){r.isObject(t,"roomService"),this.ce=t}function o(t,e,i){return i&&i.room&&(i.channel=new s(i.room),delete i.room),t(e,i)}return t.prototype.start=function(){return this.ce.start.apply(this.ce,arguments)},t.prototype.getChannelInfo=function(t,e,i){return t?r.isStringNotEmpty(t,"channelId"):r.isStringNotEmpty(e,"alias"),r.isFunction(i,"callback"),this.ce.getRoomInfo(t,e,n.bind(o,null,i))},t.prototype.enterChannel=function(t,e,i){return t?r.isStringNotEmpty(t,"roomId"):r.isStringNotEmpty(e,"alias"),r.isFunction(i,"callback"),this.ce.enterRoom(t,e,n.bind(o,null,i))},t.prototype.leaveChannel=function(){return this.ce.leaveRoom.apply(this.ce,arguments)},t.prototype.getChatService=function(){return this.ce.getChatService.apply(this.ce,arguments)},t.prototype.getSelf=function(){return this.ce.getSelf.apply(this.ce,arguments)},t.prototype.getObservableActiveChannel=function(){return this.ce.getObservableActiveRoom.apply(this.ce,arguments)},t.prototype.updateSelf=function(){return this.ce.updateSelf.apply(this.ce,arguments)},t.prototype.updateMember=function(){return this.ce.updateMember.apply(this.ce,arguments)},t.prototype.updateChannel=function(){return this.ce.updateRoom.apply(this.ce,arguments)},t.prototype.revertChannelChanges=function(){return this.ce.revertRoomChanges.apply(this.ce,arguments)},t.prototype.revertMemberChanges=function(){return this.ce.revertMemberChanges.apply(this.ce,arguments)},t.prototype.isInChannel=function(){return this.ce.isInRoom.apply(this.ce,arguments)},t.prototype.toString=function(){return"ChannelService"},t.prototype.stop=function(){return this.ce.stop.apply(this.ce,arguments)},t}.apply(e,i);void 0!==e&&(t.exports=e)}],g={},m.m=p,m.c=g,m.d=function(t,e,i){m.o(t,e)||Object.defineProperty(t,e,{enumerable:!0,get:i})},m.r=function(t){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(t,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(t,"__esModule",{value:!0})},m.t=function(e,t){if(1&t&&(e=m(e)),8&t)return e;if(4&t&&"object"==typeof e&&e&&e.__esModule)return e;var i=Object.create(null);if(m.r(i),Object.defineProperty(i,"default",{enumerable:!0,value:e}),2&t&&"string"!=typeof e)for(var n in e)m.d(i,n,function(t){return e[t]}.bind(null,n));return i},m.n=function(t){var e=t&&t.__esModule?function(){return t.default}:function(){return t};return m.d(e,"a",e),e},m.o=function(t,e){return Object.prototype.hasOwnProperty.call(t,e)},m.p="",m(m.s=37);function m(t){var e;return(g[t]||(e=g[t]={i:t,l:!1,exports:{}},p[t].call(e.exports,e,e.exports,m),e.l=!0,e)).exports}var p,g});